2007-2013 PrestaShop 

NOTICE OF LICENSE

This source file is subject to the Open Software License (OSL 3.0)
that is bundled with this package in the file LICENSE.txt.
It is also available through the world-wide-web at this URL:
http://opensource.org/licenses/osl-3.0.php
If you did not receive a copy of the license and are unable to
obtain it through the world-wide-web, please send an email
to license@prestashop.com so we can send you a copy immediately.

DISCLAIMER

Do not edit or add to this file if you wish to upgrade PrestaShop to newer
versions in the future. If you wish to customize PrestaShop for your
needs please refer to http://www.prestashop.com for more information.

@author PrestaShop SA <contact@prestashop.com>
@copyright 2007-2013 PrestaShop  SA
@license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
International Registred Trademark & Property of PrestaShop SA

Release Notes for PrestaShop 1.5
--------------------------------
####################################
#   v1.5.6.0 - (2013-10-07)  #
####################################

	Fixed bugs:

	[-] Installer : added the missing default tab in the employee
	[-] INSTALLER : Fix bug #PSCFV-8289 bad orders vouchers total after update
	[-] INSTALLER: Wrong SQL query for PS_LEGACY_IMAGES to 0
	[-] INSTALLER: short_description for PREFIX_manufacturer_lang is now type TEXT
	[-] INSTALLER : Fix infinite loop when order message has additional ampersand
	[-] INSTALLER : Fix fatal error in upgrade, could not load configuration class
	[-] INSTALLER : no update value in fix_download_product_feature_active
	[-] INSTALLER : Fix fatal error when upgrading

	[-] FO : isVirtualCart was forced to false
	[-] FO: Fix display of quantity discounts on product pages if the customer is allowable for multiple discount for the same quantity #PSCFV-10580
	[-] FO: packages should be splitted with advanced stock management when carrier is not associated to multiple warehouse
	[-] FO : Fix #PSCFV-10480 again, css fix
	[-] FO : Fix #PSCFV-10480 again css fix
	[-] FO : Fix bug #PSCFV-10478 could not see auto added cart rule voucher on product page
	[-] FO: Fix #PSCFV-10461
	[-] FO : Fix bug #PSCFV-10328 Set country currency if defined when geolocated
	[-] FO: Fix Product::getAttributesGroups() minimal_quantity/weight/available_date should be multishop
	[-] FO : replace ucfirst by ucwords for the customer firstname #PSCFV-10396
	[-] FO : 301 Redirect /iso_lang to /iso_lang/ url
	[-] FO : Fix bug #PSCFV-8917 taxes calculation when changing delivery address
	[-] FO: Fix SSL links on domain_ssl instead domain
	[-] FO : fixed chinese search with multiple symbols #PSCFV-10322
	[-] FO : Partial fix of adding gift on cart rule on the same entity in the cart rule
	[-] FO : Fix bug #PSCFV-10118 quantity not updated when cart rules give the same product as gift
	[-] FO : fixed bug when is virtual cart on OPC carriers is no longer displayed
	[-] FO : FixBug when route id is empty

	[-] BO : Bug fix - Modules confirmation messages
	[-] BO : Retro compat, PS_ADMIN_DIR not defined //bad commit sorry
	[-] BO : Employee's default_tab may not exists, switching to AdminOrders
	[-] BO : Retro compat, PS_ADMIN_DIR not defined
	[-] BO : AdminImport add combinations available fields
	[-] BO : AdminImport add adresses required fields
	[-] BO : Fix bug #PSCFV-9323 supplier_reference can be unset
	[-] BO : Fix bug #PSCFV-10064, could not import feature in multilang, thanks @E.Bigfoot
	[-] BO : Fix bug #PSCFV-10064, could not import deature in multilang, thanks @E.Bigfoot
	[-] BO : Remove dead code in AdminImport
	[-] BO : FixBug #PSCFV-10558 - Invalid HTML markup.
	[-] BO : Fix bug #PSCFV-8389 duplicates is SpecificPrice table
	[-] BO : AdminImport, tables are not truncated
	[-] BO : managed decimal format in BO orders
	[-] BO : Fix bug #PSCFV-5060 could not import supplier_combinations in combinations import
	[-] BO : Fix #PSCFV-6482 could not import tags in deiffrent languages
	[-] BO : fixed currency format on order creation
	[-] Bo : Fix again #PSCFV-10474 again, not deleting start page after import
	[-] Bo : Fix again #PSCFV-10474 coul not export more than 300 products
	[-] BO: Fix total without tax in breakdown taxes when taxes are combined #PSCFV-10394 on the invoices
	[-] BO: translation mismatch    Here is a form to edit the values ​​in the group, we do not need here "attribute type".
	[-] BO : AdminImport, not matching by ref for updating
	[-] BO: Fix #PSCFV-10488 filter by employee on logs tab
	[-] BO : FixBig #PSCFV-10442 - Members Cutomer Group list
	[-] BO : Could not import empty linkrewrite for products and not matching refs
	[-] BO : Sort import files in select
	[-] BO : Remove duplicate sql insert in setProductOutOfStock in monoshop
	[-] BO : Fix #PSCFV-10501 Remove fatal error
	[-] BO : Fix bug #PSCFV-9675 could not import non existent parent category
	[-] BO : Bad entity pre selected in AdminImport
	[-] BO : Fix bug #PSCFV-10483, could not import other language product link_rewrite
	[-] BO: Fix data validation when iframe is allowed on some entities like CMS
	[-] BO : Fix Bug For new Fancy Box events
	[-] BO : fixed the redirection to a 404 page when loging in in the updater
	[-] BO : Bad input radio names
	[-] BO : Issue with domready on adminImport
	[-] BO : do not reaffect import_type for categories
	[-] BO: Bad id for multishop checkbox on admin products - weird bug with active flag #PSCFV-9935
	[-] BO : Fix proces and save buttons for Modules and AdminControllers
	[-] Bo : Modules 'save' button not active
	[-] BO : Fix bug #PSCFV-8214 import entity pre selected
	[-] BO : Fix bugPSCFV-10249 images copy when unix path
	[-] BO : limited the number of customers displayed in the group view to 100 in order to avoid memory usage error
	[-] BO : FixBug #PSCFV-9900 Double quote escape problem in delete button link
	[-] BO : Could not order in AdminStatuses by ID or template
	[-] BO : Fix bug #PSCFV-8407 can not customize feature column name if needed
	[-] BO : quote badly decoded in customerThreads
	[-] BO : Fix Bug #PSCFV-10331 check all from list
	[-] BO : Customer message twice encoded
	[-] BO : Fix bug, orders states not ordered by order state name
	[-] BO : Bug fix - Encoding & tips of the day
	[-] BO : Do not copy link_rewrite from title if cms already has one
	[-] BO : Small changes when creating vouchers in back office orders
	[-] BO: Fix out of stock creation with multishop and stock sharing
	[-] BO: Fix preview url with multishop
	[-] BO : Fix possible Uncaught exception 'ReflectionException' when viewing AdminMeta
	[-] BO : FixBug PSCFV-10331 - Tax rules Pagination
	[-] BO : Display the old image system migration tool if product images are in _PS_PROD_IMG_DIR_
	[-] BO : ini_get('safe_mode') can return false
	[-] BO : AdminModulesController - Bug fix, $params was not set
	[-] BO : Fix #PSCFV-9906 could not register search engines keywords
	[-] BO : Fix pull request #665
	[-] BO : Fix error returned when first import of a localisation pack
	[-] BO : FixBug #PSCFV-10213 check product/attribute id - Thanks F. Cespedes
	[-] BO: Fix fatal error on customer edition when email is not valid
	[-] BO : fixed bug when try to add jquery from  ajax.googleapis.com in BO
	[-] BO : FixBug Url rewrite preview when user have a different language from shop
	[-] BO : fixed bug with multistore context on carrier wizard

	[-] Classes : Bug fix - FrontController, mobile & JS minifier fixed

	[-] CORE : #PSCFV-10389 Avoid eventual empty Specific Price Rule
	[-] CORE : Fix bug #PSCFV-10179 Duplicate specific price records when updating a product
	[-] CORE : Cart rules not ordered by priority for PaymentModule
	[-] CORE : Partial fix bug #PSCFV-10534 bad total_products_wt calculated without other cart rules
	[-] CORE : Could not add too long tags
	[-] CORE : Missing tag max size
	[-] CORE : Partial fix for #PSCFV-10482 getCacheId is different in back office
	[-] CORE : Fix bug #PSCFV-10471 Cart item count problem, unique_id grouping error for id_product and id_product_attribute
	[-] CORE : #PSCFV-10461 customer group in getPriceStatic, pull request https://github.com/kpodemski/kp-PrestaShop/commit/361ebc72e09d00463bb7a7b7af670e3235ab6a5a
	[-] Core: Set a remote addr with php-cli #PSCFV-10372
	[-] CORE : Could not add several cart rules
	[-] CORE : Fix bug #PSCFV-10040 Notice: Undefined index: unifunc && Fatal error: Function name must be a string on some PHP version with empty cache folder and smarty cache enabled
	[-] CORE: Fix for field length and type regarding https://github.com/PrestaShop/PrestaShop/pull/678
	[-] CORE : Remove PHP Warning:  file_put_contents on modules config.xml
	[-] CORE : fixed bug #PSCFV-10175 - No virtuel download email send after accepted payment

	[-] MO : Blocklayered - Fix empty fancy box after template edit
	[-] MO : FixBug #10460 - UTF8 bug on accented URL
	[-] MO : Blockcart, wrong tbody
	[-] MO : Fix buig #PSCFV-10480 Blockcart too long cart_block_product_name
	[-] MO : FixBug #PNM-1683 - Treeview problem
	[-] MO: Fix time of smarty cache invalidation
	[-] MO : PNM-1715 - Bug fix accented chars & ajax-cart
	[-] MO : Editorial could not delete image
	[-] MO : Fixed a bug when displaying textures    Corrections links texture image in the blocklayered
	[-] MO : carriercompare fixed bug, override template's files in theme. Ticket #PNM-1691
	[-] MO : Statsdata, exception on duplicate entry
	[-] MO: Fix unifunc smarty errors if module is displayed on multiplehook without cache
	[-] MO : fix bug #PSCFV-9906 again, bad url parsing
	[-] MO: Fix blocklayered sort by quantity #PSCFV-10300

	[-] WS: Fix order by on id field on multishop entities
	[-] WS: Fix entities retrieve for some cases
	[-] WS: 404 error should be returned if a multishop entity does not exists #PSCFV-10229
	[-] WS: Bad xlink for tax_rules_group in product

	[-] PDF : Report of https://github.com/enumag/PrestaShop/commit/9c939cceadebd58ad390fb4f108816e3c17c0275

	[-] LO: Argeninian localization

	Improved/changed features:

	[*] Project : Orders should rely only on ps_order_cart_rule

	[*] Installer : added file check in order to check if everyhting has been successfuly uploaded

	[*] FO: Allow to enable SSL on all the pages
	[*] FO : removed extra slash and point

	[*] BO : AdminImport, retrieve separators and lang selected
	[*] BO : Add category id in AdminSpecificPriceRule
	[*] BO: Allow to breakdown the taxes when they are computed
	[*] BO : AdminImport, remove csv files
	[*] BO : Adminimport, check csv download path
	[*] BO : Add csv file download in AdminImport
	[*] BO : improved automatic language creation
	[*] BO : Set import entity in cookie (#PSCFV-8214)
	[*] BO: sort modules name in Stats

	[*] CORE : Increasing the length of link_rewrite & name in Category.php    In database this fields have varchar(128) so let's give the user full size of fields
	[*] CORE : bad else if in getTemplatePath
	[*] CORE : Refactoring Tools::copy() as copy with context > PHP 5.3
	[*] Core: don't re-generate the class_index.php file if a class is not known to avoid misuse of class_exists()

	[*] MO : MailAlerts : Add SQL update script for v2.5
	[*] MO : MailAlerts : multishop/multilang full compatibility    Customers will receive alerts based on the real context of the moment they subscribed to the alert (sho, theme & language)    SQL update table : `ps_mailalert_customer_oos`    =========================================    ALTER TABLE `ps_mailalert_customer_oos`    ADD `id_lang` INT( 10 ) UNSIGNED NOT NULL ,    DROP PRIMARY KEY ,    ADD PRIMARY KEY ( `id_customer` , `customer_email` , `id_product` , `id_product_attribute` , `id_shop` ) ;

	[*] LO : Removed 'Miss' from the default genders because too country specific
	[*] LO : Use single quote as thousands separator for CHF currency

	Added Features:

	[+] FO : add getManufacturer() to ManufacturerControllerCore    Add getManufacturer() to ManufacturerControllerCore to access the protected manufacturer instance of the controller.

	[+] BO : add TinyMCE editor for supplier descrpition in AdminManufacturerSupplier
	[+] BO : add TinyMCE editor for short and long descrpition in AdminManufacturerController
	[+] BO : Improve mod rewrite check

	[+] MO : add link to all manufacturer page and the feature to show All Suppliers
	[+] MO : add the option to show all Manufacturer    Add the option to show all Manufacturer in blocktopmenu module.
	[+] MO : Mailalerts - Add Total tax paid to order confirmation

	[+] TR : Added Indonesian installer

	[+] LO : Completed Traditional Chinese Installer
	[+] LO :  Added Bengali installer
	[+] LO: Added Traditional Chinese installer


####################################
#   v1.5.5.0 - (2013-08-22)  #
####################################

	Fixed bugs:

	[-] Installer : added ob_start() (required with the cookie mode when debug mode is activated)
	[-] Installer : fixed clear smarty cache
	[-] Installer : changed syntax from $class:func to call_user_func because it seems to be more compliant with old PHP versions
	[-] INSTALLER : Force update of PS_LEGACY_IMAGES to 0
	[-] INSTALLER : missing parenthesis in SQL in set_product_suppliers, thanks to @EvaldasUzkuras
	[-] INSTALLER : Fix bug while updateing supplier reference, back from https://github.com/PrestaShop/PrestaShop/pull/618 thanks @EvaldasUzkuras
	[-] Installer: update leftcolumn alias to enable live_edit on blockmyaccount
	[-] INSTALLER : Errors in upgrader
	[-] INSTALLER : Fix SQL warnings when upgrading
	[-] INSTALLER : fix bug when updating add_new_tab not defined
	[-] INSTALLER : Remove warnings
	[-] Installer: Fix some sql queries
	[-] INSTALLER : Shown index can return empty array
	[-] INSTALLER : Prevent crash when populating data, MACOSX OS creates hidden files
	[-] INSTALLER : Fix bug #PSCFV-8813 1.4.7.0.sql not uptodate
	[-] INSTALLER : Fix bug #PSCFV-8813 missing file PHP:setAllGroupsOnHomeCategory();
	[-] INSTALLER : Create reinsurance_lang when updating from below 1.5.0.13
	[-] INSTALLER : SQL error during upgrade from 1.5.0.13
	[-] INSTALLER : SQL error during upgrade from 1.5.0.9
	[-] INSTALLER : Fix bug #PSCFV-8605 loop on ressource wether than n array
	[-] INSTALLER : Fix bug #PSCFI-7075 too short column in PREFIX_webservice_account
	[-] INSTALLER : Fix bug #PSCFV-8605 first part, do not affect memeory limit when upgrading if set to -1
	[-] INSTALLER : Fix bug #PSCFV-8750 do not activate disabled module during upgrade

	[-] FO : fixed bad search redirection #PSCFV-10158
	[-] FO : FixBug Missing PS_STOCK_MANAGEMENT smarty variable
	[-] FO : fixed html tags that should not appear in blockcategories
	[-] FO: Fix quantity discount table display for non default attribute #PSCFV-9942
	[-] FO : FixBug #PSCFV-10058 - Missing required form fields in address format
	[-] FO : FixBug #PSCFV-10090 urlencode syntax error - Thanks Duarte
	[-] FO : FixBug #PSCFV-10058 Invalid id country after allow to select no country
	[-] FO : FixBug CGV does not pop-up in Fancy Box
	[-] FO : FixBug generated_date error
	[-] FO : input token missplaced in address.tpl
	[-] FO : Do not redirect on 301 when POST request
	[-] FO :ProductSale::getBestSales() by modified date renders SQL error, thanks @SebSept
	[-] FO : expiration date not displayed in email for downloadable product
	[-] FO : FixBug No warning message when no carriers available from advanced stock management
	[-] Fo : Bad date format in order-detail, merge from https://github.com/PrestaShop/PrestaShop/pull/476 thanks @gbelorgey
	[-] FO: fixed bug shopping cart price misplaced - #9971
	[-] FO : Fix bug #PSCFV-9856 could not add Uncombinable cart rules and Minimum amount check badly calculated
	[-] FO : Fix bug #PSCFV-9993 could not see product quantity in pack content
	[-] FO : Fix bug #PSCFV-9847 Cart Rule not updated when address is updated on Checkout Page
	[-] FO : FixBug #PSCFV-9846 Bookmark title escape problem on special language
	[-] FO : FixBug #PSCFV-9766 All products in products list for email confirmation with multi-shipping
	[-] FO : FixBug Wrong offset in more than one shipping address
	[-] FO : FixBug #PSCFV-9961 Remove wishlists icon
	[-] FO : FixBug #PSCFV-9951 Syntax error - Thanks to Oleacorner-Olivier B
	[-] FO : Force browser language detection in Tools::setCookieLanguage
	[-] FO : FixBug #PSCFV-9879 Email confirmation message not present
	[-] FO : Prevent unsassigned category id, thans @PrestaCaptainFLAM
	[-] FO : fixed pagination for p = 0 #PSCFV-9746
	[-] FO : Removed useless live edit query #PSCFV-9845
	[-] FO : FixBug of total products from supliers and manufacturer
	[-] FO : FixBug #PSCFV-8018 All products was counted in manufacturer lsit even if products was set as hidden
	[-] FO : FixBug #PSCFV-8018 All products was counted in manufacturer list even hidden products
	[-] FO : FixBug #PSCFV-7723 Bad manufacturers list pagination
	[-] FO : fixed group query for cart rules #PSCFV-8992
	[-] FO : Fixed partial use of cart rules which does not offer free shipping #PSCFV-9216
	[-] FO : Fix bug #PSCFV-9662 udpate payments means after delete thanks @maofree
	[-] FO : Fix bug #PSCFV-9754 do not use back url on cart summary link in steps
	[-] FO : fixed useless error when the product id in the URL is not an int #PSCFV-9726
	[-] FO : Fix bug #PSCFV-9021 : bad category id for breadcrumb on product when url rewrite is on
	[-] FO : you cannot access the front office with a disabled language anymore #PSCFV-9714
	[-] FO : fixed bad condition in the dispatcher rules
	[-] FO : Fix bug #PSCFV-9653 could not return a custom product
	[-] FO : could not see old_price_display when specific price on one combination
	[-] FO : Bad specific price for a combination // sorry
	[-] FO : Bad specific price for a combination
	[-] FO : Fix bug #PSCFV-9355 dleete button missing for custo in blockcart
	[-] FO : Fix bug #PSCFV-9669, update total price on order-payment
	[-] FO :Fix bug #PSCFV-9650 could not see delete href in block cart
	[-] FO: OrderHistory - Unclosed tag
	[-] FO : added smarty cache to blockcms
	[-] FO: Fix #PSCFV-9325 all  was included on 301 for root deprecated controllers
	[-] FO : fixed remove button for free product in the cart block #PSCFV-8465
	[-] FO : fixed entities issue in javascript alerts #PSCFV-9001
	[-] FO : fixed bug #PSCFV-9388 - newsletter is required error, showing two times
	[-] FO : Fix bug #PSCFV-8412 no zipcode for countries when default country has no zip code in adress format
	[-] FO : fixed bug #PSCFV-7454
	[-] FO : Css fix on first address and avaibility
	[-] FO : Fix one_phone_at_leastphone again when PS_REGISTRATION_PROCESS_TYPE = 1 && PS_ORDER_PROCESS_TYPE =0
	[-] FO : fixed bug #PSCFV-9007 - Best sales query has ambigious column when sorted on date_add
	[-] FO : Fix #PSCFV-9414 submitGuestAccount is not submitAccount
	[-] FO : #PSCFV-9532 remove hardcoded unidentified group number
	[-] FO : Fix bug #PSCFV-9525 escape double quote in address formated fields
	[-] FO : Fix #PSCFV-7388 again Instant checkout - State validation
	[-] FO : fixed alternative row color on shopping cart summary #PSCFV-9208
	[-] FO: Fixed bug PrestaShop 1.5.4.1 Catalog Mode Display Incorrect Header (mis-aligned) - #PSCFV-9327
	[-] FO : fixed pdf template #PSCFV-9430
	[-] FO: Fix shop restriction on features #PSCFV-7848
	[-] FO : fixed bug #PSCFV-9092 - conflict on the company field during account creation
	[-] FO: fixed w3c errors
	[-] FO: solved some W3C errors
	[-] FO: some W3C errors corrected
	[-] FO: Fix no image displayed for products in the cart when it was added from another store in multishop #PSCFV-9385
	[-] FO : In stock sort is now removed when Stock managment is disabled on default theme.    Not to be confused for my pull #465, which was for default mobile theme.    This is for the default regular theme.
	[-] FO : Report of #PSCFI-7240 typos in cms.tpl
	[-] FO: http page should be redirected to http when accessed with https #PSCFV-9212
	[-] FO: Fix Category::getSubCategories() default group used #PSCFV-9356
	[-] FO: Fix Order::getOrdersTotalPaid() reference is now a string #PSCFV-9342
	[-] FO : In stock is now removed when Stock managment is disabled    Fixes the bug where Stock managment is disabled, it stil show "In Stock" in the sort by list.    Added $PS_STOCK_MANAGEMENT to line 64.
	[-] FO: Fix Carrier::getDeliveredCountries for multishop #PSCFV-9279
	[-] FO : Fix bug #PSCFV-9171, can not order with a unactivated country
	[-] FO: Tools::getMediaServer() should return Tools::getShopDomain() instead of Tools::getHttpHost() #PSCFV-9217
	[-] FO : first_item class don t exist if shopping cart have only one item    if shopping cart have only one product, last_item class exist but not    first_item because of "else if" after if isset($productLast)
	[-] FO: Fix #PSCFV-9057 close output buffer before sending attachment and virtualproducts
	[-] FO : Fix bug #PSCFV-8967 large image instead of thickbox when one image
	[-] FO: fixed bug: Solved a javascript problem on the new 1.5.4.1 with the full image on product page - PSCFV-8967
	[-] FO: improve some css for RTL language
	[-] FO: replace logo on the left (fixed bug RTL language - #PSCFV-8891)
	[-] FO : Jqzoom must be enabled to add class jqzoom
	[-] FO : removed misleading label on the shipping total #PSCFV-8556
	[-] FO : fixed truncate and entities in the cart block #PSCFV-8870

	[-] BO : fixed bug when save carrier without range
	[-] BO: Fix multishop association for tax rules group - #PSCFV-9967
	[-] BO : fixed bug #PSCFV-10169 - now you can go backward from step 3 to 2 when no ranges are set
	[-] BO : fixed bug #PSCFV-10073 - now you can upload carrier logo on windows
	[-] BO: Delete from attribute_shop when an attribute group is deleted #PSCFV-9902
	[-] BO : FixBug #PSCFV-10075 remove product attribute image association on delete product attribute
	[-] BO : FixBug Preview product url
	[-] BO : fixed bug #PSCFV-9782 - live edit bug with multistore
	[-] BO : fixed range deletion when press enter on input 'all' on carrier wizard
	[-] BO : FixBug #PSCFV-7571 Error checking available product quantity
	[-] BO : FixBug update received quantity in suply order
	[-] BO : fixed bug #PSCFV-10111 when carrier is free don't display ranges in summary
	[-] BO : Added comprehensive error display when prestashop cannot write the .htaccess file
	[-] BO :FixBug Suppliers and Warehouses accordion
	[-] BO : fixed bug #PSCFV-10096
	[-] BO : fixed bug when carrier is free and change shipping method
	[-] BO : fixed bug #PSCFV-10091 - you can now enable all zone in one clic
	[-] BO : fixed bug #PSCFV-10033 - disable next step if no range has been added on carrier wizard
	[-] BO : fixed multistore thumbnail on product list
	[-] BO : FixBug root category listed after list reset
	[-] BO : Fix additional quote in live edit template
	[-] BO : list of carriers should only contain the active one in AdminProducts
	[-] BO : OrderSlip now correctly displays the order slip date, thanks @Jacky75
	[-] BO : Do not display root category bool if addrootcategory not in url
	[-] BO : Fix send e-mails updating tracking number    Hi,    We've fixed some bugs parameters about the Send function of Mail class in the AdminOrdersController.php.    Regards,    Massimo.
	[-] BO : FixBug Multiple list pagination error.
	[-] BO : FixBug Manufacturer multilist pagination, filter, order problems and manufacturer address filter exception
	[-] BO : FixBug #PSCFV-8311 pagination, filter and order with multilist
	[-] BO : Fix bug #PSCFV-8139 bad renderform on errors in AdminStatuses
	[-] BO: Fix #PSCFV-9885 catalog price rules edition
	[-] BO : FixBug #PSCFV-7839 No invoice file attached to payment email confirmation
	[-] BO : Fix warning in AdminAttributesGroups after https://github.com/PrestaShop/PrestaShop/pull/392
	[-] BO : FixBug #PSCFV-7824 No total tax not show in order email confirmation
	[-] BO: FixBug #PSCFV-10005 Filter on COUNT field
	[-] BO : Fix bug #PSCFV-9990 bad count on list header helper
	[-] BO : FixBug #PSCFV-9859 Carriers free shipping inline edit
	[-] BO : FixBug #PSCFV-9748 Missing confirmation and update button problem
	[-] BO : fixed domain warning
	[-] BO : FixBug Install currency on Localization Pack
	[-] BO : FixBug Invalid offset when only one error in layout
	[-] BO : Fix onchange event on Adminmodules list execption
	[-] BO : Fix onchange event on adminmoudlue list execption
	[-] BO : FixBug allow_url_fopen on BackOffice home page
	[-] BO : fixed bug #PSCFV-9809 - carrier wizard tab access fix
	[-] BO : FixBug #PSCFV-9959 file_get_contents error
	[-] BO : Fix while of translation, to find in folder if translation exists
	[-] BO : FixBug #PSCFV-9965 currency not active by default in Localization pack
	[-] BO : fixed some bug on carrier wizard - added tabindex on input - new default carrier img
	[-] BO : doesn't match available_fields of AdminImportController    - Correct wrong position of available_fields    - Add some of available_fields
	[-] BO : fixed input action when set fees for all zones in carrier wizard
	[-] BO : FixBug #PSCFV-9895 Mal function in products suppliers accordion
	[-] BO : FixBug Impossible to remove available date from product attribute
	[-] BO : FixBug #PSCFV-9042 Supply orders now accept 0 value to automatically load products
	[-] BO : FixBug #PSCFV-9839 Update product warehouse on suply order - thanks @O'Donnell
	[-] BO : FixBug #PSCFV-9894 undefined quantity_all_version variable in product.tpl
	[-] BO : Fix SQL query when $join_category == false, pull request https://github.com/Captain-FLAM/PrestaShop/commit/d5f75c63b6e21dd87c77a027bf8dd293afb1a94f thanks @Captain-FLAM
	[-] BO : Could not find cover when image table corrupted
	[-] BO : FixBug #PSCFV-9881 Remove updateCarriersList on zip code blur
	[-] BO : FixBug #PSCFV-9878 Wrong login tab order
	[-] BO : FixBug #PSCFV-8060 Error getting last quantity and price in stock mouvement
	[-] BO : FixBug #PSCFV-8237 Javascript Error setting default supplier
	[-] BO : FixBug #PSCFV-9138 Error duplicate product group reduction
	[-] BO : FixBug #PSCFV-9251 Meta Tag delete previous
	[-] BO : FixBug #PSCFV-9049 Bad actionOrderSlipAdd hook description
	[-] BO : FIxBug Correct image language in product
	[-] BO : fixed sort by currency exchange rate #PSCFV-9840
	[-] BO : If no nb, get default 8, not 10.
	[-] BO : translation copy is now easier #PSCFV-8886
	[-] BO : FixBug #PSCFV-5316 Translation problem in delete button link
	[-] BO : FixBug #PSCFV-6140 Pagination link error
	[-] BO : FixBug #PSCFV-9723 Exporting quantity in instant stock was not returning all rows
	[-] BO : FixBug #PSCFV-8234 Products tags not correctly indexed in search
	[-] BO : Bad return value for AdminCountries::processStatus()
	[-] BO : FixBug Directory Separator on URL
	[-] BO : FixBug #PSCFV-8217 Shop logo image not refresh after change
	[-] BO : FixBug #PSCFV-9613 Fix product tax to be shop dependent
	[-] BO : FixBug #PSCFV-8287 Breadcrumbs label was wrong
	[-] BO : FixBug #PSCFV-8229 Default country value set to manufacturer country    Default country value set to manufacturer country    Click on manufacturer address line now redirect to manufacturer address    edition
	[-] BO : FixBug #PSCFV-6365 Missing message confirmation for Images modification in Preferences > Images
	[-] BO : Fix bug #PSCFV-9722, do not propose adding root categories in categories when there is only one shop
	[-] BO : Use only 0% reduction from category in group
	[-] BO: Fix tax rule edition - unique tax rule can't be edited
	[-] BO : Fix bug #PSCFV-9395 Missing vertical separation between flags
	[-] BO : Fix Bug #PSCFV-9550 Bad URL redirection
	[-] BO : Fix bug #PSCFV-9310 bad type for input in helper thankx @Piotr Moćko
	[-] BO: Delete specific price after combination deletion && fix SpecificPrice::getByProductId() sql query
	[-] BO : fixed charts and grids in multishop #PSCFV-8978
	[-] BO : you can now have different mail topic for one mail template #PSCFV-9617
	[-] BO : added checks on product attributes properties #PSCFV-9703
	[-] BO: display vat number field should not depends of the vatnumber module #PSCFV-9672
	[-] BO : products comments impossible if quantity > 0    The pull request https://github.com/PrestaShop/PrestaShop/pull/219 makes the module not working properly in v1.5.4.1.    Indeed, after this change, the OosHook works as expected but now, as the product comments module is attached to the OosHook, comments information is only shown when the product is out of stock!
	[-] BO: product supplier price should not be converted on product page #PSCFV-9420
	[-] BO : Fix bug #PSCFV-8666 COD module association no more deleted when restrition on other currency
	[-] BO : Fix bug #PSCFV-8619 update order weight when modifying products
	[-] BO : fixed bug #PSCFV-9622
	[-] BO: remove old icon into New Version block
	[-] BO: Fix manufacturer addresses duplication #PSCFV-9601
	[-] BO : fixed translation and languages issues
	[-] BO : fixed addslashes on tpl translations (compatibility between "slashes" and "js" parameters) #PSCFV-9427
	[-] BO : fixed bug #PSCFV-9586 -  Unable to sort CMS page in back office
	[-] BO: Fix #PSCFV-9455 stock was resetted if adv stock management is enable and product preference is submited on shop context
	[-] BO : Fix warnings when product not available in Shop
	[-] BO : fixed bug #PSCFV-7921 - Language selector (with flags) cant be translated
	[-] BO : fixed bug #PSCFV-7634 - Add non-existent new product to order using autocomplete gives javascript error (data.products is not defined)
	[-] BO: This is now not possible to move a tab with id_parent = 0 to an another tab
	[-] BO : Fix bug #PSCFV-7353 can not see the thumb for a scene
	[-] BO : Fix bug #PSCFV-7353 can not see the thumb for a scenes
	[-] BO : remove "utm_*" rules preventing Google services from indexing the shop    Google shopping refuses all products having their URL blocked by the robots.txt file
	[-] BO : allow partial use for credit slip vouchers #PSCFV-9539
	[-] BO : Fix bug #PSCFV-9264 bad cancel qty when refund / return
	[-] BO : missing colspan after update product detail
	[-] BO: Stock should not appears on product listing when stock management is disabled #PSCFV-8207
	[-] BO: fixed bug button on module list
	[-] BO: fixed bug #PSCFV-9463 + improve some css on BO menu
	[-] BO: fixed bug #PSCFV-9461
	[-] BO: fixed bug #PSCFV-7440
	[-] BO : fixed quote issue with magic quote in customization in adminorders #PSCFV-9311
	[-] BO : fixed parsing of discount value in AdminOrders #PSCFV-9481
	[-] BO : Upload image name with trailing slash in name
	[-] BO : fixed ajax in permissions tab #PSCFV-7442
	[-] BO : fixed bug #PSCFV-9405 - Delete file of downloadable product when cancel
	[-] BO : Fixed permission update #PSCFV-7441
	[-] BO : postcode required in manufacturer address
	[-] BO : fixed link in AdminTracking #PSCFV-7409
	[-] BO : fix require path to config.inc.php
	[-] BO: Fix #PSCFV-8904 bad id_warehouse is stored on ps_address table
	[-] BO: association of product attributes on associating a product to another shop #PSCFV-8735
	[-] BO: Fix #PSCFV-9428 features duplicated with multishop on Feature::getFeatures()
	[-] BO: Fix #PSCFV-7763 Re-inject quantities after deleting a product from a order
	[-] BO: Addresses are now totally deleted from the database if not used on a order
	[-] BO: Fix #PSCFV-6657 translations of overriden admin templates
	[-] BO : Fix bug #PNM-788 Loyalty points in adminCustomers when only one order
	[-] Bo : Fix #PSCFV-9306 report of #PSCFI-7115 Add a new specific price = faulty validation
	[-] BO: Fix combinations duplication on multishop with context all for the product duplication #PSCFV-9020
	[-] BO : Report of #PSCFI-6790 REQUEST_URI badly recorded
	[-] BO : Fix bug #PSCFI-7231 strtolower iso_lang for package download link
	[-] BO : Fixed unregistered version field for some modules
	[-] BO: Fix language deletion with multishop when shops still associate to the language #PSCFV-9244
	[-] BO : fixed bug #PSCFV-9178 - is_color_group is not inserted correctly
	[-] BO : Fix bug #PSCFI-6755 "+" in email
	[-] BO: Fix PHP warning on orderslip generation without ecotax #PSCFV-8743
	[-] BO : remove deprecated parameter when call Tools::displayDate()
	[-] BO : remove deprecated parameter when call Tools::link_rewrite() part 2
	[-] BO : remove deprecated parameter when call Tools::link_rewrite()
	[-] BO : Fix #PSCFI-7186 incorrect return in Meta->deleteSelection()
	[-] BO: Root category should be the shop category and not the higher category with multiple root and without multishop #PSCFV-8860
	[-] BO : fixed gift deletion when there is no products anymore in the cart
	[-] BO: Fix listing exports with image or other empty fields
	[-] BO : catch prestashop exception and display smart error messages #PSCFV-9147
	[-] BO : fixed issue with reduction in the category for groups #PSCFV-9101
	[-] BO : Fix  "The controller adminnotound is missing or invalid." error when no controller get variable
	[-] BO: Ajax Confirmation / padding-left
	[-] BO : fixed turkish characters replacement #PSCFV-8968
	[-] BO : fixed potential warning with texture list #PSCFV-9050
	[-] BO : tab cache wasn't emptied on delete #PSCFV-9053
	[-] BO: You can now disable the email sent after account creation
	[-] BO : don't show unecessary tpl module translations - complience with documentation
	[-] BO: Fix #PSCFV-8179 shop domain used in emails sometimes was for the wrong shop
	[-] BO : don't show translation for class/controler overrides when on modules translation page
	[-] BO : fixed infinite loop in the categories #PSCFV-8965
	[-] Bo : Admin login loop under Firefox
	[-] BO : fixed image import with allow_url_fopen deactivated #PSCFV-8181
	[-] BO : bug in BO translations when Windows OS    [-] BO : bug in BO translations when Windows OS    Impossible to translate the strings of the back office in the directory override/controllers/admin/...    under windows environment.    The statement " $parent_class = explode(DIRECTORY_SEPARATOR,..) " returns wrong result under windows environment. because the path name has '/' and '\' chars.    $parent_class contains bad values and the string "override" is not found.
	[-] BO: Fix #PSCFV-8957 order creation when id_cart=0 is present in database but should normally not happen
	[-] BO : fixed automatic creation of email overrides in the template #PSCFV-8785
	[-] BO : fixed error message in language form #PSCFV-8890
	[-] BO : fixed bug #PSCFV-7411 - Store location problem with some longitude values
	[-] BO : Fix bug #PSCFI-7141, wrong quantity and sales number in Product Sales, thankx to @Tuan Tran
	[-] BO : Fixed display when you translate modules without theme selected

	[-] Classes : fix memcache ext #PSCFV-5225 thanks @up2date
	[-] Classes : ModuleFrontController updated. Thank you @codeurWeb
	[-] Classes : ModuleFrontController & templates overrides fixed
	[-] Classes : Bug fix Validate.php - Error with $mail_name
	[-] Classes : SwiftMailer - Fix deprecated preg_replace (PHP 5. 5.0)
	[-] Classes : fixed cachefs and memcache classes #PSCFV-5225 thanks @prestalab
	[-] Classes : Mail - check instance of link in the context
	[-] Classes : Db : Fixed $link
	[-] Classes : Db classe fixed (check InnoDB support MySQL >= 5.6)

	[-] Core: Fix language link with multishop from another shop #PSCFV-10063
	[-] CORE : Do not delete index.php in smarty cache or /img/tmp/
	[-] Core: Fix #PSCFV-8887 - improve performance of search indexation
	[-] CORE : Fix bug #PSCFV-8542 could not have rewrited link for modules in blocklanguage
	[-] CORE : getModuleLink not working on module custom route, merge from https://github.com/PrestaShop/PrestaShop/pull/487 thanks @zimmi1
	[-] CORE : Addslashes on not translated strings for javascript js=1
	[-] CORE : Fix for field validation in ObjectModel::validateFieldsLang() when default lang value not set, thanks @rimas-kudelis
	[-] CORE : Cast product price to float instead of int when adding supplier reference, thanks @rimas-kudelis
	[-] CORE : Merge from PrestaEdit last pull request again
	[-] CORE : Fix warning #PSCFV-9678 when sending message to customer
	[-] CORE : Fix bug #PSCFV-9572 when seizing in 0 in forms input fields for objects
	[-] CORE: Copy live_edit bool when register alias hook
	[-] CORE: No category in url preview on BO product page
	[-] Core: ObjectModel::toggleStatus should change only active field on multishop with global context #PSCFV-9707
	[-] Core: Fix #PSCFV-9652 too much payments for multishipping orders
	[-] CORE : fixed bug #PSCFV-8745 Contact form e-mail template with incomplete information
	[-] CORE : fixed bug #PSCFV-9460
	[-] CORE: Fix bug #PSCFV-9474 missing unity and unit_price_ratio in Cart::getProducts
	[-] CORE : fixed #PSCFV-7451 - error in classes Carrier
	[-] CORE : Report of  https://github.com/PrestaShop/PrestaShop/pull/504 Thanks @aseques
	[-] CORE : CartRule::checkProductRestrictions : A gift product in the same category as its restrictions causes the gift to stay in the cart even if emptied
	[-] CORE : fixed bug #PSCFV-9121 - virtual product does not have link after upgrade - part 2
	[-] CORE : fixed bug #PSCFV-9121 - virtual product does not have link after upgrade
	[-] Core: Hook actionPaymentConfirmation should also be called for PS_OS_WS_PAYMENT order statuse
	[-] CORE : Report of https://github.com/PrestaShop/PrestaShop-1.4/commit/ec8deb289185daa03cd11d239797bbe5bdbaecd0
	[-] CORE : Report of https://github.com/PrestaShop/PrestaShop-1.4/commit/a6e8a2eda7fe3bab5245df9b98df7b2f6f7d541f
	[-] Core : fixed URL regexp #PSCFV-8986
	[-] Core: Fix StockManager::getProductRealQuantities() per warehouse with some orderstatuses #PSCFV-9219
	[-] CORE: Fix #PSCFV-9185 Wrong product price display on list by manufacturer    Added default_on condition on getProducts() query in Manufacturer class.
	[-] CORE : Fix bug #PSCFI-7168 cast and truncate POST values for statistics.php controller
	[-] CORE : TRACKING_DIRECT_TRAFFIC not respected
	[-] CORE : referer keywords truncated before insertion in connections table
	[-] CORE : Fix bug #PSCFI-7072 redundant configuration get
	[-] Core: Fix StockManager::getProductRealQuantities() for refunded quantities on non delivered orders
	[-] Core: Fix specific prices if they are configured to count quantity per product and not per combination
	[-] CORE : fixed PHP Notice:  Undefined index: date_expiration on virtual product

	[-] MO : fixed smarty cache on blocksearch #PSCFV-8739
	[-] MO : multilines translations does not work #PNM-1645
	[-] MO : sendtofriend FixBug Form error
	[-] MO : fixed potential warning in pscleaner #PSCFV-10070
	[-] MO: no more 1.4 support for blocklayered
	[-] MO : fixed bug #PNM-792 : remove unused js file in blocklayered
	[-] MO : fixed category link on blocklayered #PNM-1427
	[-] MO : blocklayered also try to find the translations in the translations directory
	[-] MO : added `visibility` IN ("both", "catalog") in blocklayered
	[-] MO : fixed module upgrade with common version number
	[-] MO: cover image issue with layered block on multishop, thanks @theginie
	[-] MO : My account column block should not display module icon in list
	[-] MO : blocktopmenu should clear cache when adding a new subcategory
	[-] MO : Missing image in my account for MODULE WishList
	[-] MO : mod='blockmyaccount' missing in blockmyaccountfooter.tpl
	[-] MO : mod='blockmyaccount' missing in blockmyaccountfooter.tpl (translation doesnt work), thanks @mypresta-eu
	[-] MO : Fix sort order for combinations, report of pull request https://github.com/PrestaShop/PrestaShop/pull/364
	[-] MO : blockviewed Fix bug adding last product to list, thanks @kluevandrew
	[-] MO : Fix bug discount display in mail, manual merge from https://github.com/202-ecommerce/PrestaShop/commit/1d5df338c46aef723d13aef3e213792df6ea92e2
	[-] MO : fixed disappearing form in sekeyword #PSCFV-9743
	[-] MO : Followup : don't send emails for empty carts thanks @axometeam
	[-] MO : fixed bad redirection in trackingfront #PSCFV-8378
	[-] MO : Bug fix - PS Cleaner, check if module favoriteproducts is installed.    Fix Bug when favoriteproducts is not install.
	[-] MO: exec hook on hook registration #PSCFV-8977
	[-] MO : fixed bug #PSCFV-5724 - 1.5.2.0 cms block error when adding more than one column to the categories block in the footer
	[-] MO : fixed bug #PSCFV-8654 - 1.5.4.0 My Favorites doesn't add product
	[-] MO : fixed bug #PSCFV-9040 - Block CMS Multishop bug
	[-] MO : fixed bug #PSCFV-8910 - Productcomments module allows post only one comment per product
	[-] MO : do not check the VAT number if the module is disabled #PSCFV-9397
	[-] MO : removed doubled "/" in homeslider template #PSCFV-9439
	[-] MO : fixed editorial issue when the entity does not exist yet for a shop #PSCFV-9442
	[-] MO : do not truncate order return state in pscleaner #PSCFV-9431
	[-] MO : loyalty small smarty fix #PNM-1305
	[-] MO : Fixed double creation of vouchers in loyalty and some redirections #PNM-1317
	[-] MO : Followup : Don't send followup vouchers to guest accounts
	[-] MO : Followup : Don't execute crontasks if the module is disabled
	[-] MO : Report of #PNM-1413 when alert already set on default combination
	[-] MO: Fix newsletter module mail like newsletter_voucher.html    - Edit html/css/translation for newsletter_conf.html and    newsletter_verif.html    - Use {color} variable
	[-] MO: Fix sendtoafriend module #PSCFV-8340    http://code.google.com/p/jquery-json/issues/detail?id=43
	[-] MO : Remove link "Notify me when available" when in stock
	[-] MO: Fix double html entities on link edition in the blocktopmenumodule #PSCFV-8808
	[-] MO: Don't make unnecessary request to ajax cart
	[-] MO: Fix #PSCFV-8973 product images in the blockviewed module
	[-] MO : Fix bug #PSCFI-7055 do not relay on ".html" in referer to find previous category
	[-] MO: blockcart ajax cart product insert missing html class    Added the same HTML class as the other product names have in the ajax cart. Perhaps it would be nice to add an added_from_ajax as well in case you would want to differ between the newly added items and previously added ones?    Another potential issue is on line 445 where there is no space after the insert. If Prestashop is set to minify the normal page, this is correct, otherwise there will be a space missing.
	[-] MO : fixed hug #PSCFV-8994 - clear cache when truncate catalog
	[-] MO : fixed bug #PSCFV-7703 - Images for bank wire, cheque and cash payment missing on Order Summary

	[-] WS: Fix retrieve of stock_availables when stock is shared on the shop group
	[-] WS: add id_address_delivery on cart products association
	[-] WS: Sanity check before creating packs    As it is before this commit, every product that is created from the    schema without removing the empty bundle item in the schema will become    a pack containing one broken item.    Sorry, this bug was introduced by my previous pull request.
	[-] WS: Enable feature request #PSCFV-5581, thanks @codl for pull request #593
	[-] WS: do not escape shop name overzealously
	[-] WS : fixed ?schema=blank (performance issue)
	[-] WS: Fix accessories duplication on product update
	[-] WS: Fix webservice sort for multishop fields #PSCFV-5634
	[-] WS: Fix #PSCFI-7009 product prices on orders with specific prices
	[-] WS: Fix deletion of product_features on product update #PSCFI-6740
	[-] WS: Fix memory leak when getting synopsis

	[-] PDF : Fix columns error
	[-] PDF : Fix dejavusans font for en lang

	[-] TR : fixed missing space in RMA PDF

	Improved/changed features:

	[*] Installer : added cookie mode instead of session for the installer
	[*] Installer: you can now choose to send an email to the administrator after installation with php-cli

	[*] Security : deny access to this folder as already done for classes

	[*] FO : added chinese/japanese search
	[*] FO : Add reference sort to theme
	[*] FO : Blur for tab navigation, followup a0ee3d3, thanks @Seynaeve
	[*] FO : Blur for tab navigation, followup a0ee3d3c34b7fc5d149228197be382af59a49e47, thanks @Seynaeve
	[*] FO : Fix bug #PSCFV-9611, autocomplete to off on opc page and other pages
	[*] FO : updated Fancybox plug-in
	[*] FO : a few more SQL improvements
	[*] FO : lots of performance improvements (removed or merged useless SQL queries)
	[*] FO: display Error500 if no database access    Sometimes, we have some problems with the MySQL Database and a Fatal Error is done. With this, we show the error500 template.
	[*] FO : getCatImageLink doesn't work without type thanks @axometeam
	[*] FO : Retrieve invoice address in OPC + guest checkout, thanks @Piotr Moćko
	[*] FO : Fix bug #PSCFV-9440 add another address in guest checkout in OPC
	[*] FO : removed code specific to multishipping from the no-multishipping process
	[*] FO : added smarty cache on productscategory
	[*] FO : added smarty cache on crossselling module
	[*] FO : improved entity links retrieval (no need to instanciate an object when there is no need... to instanciate un object)
	[*] FO : added smarty cache to blockspecials
	[*] FO : added smarty cache on blockbestsellers
	[*] FO : added smarty cache on homefeatured module
	[*] FO : added smarty cache on blocknewproducts
	[*] FO: Don't make useless ajax requests to blockcart on the cart page
	[*] FO : AuthController can now have its own template
	[*] FO: use Tools::fileAttachment() in ContactController

	[*] BO: Warehouse name is now displayed on each product line orders
	[*] BO : Clear smarty cache when submitting SEO rules
	[*] BO : Add clear smarty cache button
	[*] BO: Add reference to Options
	[*] BO: Add reference to FrontController
	[*] BO : Do not insert duplicates in product_carrier, thanks @edamart
	[*] BO : Do not insert duplicates in poruct_carrier, thanks @edamart
	[*] BO : Add filter choices in title of List, thankx to @ccauw
	[*] BO : refact for modules exeptions regarding https://github.com/PrestaShop/PrestaShop/pull/614
	[*] BO : Fix statistics redirection when change date    When going into a special stats module (for exemple "statsproduct") if you change the date, Prestashop redirect to the "home" of statistics.
	[*] BO : shipping enlarge listbox carriers    enlarge listbox carriers to see all the name of the carrier
	[*] BO : skip the first line by default    All sample csv file use a first line of information
	[*] BO : Proposition : IMPROVEMENT Admin Modules Positions    You can see in action over there :    http://www.youtube.com/watch?v=e7KXuCU3RIM
	[*] BO: Add an option to allow iframes on descriptions
	[*] BO : #PSCFV-8498 You can now use 0% in groups category rules in order to not apply discount on this category
	[*] BO : Not increment stock if statut change fom Error to Canceled    Not increment stock if statut change fom Error => Canceled or Canceled => Error (stock should stay the same).    Add a code simplification too
	[*] BO : Correct the getList() request for quantity and id_product    Quantity and Id_product should be fixe as Int, else the Mysql request do something like : quantity LIKE "%0%"    When an admin key-in quantity as 0, he want product with quantity as 0, not as 0 / 10 /20 / 30... ect (The same for id_product)
	[*] BO : improved unicode characters replacement in URLs
	[*] BO : Fix #PSCFV-8504 carrier on invoice and delivery slip
	[*] BO : Correct Request Sql Manager validate options    Correct Request Sql Manager validate options :    - No size limit for the request    - cutJoin() doesn't work for multiple Join (exemple : LEFT JOIN `XXX ON XXX AND XXX) => Then you can't save the request, even if it work
	[*] BO : AdminControllers : Keep active filter on pagination
	[*] BO: more than one image in HelperForm
	[*] BO : Reselect current step in AdminOrders
	[*] BO : Enable current subtab active class
	[*] BO : attributes taken into account for the language entity in the localization packs
	[*] BO: use Translate::getAdminTranslation instead of translate()
	[*] BO: hook displayAdminForm / add param fieldset

	[*] CORE : Allow external css loading, manual merge of https://github.com/PrestaShop/PrestaShop/pull/406 thanks @m-hume
	[*] CORE : Fix bug #PSCFV-9811 doc on display404Error
	[*] Core: that is now easier to get links for another shop
	[*] Core : Smarty updated from 3.1.13 to 3.1.14 (cache issues fixed)
	[*] CORE: can not delete class_index.php
	[*] Core: you can now pass a query string with php-cli which will merged with  for cronjobs and other things

	[*] MO : added manufactureres order by name, thanks@Jacky75
	[*] MO : Templates overrides works with the new structure (/views/templates/admin|front|hook)
	[*] MO : Added customer and product object to hook sending email
	[*] MO : added configuration cleaning to pscleaner
	[*] MO : you can now exclude IP addresses from the online visitors module #PSCFV-9056
	[*] MO : pscleaner reset employees notyfications    pscleaner afetr truncating orders, messages and customers reset also employees notyfications
	[*] MO : blocklayered optimization
	[*] MO : Followup https://github.com/runningz/PrestaShop/commit/040ff3396ac32a1cc35d4d2464e8d36486cac418
	[*] MO : blockcart - simpler selectors
	[*] MO: Add smarty cache on blocksupplier and blockmanufacturer
	[*] MO: blockcart animation optimization    The animated element would not be removed upon the animation being finished. This made the site slow and unresponsive if the animated image was heavy (eg. a transparent png) and added to cart many times without reloading the page. This addition makes the animation behave as expected also when performing it multiple times.

	[*] WS : order history add(POST) send customer email if sendemail=1 url parameter, thanks @gerdus
	[*] WS : improved performances
	[*] WS : improved web service performances

	[*] PDF : Free shipping in invoice PDF display X2 thanks @axometeam
	[*] PDF : Small column width fix

	[*] TR : Added 10 new localization packs

	[*] LO: Improved Argentina Localization Pack
	[*] LO : corrected Israel standard tax rate
	[*] LO : Fixed units in Belgium localization pack
	[*] LO : Fix PSCFV-9330 (decimals=2)
	[*] LO : Updated it & nl localization files

	Added Features:

	[+] BO: Add a wizard to create and edit your carriers
	[+] BO: Addition, deletion and edition are now logged
	[+] BO: Fix Bug Progress Bar Upload Image Product    Lorsque l'on ajoute des images a des produits, la barre de progression    s'affiche en dehors de son cadre. "position:relative" n'est pas présent    pour "div.progressBarImage" dans le fichier admin.css .    ----    When we add pictures to products, the progress bar is out of his    wrapper.    "position:relative" is missing for "div.progressBarImage" in admin.css    file.

	[+] CORE : new jquery UI version (1.10.3)

	[+] TR: Created file structure for Dutch installer


####################################
#   v1.5.4.1 - (2013-04-25)  #
####################################

	Fixed bugs:

	[-] Installer: installer now work even if no settings.inc.php file is created with an installer session already here
	[-] Installer : do not select activity if not defined
	[-] INSTALLER : add counter loop in update_order_messages
	[-] Installer : Fix bug #PSCFV-8606 bad performance when updating messages
	[-] INSTALLER : fix bug #PSCFV-7688 mailalert_customer_oos not existing in database
	[-] Installer: fix installer in PT languahe
	[-] Installer : Missing directory separator when upgrading images types
	[-] Installer: Switch test of session.save_path to optional test
	[-] INSTALLER : Fix bug, can not check rights on theme folders
	[-] INSTALLER : Fix bug #PSCFV-8167 duplicates product_sqlstock INDEX

	[-] FO : do not use dispatcher routes for static files
	[-] FO : invoice: do not display taxes table if there is not tax to display
	[-] FO : Fixed product comparator CSS
	[-] Fo : Remove additionnal space in phone field value
	[-] FO : fix bug #PSCFV-8684, phone not required in guest checkout when not set in BO
	[-] FO: send current product to some hook like displayProductTabContent on product page #PSCFV-8825
	[-] FO : Fix bug #PSCFV-8728 context country not updated after changing delivery address in OPC
	[-] FO: fixed some css bug for ie7
	[-] FO: Add the protocol content to the cache id of  modules #PSCFV-8810
	[-] FO : empty cache getContextualValue_ when updating cart quantity
	[-] FO : Disable confirm order when already clicked
	[-] FO : address alias lost
	[-] FO : Undefined free_shipping in POC when updateQty
	[-] Fo : Fix big pic alt with jqzoom
	[-] FO : Class free order name for validateOrder
	[-] FO : First part of fix #PSCFV-8636, cart rule on specifice carrier / all carriers
	[-] FO : Fix bug #PSCFV-8623 : Cart rule without code is applied automatically
	[-] FO : add cart rul when cart rul has several groups
	[-] FO: Fix bug too much call of updateCartSummary when OPC and cart rule
	[-] Fo : Fix undefined var in cart-summary when updating id_address_delivery
	[-] FO : Fix login cookie issues
	[-] FO: fixed bug #PSCFV-3238 - compareController typo
	[-] FO: Fix #PSCFV-8722 displayed specific prices on product page was sometimes wrong
	[-] FO : Fix bug #PSCFV-8589 do not loose max level depth when upgrading
	[-] FO :  standardize behavior of selected country in the list when create a new address
	[-] FO: fixed bug DOCTYPE line - #PSCFV-8602
	[-] FO: Fix htaccess generation when disable mod_security is selected #PSCFV-8675
	[-] FO: Don't display vat_number field if not required for the country on address.tpl
	[-] FO: Extension test on file attachment for contact form should not be case sensitive #PSCFV-8616
	[-] FO : Do not fade out on bigpic source change
	[-] FO : Fix bug #PSCFV-7743 and #PSCFV-8286, bigpic source change
	[-] FO: fixed bug Cart Summery Borders - #PSCFV-8421
	[-] FO : Fix bug #PSCFV-8286, displayImage bad selector called
	[-] FO: fixed bug Solved a problem with JSON.stringify problem with IE8 - #PSCFV-8340
	[-] FO : Fix bug #PSCFV-7825 removing import of grid_prestashop.css and displaying errors in AdminPerformances
	[-] FO: fixed bug missing <div class="clear"></div> in product.tpl - #PSCFV-8164
	[-] FO : Add ccs and js to frontcontroller for old modules
	[-] FO: change logo position
	[-] FO : Fix bug #PSCFV-8183 lost order message in OPC

	[-] BO: Fix htaccess generation for subfolders installation
	[-] BO : Fix bug witth shop address and no state in country
	[-] BO : Fix bug for csv export
	[-] BO : Can not set PS_ORDER_OUT_OF_STOCK in one shop
	[-] BO : Bad gender image when no gender
	[-] BO: Fix #PSCFV-8827 fixed price of specific price rules should be a float
	[-] BO: Fix admin carts currency prices on view and listing
	[-] BO : Remove typo in address formating fields links
	[-] BO : Remove undefined name when module can not be installed
	[-] BO: Don't delete the directory of modules before upgrade them
	[-] BO: fixed bug css - #PSCFV-8737 - AdminScenes.php ~~ remove inline css forcing a border to #large_scene_image
	[-] BO: Fix #PSCFV-8730 display of selected dates on the backoffice listings header - thank to pitt phunsanit for the patch
	[-] BO : Deactivate backwardcompatibility module
	[-] BO: PSCFV-7685 parent category for root categories after upgrade
	[-] BO : Fix bug #PSCFV-8626 rename actual admin folder
	[-] BO: fixed bug Cart rules - Javascript error - #PSCFV-5045
	[-] BO : Fix bug #PSCFV-8620 returns with customized product
	[-] BO: Fix #PSCFV-8683 order_way collusion on listing between 2 tabs
	[-] BO : Fix bug : #PSCFV-8631 no download-product.tpl in languages packs
	[-] BO : Fix bug #PSCFV-8540 setting cookie key in cache key
	[-] BO: fixed bug In back office, in product modification page, image pane, the image list appears broken in IE8 - #PSCFV-8024
	[-] BO: Fix the Htaccess rewriting generation when one shop has the rewriting enabled and the last one on the same domain not
	[-] BO: fixed bug #PSCFV-8258
	[-] BO: Clear cart when customer is changed in back office orders #PSCFV-8520
	[-] BO : Remove warning on ProductDownload
	[-] BO : fixed field value saving when value is equal to 0 #PSCFV-8530
	[-] BO : Fix bug #PSCFV-8481 no live edit on index when one language is active only
	[-] BO : fixed bug #PSCFV-8095 now maximum weigh for carrier is float

	[-] Classes : Bug fix : OrderOpcController, check instance of blocknewsletter module
	[-] Classes : Bug fix : Mobile hooks, check PayPal for payments only

	[-] Core: fix redirection loop for bugged versions of mysql using column name aliases on order by
	[-] CORE : Fix bug #PSCFV-8636 again, cart rule with a reduction and free shipping
	[-] CORE : Fix bug last part #PSCFV-8636, cart rule with a reduction and free shipping
	[-] CORE : Fix bug #PSCFV-5624 set order reference to CHAR(10)
	[-] CORE : fixed bug #PSCFV-8475 - Email templates with {shop_url} append url with index.php
	[-] Core: Cache of Cart::getPackageList is now per cart
	[-] Core: Local cache could never be totally cleaned

	[-] MO: homefeatured - numbers are now the same
	[-] MO: Fix product cover image on blockviewed with multishop
	[-] MO : Fix rand parameter in favorite module js
	[-] MO : Fix bug #PSCFV-8430 bad post type ajax request, thanks to maofree
	[-] MO : Fix bug #PSCFV-8399 dictinct categegories in module blockcategories

	Improved/changed features:

	[*] Installer : Set context in upgrader
	[*] Installer: Add PHP CLI installer

	[*] FO : one_phone_at_least should be set
	[*] FO : add steps to authentication pull request 002f468958 thanks to radovanx
	[*] FO: use subdirectory per template for smarty cache
	[*] FO : Check if grid_prestashop.css is available in theme before including
	[*] FO : Retrocompat for default theme 1.4.10

	[*] BO : Add block "close_td" in list_content.tpl    [*] BO : Add block "close_td" in list_content.tpl    {block name="td_content"}    .....    {/block}    {block name="close_td"}    {/block}    So now we can override "td" and "/td" tags.    So we can create    "td" "a" ... content.... "/a" "/td"    when overriding the block open-td and close-td    and we can use "a" tag with "href" rather than "onclick" to create view links in the list.    And the user can choose to open the link in another tab or window.
	[*] BO: The translation of modules are now made in the theme if modules are overrided or directly in the module folder
	[*] BO: List all modules with an upgrade available on AdminModules header

	[*] TR : Removed hard-coded dot in history.tpl
	[*] TR : Improved English text of installer
	[*] TR : added russian installer tabs
	[*] TR : Fixed wrong use of translation functions in AdminTranslationsController
	[*] TR : Added tab translations for installer languages

	Added Features:

	[+] BO: show all languages in setting of employee


####################################
#   v1.5.4.0 - (2013-03-26)  #
####################################

	Fixed bugs:

	[-] INSTALLER : Last fix of bug #PSCFV-8168 loyalty ADD id_shop to layered_product_attribute
	[-] INSTALLER : Second fix of bug #PSCFV-8168 loyalty CHANGE id_discount to id_cart_rule
	[-] Installer : do not fail on warning when addons modules list empty
	[-] INSTALLER : First fix of bug #PSCFV-8168 reinsurance` CHANGE `filename` to `file_name`
	[-] INSTALLER : Fix bug #PSCFV-8167 bad drop of non-existent index and correct genders image copy
	[-] Installer: Install only the language choosen in the installer
	[-] INSTALLER : Update gender for default customer
	[-] Installer: download the language pack even if this is a native language on installation
	[-] INSTALLER : Fix crash from genders jpg copy
	[-] INSTALLER : Using $this when not in object context
	[-] INSTALLER: Fix syntax error, unexpected 'public' (T_PUBLIC)
	[-] INSTALLER : TEXT field can sometimes not have a default empty value
	[-] Installer : Fixed languages parsing
	[-] INSTALLER : Fix bug #PSCFV-6128 do not loose custos on orders from 1.4.X
	[-] Installer: Fix the installation when safe_mode is enabled
	[-] Installer: Fix 2 path for the upgrader
	[-] Installer: fix UNIQUE key on stock_available table #PSCFV-7886
	[-] Installer: fix upgrade __PS_BASE_URI__
	[-] Installer : Fix warning during upgrade when issues with shops tables
	[-] Installer: check create table privileges
	[-] Installer: force magic_quote_runtime to 0
	[-] INSTALLER : fixed bug #PSCFV-5702 - error javascript when password have a simple quote
	[-] Installer: clear the database when an error occured during the install

	[-] FO : Fix bug #PSCFV-8415 zipcode is required without zip code format too
	[-] FO : Customization delete when quantity custo is one, sorry about this bad commit last time
	[-] FO : Fix bug #PSCFV-8364 block cart hidden or products are doubled
	[-] FO : Fix bug #PSCFV-8098 inversion in customer and address name
	[-] FO : GuestAccount required phone
	[-] FO : update total_product_price_X when customized product after login
	[-] FO : Fix bug #PSCFV-8202 special chars for checkCustomizations js function
	[-] FO : Fix bug #PSCFV-8028 refactoring customization
	[-] FO : Fix bug #PSCFV-8031 and maybe others, do not loop when calling displayNewProducts in blockcart
	[-] FO: Fix #PSCFV-7600 display accessory in the product page even if there are no stock for the default combination (on the default theme)
	[-] FO : fixed attributes order #PSCFV-8032
	[-] FO : remove 404 images in Live Edit
	[-] FO : Fix bug #PSCFV-6595, fancybox images for IE and AlphaImageLoader
	[-] FO : Bug fix : JS Minifier replaced with Google Closure Compiler
	[-] FO : Do no try to add empty css or js file name
	[-] FO : Check for cart rules before diplaying shopping cart in OPC
	[-] FO: Fix separated packages
	[-] FO : Mobile theme updated, templates added/improved
	[-] FO : Avoid flashing of availability_statut
	[-] FO : Bug fix #PSCFV-7915 : Mobile theme issue, default attribute
	[-] FO : Fixed mobile theme authentication CSS
	[-] FO : Fix bug #PSCFV-5168, required phone in all templates
	[-] FO : fixed bug #PSCFV-5744 - Using attribute values with decimal points numbers and its ten multiple, have the same url
	[-] FO : minimum purchase total with wurrency
	[-] FO : remove "Invalid address warning" when not "same"  an no invoice address
	[-] FO : Fix bug #PSCFV-7946 delete customized product with several custos
	[-] Fo : Fix bug #PSCFV-7956 select invoice address when adding a first new address
	[-] FO : Fix case for some excluded searched chars
	[-] FO : Fix bug #PSCFV-8149 Notices on undefined properties
	[-] FO: Fix ecotax displayed on the quantity discounts tab with a change of base_price on the product page
	[-] FO : Fix exception when PS_CART_FOLLOWING
	[-] FO : Fix bug #PSCFV-8132 authRedirection not implemented and wrong back redirection
	[-] FO: fixed bug Module crosselling not working properly (Scroll / JS) - #PSCFV-8080
	[-] FO : the option that disable the tax display in the cart wasn't used anymore, I used it again #PSCFV-8033
	[-] FO : Fix bug #PSCFV-7880 display wrapping row in cart
	[-] FO: Fix links to products_attribute when custom url is defined with the blocklayered
	[-] FO : Fix bug #PSCFV-7920 wrong redirection after account creation
	[-] FO: Fix #PSCFV-8083 display of initial price with quantity discount and cart refreshment
	[-] FO: fixed bug two little coding error - #PSCFV-7982
	[-] FO: fixed bug Backoffice and ipad - #PSCFV-7696
	[-] FO : Home w3c validation removed "legend" attribute and target="_blank"
	[-] FO: Fix #PSCFV-7850 sometimes minify_html lib was returned nothing...
	[-] FO : Back slashes for inputs that need it in authentication.tpl
	[-] FO : Fix bug isGuest not defined, set id_carrier in base at login
	[-] FO : cut long referrers in order to avoid a crash #PSCFV-7775
	[-] FO : display total voucher without taxes when the customer group does not display taxes #PSCFV-7746
	[-] FO : fixed guest saving #PSCFV-6150
	[-] FO: Fix display specific prices for combinations in product page #PSCFV-7807
	[-] FO : Fixed regexp for images embbed in description
	[-] FO : Fix warning #PSCFV-7805
	[-] FO: Fix categories and products restriction for unidentified customers after upgrade
	[-] FO : deprecated free_shipping var set to "false"
	[-] FO : Fix bug #PSCFV-7467 no email in post data
	[-] FO : Fix Bug #PSCFV-7439 radio input css
	[-] FO : Fix Bug #PSCFV-7339 available date on product page
	[-] FO : Fix Bug PSCFI-7016 available date on product page
	[-] FO: Fix PHP warning on update quantity in cart with customizables products
	[-] FO: don't load medias if error on product page to avoid JS bugs
	[-] FO: Fix Cart::getDeliveryOption() cache
	[-] FO : Fix bug #PSCFI-6686 when url param has no value set 1 to valuePSCFI-6686
	[-] FO: Fix product restriction by shop
	[-] FO : Fix bug #PSCFV-7491 special characters in direct search
	[-] FO : Fix bug #PSCFV-7562 no availability date in tempalte
	[-] FO: Fix infinite loop on overriding Module::getPaymentModules and executing hook on it #PSCFV-7760
	[-] FO: Fix #PSCFV-7714 quantity discounts displaying in product page for specific customer
	[-] FO: Fix #PSCFV-7627 customer group reduction was applied on combinations for unidentified users on the product page
	[-] FO: Fix fatal error when a customer is deleted and still logged
	[-] FO : you need to execute CartRule::autoAddToCart() after CartRule::autoRemoveFromCart(), everytime #PSCFV-7674
	[-] FO: fixed bug rendering Problems in IE6 with default theme - #PSCFV-7628
	[-] FO : fixed voucher display in the customer view #PSCFV-7332
	[-] FO : Fixed voucher value when it exceeds the product total #PSCFV-7421
	[-] FO : fixed customer discounts #PSCFV-7479
	[-] FO : fixed retro compatibility issue with discounts #PSCFV-7553
	[-] FO : Fix bug #PSCFI-6864 #PSCFV-6516 Issue with deleted address blocking order process
	[-] FO: Fix #PSCFV-7474 display taxes on order payment when the price without taxes is displayed
	[-] FO: Fix #PSCFV-7530 bad quantity returned displayed on order detail for multiple return
	[-] FO : Fix bug #PSCFV-7504 last category for parent and not always default one
	[-] FO : Fix fatal error when memcache is not installed and using Memcached
	[-] FO: Fix #PSCFV-6375 always display the vat_number field for registration even if the european vat number module is disabled
	[-] FO: Fix Product::getProductName for multilang and multishop
	[-] FO : 'undefined' is undefined =)
	[-] FO: fixed bug Change a little css code of global.css to solve a little issue on authentication page - #PSCFV-7527
	[-] FO : Fix #PSCFV-6356 recall adresses in cart after login
	[-] FO : fixed bug #PSCFV-7508 - broken links to images in jquery.fancybox.css
	[-] FO : Fix bug #PSCFV-6516 when not same address to process
	[-] FO: fixed bug Block Cart in columns disappear if product is removed - #PSCFV-7495
	[-] FO: fixed bug Blocknewsletter.css has an extra bracket on the last line and when corrected override still won't work - #PSCFV-7436
	[-] FO: fixed bug PSCFV-6644
	[-] FO : Fix bug #PSCFV-6655
	[-] FO : fixed bug #PSCFV-7381 - free shipping when no carrier available
	[-] FO: Fix #PSCFV-7322 Product::getProductProperties quantity cache
	[-] FO: updated css product_list
	[-] FO : No error on first consultation of shopping cart with minimum purchase
	[-] FO: added a new line for better display on IE9 for the "new" on homefeatured and product list
	[-] FO : Fix bug #PSCFV-7388 Guest checkout & state validation thankx to Sergio
	[-] FO : adding values to empty parameters in ajax of cart-summary.js
	[-] FO : Apply changes from commit 1.4.X 1d0d59845b5f9cb9333a89e60523ab41df076d89 no cache for POST queries
	[-] FO: fixed bug css in IE
	[-] FO: fixed Solutions for authentication.tpl and address.tpl about dni field - #PSCFV-6619
	[-] FO : Try to fix "phone required" bug once again when only signing in
	[-] FO : Fix bug #PSCFI-6751 for 1.5.X carriers and payments update in OPC
	[-] FO : fixed smarty curly bracket    Signed-off-by: Marco Cervellin <marco@macodev.com>
	[-] FO : small fix on shopping cart adresses
	[-] FO: fixed Installer - Message d'erreur mal affiché - #PSCFV-6585
	[-] FO: fixed IE8 Adding Address Problem + improve line-height input on IE - #PSCFV-6401
	[-] FO: improve display voucher code
	[-] FO : fixed bug #PSCFV-5635 - Mobile Theme tax displayed
	[-] FO : fixed reduction display on product page #PSCFV-6308
	[-] FO : fixed bug #PSCFV-6533 - CMS categories: This page does not exist.
	[-] FO : fixed voucher highlighting in the cart #PSCFV-6422
	[-] FO : fixed +/- Tx on the customer voucher page #PSCFV-6642
	[-] FO: Fix Pack::getItemTable with some PHP versions
	[-] FO : recycled package should be disabled by default (because the option can be deactivated) #PSCFV-6639
	[-] FO : fixed shipping number in e-mail #PSCFV-6584
	[-] FO: Fix #PSCFV-6456 price of default attribute with specific price on product comparison
	[-] FO: improvement shopping cart voucher
	[-] FO: fixed bug CSS
	[-] FO: fixed Css issue in BO - #PSCFV-6408
	[-] FO: Fix add to cart for product packs with no quantity and out of stock allowed #PSCFV-4788
	[-] FO : fixed bug #PSCFV-5569 - Trying to get property of non-object in SitemapController
	[-] FO : fixed bug #PSCFV-6529
	[-] FO : fix #PSCFV-6165 cart update when inactive country in old address
	[-] FO : Fix backslashes for smartyTranslate and js=1
	[-] FO : Bad html entities for alert of order-address.js
	[-] FO : Do not suggest states that are not active
	[-] FO : Fix #PSCFV-5905 Fatal error: "no default carrier"
	[-] FO : fixed bug #PSCFV-5312 - Error Uncaught TypeError: Cannot read property top of null in ajax-cart.js when Cart Block is not on product page
	[-] FO : fix PSCFV-5934 bad redirection from https to http for CMS
	[-] FO : Bad checkbox behavior in FF in OPC
	[-] FO : Countries in invoice address in OPC
	[-] FO: rtl.css was missing on default theme
	[-] FO : Fix Exception when invoice address is empty in OPC
	[-] FO : Fix #PSCFV-5544 same alias is no more rejected in OPC
	[-] FO: Fix cookie domain detection for com.co tld #PSCFV-5256
	[-] FO : small fix in front office pagination thanks to @phproberto
	[-] FO : Fix #PSCFV-4885 for DNI field, states and postcode display
	[-] FO: Fix #PSCFV-6493 root and home category id should be different of 1 and 2
	[-] FO : Fix #PSCFV-6307 correct invoice address in OPC
	[-] FO : Fix again #PSCFV-6209 #PSCFV-5686 no required phone
	[-] FO: Fix #PSCFV-6159 order way of best sales
	[-] FO: name of the supplier page fixed #PSCFV-5571    You do it right in 5219457 , but if you already have a old version, it's no change...
	[-] FO: remove WAHOU
	[-] FO : fixed bug #PSCFV-6411 Friendly URL on prices-drop for page 2 doesn't work

	[-] BO : Remove warning at login template
	[-] BO: it is now possible to change the default customer/guest/visitor group per shop
	[-] BO : fixed Alphabetical sorting of categories
	[-] BO: Fix #PSCFV-8422 it is now possible to manage minimal quantity even if stock management is disabled
	[-] BO : set order payments reference to 9 chars after upgrade from 1.4.X
	[-] BO: AdminProductControllers::bulkDelete should return error message if stock left with adv stock management like standard delete #PSCFV-8250
	[-] BO : fixed product indexation markup in import #PSCFV-7695
	[-] BO : Fix bug #PSCFV-8027 bad sql query on messages when private bool = true
	[-] BO : added important check of the default language for ObjectModel multilang properties
	[-] BO : fixed bug #PSCFV-8285 - module tab listing permission
	[-] BO : Fix live edit link
	[-] BO: Fix update of delivery address on backoffice orders
	[-] BO: Fix auto-selection of default category when you have choosen one on the listing
	[-] BO : Avoid warning if img src not defined in controller
	[-] BO : Fix bug #PSCFV-7468 required phone in address creation
	[-] BO : get default language when context language is empty for translation
	[-] BO : admin language is now based directly on the employee language instead of the cookie
	[-] BO : Rename genders images when upgrading from 1.5.0.1 to 1.5.3.1
	[-] BO : Bug with genders icons
	[-] BO : Bug with duplicate carts in back office due to id_guest
	[-] BO: Auto-select the tax rules group most used on product creation
	[-] BO: Fix SQL error on click on notification if no new notifications
	[-] BO : Fix warning on $db_tab_module_list
	[-] BO: Fix Currencies bulk statuses and deletion
	[-] BO : Premium activation block & logos
	[-] BO: Fix selected shop displayed on the shop listing after F5
	[-] BO: fixed bad set of display status set in AdminCMS
	[-] BO : fixed bug when save image shop association
	[-] BO : Fix bug #PSCFV-7657 all groups checked when creating customers
	[-] BO: Second part of #PSCFV-8067 for orderslips
	[-] BO: Fix #PSCFV-8067 the europeean vat exempt label was not using the tax address type
	[-] BO: fixed bug block shipping display in orders
	[-] BO: Fix #PSCFV-8068 stock available total cache after deleting a combination
	[-] BO: fixed bug cart rules display
	[-] BO: fixed header display on tablet- #PSCFV-6166
	[-] BO: Use default language for copying emails if english is deleted
	[-] BO : fixed bug #PSCFV-7871 - bad breadcrumb when create a new CMS
	[-] BO: don't allow bulkdelete of default language
	[-] BO: Fix case sensitive issue on search blacklist
	[-] BO: Fix module listing with addons module with default currency not on the xml #PSCFV-8005
	[-] BO: Filter customers listing by shop context on AdminGroups
	[-] BO: Fix #PSCFV-7995 countries/groups/currencies refreshment when selecting a shop in specific price form
	[-] BO: Fix form displayed for features add after error
	[-] BO: pagination was missing on tax rules listing
	[-] BO: fixed lots of UI bugs in CMS:    - no more id_category (doesn't exists, it's id_cms_category)    - change category position now redirects in parent category (not at root category)    - change category status now redirects in parent category (not at root category)    - delete multiples category now redirects in parent category (not at root category)    - add form new category now auto select parent category (not root category)    - add a new category now redirects in parent category (not at root category)    - delete multiple categories now redirects in parent category (not at root category)    - now execute parent::postProcess() only if none action found (duplicate postProcess was done)    - now redirects to CMS form if found errors (not at root category)    - fixed unexists $object variable (was $cms) for saveAndStay    - delete multiple cms content now redirects in parent category (not at root category)    - change cms content position now redirects in parent category (not at root category)    - change cms content status now redirects in parent category (not at root category)
	[-] BO: Fix PHP notice on ob_clean if no buffer to delete
	[-] BO : automatic conversion of , into . in cart rules #PSCFV-7430
	[-] BO : fixed payment distribution #PSCFV-7398
	[-] BO: Fix #PSCFV-7838 deleted taxes should not appears on the listing
	[-] BO: improve payment module page on IE
	[-] BO: improve module payment page
	[-] BO: improve payment module page + header
	[-] BO: Fix #PSCFV-7851 - shop logo and name should depend of the order shop and from the context
	[-] BO: Fix #PSCFV-7646 JS error when adding a product existing in an other shop
	[-] BO: Fix #PSCFV-7730 update the multishop fields in adminproducts on default shop if context is all and if product is not associated to all shops
	[-] BO: Fix #PSCFV-7734 multiple order delivery number for the same order
	[-] BO : fixed bug #PSCFV-7551 - wrong breadcrumb when create root category
	[-] BO: Fix #PSCFV-7462 bad sql request for ordering by price in adminproducts
	[-] BO : fixed bug #PSCFV-7575 - BO shipping price by zones ang weigth error js
	[-] BO: Fix #PSCFV-7427 group id used for price computation on order edition
	[-] BO: Fix connection with Addons on AdminModules
	[-] BO: Forbid to add a pack into a pack
	[-] BO: Forbid to delete the defaults return statuses
	[-] BO: Fix error message for new language creation and iso code not exists
	[-] BO: Don't display delete icon for order carts
	[-] BO: Not allow to give an existing email when editing an employee
	[-] BO: Fix #PSCFV-6497 display of list when deleting customers
	[-] BO: Fix id_shop for configuration variables in global context for orders
	[-] BO: get the invoice prefix from the right shop
	[-] BO: Fix live edit links on homepage
	[-] BO: Fix #PSCFV-7576
	[-] BO : Adresses not deduplicate in orders page
	[-] BO : 'MCached' is 'CacheMemcache' for PS_CACHING_SYSTEM_
	[-] BO : Fix bug #PSCFI-6902 fatal error when memcache not installed and Memcached previously activated
	[-] BO: Fix #PSCFV-7522 update cover image after deleting it
	[-] BO: Fix #PSCFV-7523 htaccess generation for SSL domain
	[-] BO : Fix warnings when importing #PSCFV-6648 again
	[-] BO : Fiw warning on $current_order_state
	[-] Bo : Fix warnings #PSCFV-6648
	[-] BO: Fix warning when image is uploaded with PHP < 5.3 #PSCFV-7425
	[-] BO : reduced error catching severity in the module tab
	[-] BO: the attached file of downloadable products duplicated should not be the same than the original #PSCFV-7460
	[-] BO: Fix SQL request on downloadable product duplication
	[-] BO: Fix possible PHP notice on AdminGroups #PSCFV-7412
	[-] BO : Do not display country formatting twice, neither in FO
	[-] BO: Fix #PSCFV-7377 second part
	[-] BO : fix css for iframe of custom products when creating order in BO
	[-] BO: Fix #PSCFV-7377 customizable fields on product duplication
	[-] BO: Fix translations for overridden templates #PSCFV-7391
	[-] BO: Allow override for emails translations on the default theme without MODE_DEV
	[-] BO: Fix #PSCFV-6383 allow numerics chars on SQL Manager
	[-] BO: description_short product field validation when the limit is changed #PSCFV-7383
	[-] BO: Fix #PSCFV-6367 don't display the payment modules on BackOffice orders if they are disabled
	[-] BO: Standard Norm
	[-] BO : fixed bug #PSCFV-5601 - AddressFormat wrongly forbid the 'other' field from the Address to be part of the address format
	[-] BO : fixed quick access for upgrade from 1.4 #PSCFV-6370
	[-] BO : fixed bug #PSCFV-6381 - Customer Service mixing groups of shops (Multistore)
	[-] BO : fixed bug #PSCFV-6623 - fixed Parse error
	[-] BO: Fix #PSCFV-6616 id_shop should be loaded from cart when no order is created on Admin Carts
	[-] BO : fixed bug #PSCFV-6623 - multistore edit greek encoding
	[-] BO: Fix #PSCFV-5930 #PSCFV-5939 the filters are handled as the same between tabs which can cause sql errors
	[-] BO : fixed bug #PSCFV-6536 indefined index in toolbar.tpl
	[-] BO: Disallow advanced stock management if the product become a pa
	[-] BO : fixed bug #PSCFV-4961 - Strange behavior when reordering categories
	[-] BO : fixed bug #PSCFV-4668 - added check if module folder is writable before upgrade it
	[-] BO : bad initialization of context due to miss define of _PS_ADMIN_DIR_ in displayImage.php
	[-] BO : fixed bug #PSCFV-4925 - duplicate subject in SAV
	[-] BO: Fix #PSCFV-6386 recyclable should be init to 0 on BO orders
	[-] BO: Fix #PSCFV-6120 display of shipping price on BO order summary detail with freeshipping
	[-] BO: override the compile check to true for smarty in the BackOffice
	[-] BO : fixed import images
	[-] BO: Fix #PSCFV-6118 display of product image for git on BackOffice orders
	[-] BO : fixed bug #PSCFV-6130 - Wrong currency in product specific prices administration
	[-] BO: Fix #PSCFV-6394 price/weight/unit_price reduction impact on combinations form
	[-] BO: Fix #PSCFV-6415 php notice

	[-] Core: clean Language:: after adding a new lang
	[-] CORE : fixed bug #PSCFV-8035 - 'auth' hook exception is not working
	[-] Core: delete lang files
	[-] Core: Fix the listings in multishop context when you have at least a combination on one shop and not on the others and the same for the images
	[-] Core: don't compute again price_wt in Product::addCustomizationPrice if already computed
	[-] Core: Fix #PSCFV-8293 bad sql vars name on Order::getShipping() #PSCFV-8293
	[-] Core: Fix search indexation when nb languages * nb shops > 50
	[-] CORE : Preserve carrier reference integrity in cart rules when updating a carrier
	[-] Core: Fix #PSCFV-8130 getTaxesAverageUsed() for delivery address used
	[-] Core: Fix #PSCFV-8119 logos/shop_name for orders emails was not depend of the shop
	[-] Core: Fix #PSCFV-7813 override of modules email templates not working because of directory separator
	[-] Core: Fix TCPDF encoding for some languages like japan #PSCFV-8096
	[-] Core: Fix Shop::addSqlRestrictionOnLang() for module installation
	[-] Core: id_customer was missing in the SpecificPrice::getSpecificPrice() cache key #PSCFV-8086
	[-] Core: increase size of phone field
	[-] Core : you must always have an id_shop in a SQL query, not null
	[-] Core: bad operator used in PaymentModule #PSCFV-8040
	[-] Core: Fix #PSCFV-8012 attribute_url is sometimes null but also sometimes empty...
	[-] Core: Mobile_Detect library upgrade to 2.5.5
	[-] Core: ProductSale no more takes products with no visibility    Fixed bug that's ProductSale is taking products with no visibility, displaying them in module blockbestsellers. But as they have no visibility, we don't want to display them!
	[-] CORE : do not verify ssl certificate when using CURL
	[-] CORE : Fix too big query for lastNoneOrderedCart
	[-] Core: Change cache key name of objectmodel now using classname against table name #PSCFV-7795
	[-] CORE : fixed bug #PSCFV-6545 - ImageManager::resize() error
	[-] CORE : Fix warning  when result from query is not a ressource
	[-] Core: Fix rounding price computation with and without taxes #PSCFV-7796
	[-] Core: upgrade smarty to 3.1.13
	[-] CORe : Fix #PSCFV-7314 unregisterHook and unregisterExceptions in module::uninstall
	[-] CORE : file_put_contents() returns the number of bytes that were written to the file, or FALSE on failure.
	[-] CORE : Set default customer group to old default group when upgrading from 1.4.X
	[-] CORE : order state preparation now generate delivery slip
	[-] Core: Fix #PSCFV-6067 stock was not reserved sometimes because of time
	[-] Core : Fixed a lot of issue with free shipping vouchers #PSCFV-7325
	[-] Core : cart rule cache cleared on update
	[-] CORE : FIx #PSCFV-3163 getextendedstats returning new keys
	[-] Core : prepend/append are now a little more optionnal in the routes for the dispatcher
	[-] Core: Fix Tools::file_get_contents for post and curl
	[-] CORE : fixed bug #PSCFV-6238
	[-] CORE : Bad placement of overrided Stock files
	[-] CORE : Missing displayError for alias q
	[-] Core: Fix #PSCFV-7484 cache in Product::priceCalculation
	[-] Core: check the existence of the overriden emails templates before try to sending them
	[-] CORE : email with virtual products info was not send to the customer
	[-] Core: Store partial value in OrderCartRules #PSCFV-6566
	[-] Core: Hook actionUpdateQuantity was not called for product without attributes which depends on the physical stock
	[-] CORE : fixed bug #PSCFV-6555 - Custom theme not working properly with image size
	[-] CORE : fixed bug #PSCFV-5433 - Order confirmation email doesn't report customization
	[-] CORE : fixed bug #PSCFV-4523 - Static _PS_DEFAULT_CUSTOMER_GROUP_ is still use in code even if deprecated 1.5.0.1
	[-] CORE : fixed bug #PSCFV-4754 field name in image_type was too short
	[-] Core: Fix supplier_reference on cart/orders #PSCFV-6082
	[-] Core: Fix #PSCFV-5912 price computation on cart with multiple product without combinations

	[-] MO: followup - fix bug in template vars
	[-] MO: pscleaner - fixed bugs    We need to know that 'editorial' is a module and not always install (so, table can not be there).    ps2 need to be _DB_PREFIX_ !
	[-] MO : Fix bug #PSCFV-8160 iframe in editor
	[-] MO : Bug fix : AdminStores, smarty escape htmlall
	[-] MO : Bug fix : AdminHomeController, allow_url_fopen && Tools::file_get_contents()
	[-] MO : Fix bug #PSCFV-7822 could not load tinymce in referral program
	[-] MO : fixed double entities of meta titles in blocklayered #PSCFV-7986 #PSCFV-7985
	[-] MO : fixed statsbestmanufacturers.php query #PSCFV-8075
	[-] MO: Fix max lenght allowed for 3 field on homeslider configuration #PSCFV-7897
	[-] MO: html was broken on statsdata configuration
	[-] MO : fixed voucher currency in referral program #PSCFV-5950
	[-] MO : you should be able to empty values in homeslider #PSCFV-7407
	[-] MO: regenerate the class_index after adding a new override
	[-] MO : applied unachieved patch on blockbestsellers
	[-] MO: Clear blockcategories_footer.tpl cache
	[-] MO: Display real price instead of Free for product which are not gifts on blockcart #PSCFV-6423
	[-] MO : statsforecast fixed #PSCFV-7399
	[-] MO : Fix bug #PSCFV-6364 pagination in loyalty module, thankx Matthieu@202-ecommerce.com
	[-] MO : fixed bug #PSCFV-6407 - module follow up client
	[-] MO : Fix warning on nbProducts
	[-] MO : Fix bug #PNM-985 bad zone for carrier listing update
	[-] MO : Fix bug #PNM-985 bad zone for cariier listing update
	[-] MO : Update cart function was not functionning + optis
	[-] MO: Fix #PSCFV-7416 product name in blocklayered listing with multishop
	[-] MO: fix a problem with the wishlist_link    With @ArtDesign, we see that if you put the module "Block MyAccount" before the "Wishlist", the wishlist_link var is not declare yet, so the link is empty. If you put the var in the header, it can be accessed by the other tpl.    Or, we can put this in a {$link->getModuleLink(...)} in TPL
	[-] MO : fixed phone number in mailalert #PSCFV-6667
	[-] MO: coding standard
	[-] MO: coding standard
	[-] MO: Fix blockviewd for non identified customers #PSCFV-6042

	[-] WS: Fix #PSCFV-6559 deletion of category images

	[-] PDF : Fixed unecessary slash in manufacturer image path test    In the file_exists test of the manufacturer image path there is an unecessary slash after the constant _PS_MANU_IMG_DIR_, and then we can't display a specific manufacturer image.
	[-] PDF : Fixed unecessary slash in overriden template path

	[-] TR :  Fix #PSCFI-6818 increase input vars in french
	[-] TR : now you can use " or ' in tpl files

	Improved/changed features:

	[*] Installer: check if sessions path if writable
	[*] Installer : mbstring check added (optionnal) #PSCFV-6489
	[*] Installer : installer improvements - Step 1
	[*] Installer : Automatically drop the system compatibility check when everything's alright    // Fixed 'next' button when the page is refreshed
	[*] Installer: pre-compile the smarty templates to improve the loading time of first connection
	[*] Installer : Lower memory for update_order_messages.php

	[*] FO : Fix #PSCFV-7463 No Add to favorite for Chrome
	[*] FO : Fix #PSCFV-6122 for better adresses aliasing in shopping-cart
	[*] FO : Possibility of hook blocknewsletter in footer    I'm added hook footer to blocknewsletter, it is great to theme developers
	[*] FO : Possibility of hook blocknewsletter in footer

	[*] BO: More detailled errors when using Archive tar tool
	[*] BO : remove tiny_mce hard coded setup to tinymce.inc.js
	[*] BO : Set warning when trying to activate Xcache misconfigured
	[*] BO : file_put_contents returns length when success not true
	[*] BO : Add default Unknown.jpg to genders
	[*] BO: add a save and stay button in CMS edit page    This button was missing to edit easily CMS pages.
	[*] BO: store filter by category in admin products
	[*] BO : the option for accented URLs is now available in the backend
	[*] BO: you can now export listing of some tabs in CSV
	[*] BO: Add an option to htaccess generator to disable mod_security (some rules reject ajax file upload)
	[*] BO: Improvements on customer services - you are now able to create new threads for synced emails
	[*] BO: we don't need to clik on a line
	[*] BO : Fix #PSCFI-6225 for 1.5.X
	[*] BO : use the employee lang
	[*] BO: Improve form of catalog price rules #PSCFV-6099

	[*] CORE: Dissasemble CURLOPT_CONNECTTIMEOUT and CURLOPT_TIMEOUT in Tools::file_get_contents
	[*] Core : added the possibility to disable the emails (i.e. for test purpose)
	[*] Core : added automatic conversion of ',' into '.' for floating values

	[*] MO: Add smarty cache on editorial module
	[*] MO: Add smarty cache on blocksocial
	[*] MO: Add smarty cache on blocksearch
	[*] MO: Add smarty cache on blockcustomerprivacy
	[*] MO: Add smarty cache on homeslider
	[*] MO: Add smarty cache on some modules

	[*] WS: Add contact entity
	[*] WS: the customer services are now handled by webservices

	[*] TR: Update translations for errors
	[*] TR : update translations for FR and DE

	[*] LO : Updated associations of countries and languages

	Added Features:

	[+] INSTALLER : added modules install from addons

	[+] BO : added new marketing tab
	[+] BO : new display of payment modules in payment tab
	[+] BO : you can choose where you want to display modules in BO tabs
	[+] BO : new display of module list in all BO tabs
	[+] BO : Added customer language on the customer page

	[+] CORE : added new hook actionModuleInstallBefore and actionModuleInstallAfter
	[+] Core : added a boolean in the database (guest/cart/order) in order to know if the customer used the mobile theme for the order
	[+] CORE : Add .txt extention to CHANGELOG

	[+] MO : new module PrestaShop Cleaner: Check and fix functional integrity constraints and remove default data

	[+] WS : Add product bundle retrieval from Web services


####################################
#   v1.5.3.1 - (2012-12-31)  #
####################################

	Fixed bugs:

	[-] Project: Fix bug when you want to upload (and resize) an image
	[-] Installer: Fix #PSCFV-6392 redirect_type was missing on upgrade
	[-] FO: Fix retrocompatibility for modules and old themes
	[-] FO: Fix PHP warning on category controller
	[-] BO : fixed accentuated URLs in products


####################################
#   v1.5.3.0 - (2012-12-28)  #
####################################

	Added Features:

	[+] Project: add the possibility to change the default color (#db3484)    Let the user set the default color in the mail with a color picker (configuration set in Back Office, Themes)

	[+] FO: modifiy width and height smarty vars for the mobile logo

	[+] BO : you can now choose if a voucher is displayed under the cart in the frontend
	[+] BO: modifiy width and height configuration for the mobile logo
	[+] BO: modifiy smarty var $logo_url to have the mobile logo image if mobile version
	[+] BO: add updateOptionPsLogoMobile()
	[+] BO: add posibility to set a Mobile Header logo
	[+] BO: Allow override loadUpgradeVersionList()

	[+] CORE : now you can choose the redirect option when your product is disable

	Fixed bugs:

	[-] INSTALLER : fixed bug #PSCFV-5721 Duplicate column name 'cover' part 2
	[-] INSTALLER : fixed bug #PSCFV-5721 Duplicate column name 'cover'
	[-] Installer: Fix #PSCFV-5367 update of uploadable_files field was missing in the upgrade of multishop
	[-] Installer : name of the supplier page fixed #PSCFV-5571
	[-] Installer : fixed missing backquote in update query #PSCFV-5331

	[-] FO : vouchers created in the backend order creation are not displayed in the frontend anymore
	[-] FO : fixed usage of "&" in the order messages added by the customers
	[-] Fo : fixed warning in empty categories
	[-] FO : fixed wrong variable
	[-] FO : Mobile, data-ajax added on vouchers form
	[-] FO : Mobile, bug fix (JS page reload on OPC)
	[-] FO : fixed bug #PSCFV-4878 - When disable show prices for default group don't show product accessories
	[-] FO : fixed multishipping crash when too many products and addresses
	[-] FO: Fix cache product features #PSCFV-6138
	[-] FO : fixed loop redirect when pagination have 0 product
	[-] FO : small js fix on gift checkbox update on mobile
	[-] FO : small fix on mobile logo url
	[-] FO : fixed bug #PSCFV-5980 && added 'js=1' in tpl when string is in script tag
	[-] FO: The dispatcher now load the custom routes prior the defaults to avoid infinite loops
	[-] FO : fixed bug #PSCFV-6057 - In step 4 by pressing terms and conditions, do not load css in Internet Explorer 8
	[-] FO: CLONE - order_conf still not fixed propertly #2 - #PSCFV-5817
	[-] FO : jquery mobile was not compatible with js minifier, I updated both
	[-] FO: fix The French order_return_state HTML mail template has the wrong colours - #PSCFV-6005
	[-] FO: fix Image attributes not set - #PSCFV-5957
	[-] FO : mobile template - states management
	[-] FO: FIX #PSCFV-5703 quotes in modules translations break javascript execution
	[-] FO : fixed bug #PSCFV-5849 now customer addresses can't be edited if country is not enable in this shop excepte if group shop is shared order
	[-] FO: Fix some tax_display_method value for not default customer group
	[-] FO: Fix cart summary ajax refreshment
	[-] FO: improvement on h4/h5 edits (id become class)
	[-] FO : fixed bug #PSCFV-5826 #PSCFV-4697 Live edit only works for home page && Live edit can't load module
	[-] FO: js was missing on order follow #PSCFV-5441
	[-] FO: fix CSS / formatting needed on blocks - #PSCFV-3013
	[-] FO: fix Add to cart button needs some changes in its css code - #PSCFV-5933
	[-] FO : fixed bug #PSCFV-5563 - address can't be changed when making an order as a guest
	[-] FO : fixed bug #PSCFV-5776 - Converting a guest account via GuestTrackingController allows empty passwords, warns of an invalid password but DOES convert the account
	[-] FO: Don't display categories in breadcrumb if there are not associated to the shop
	[-] FO: Bug CSS on SAFARI with iphone or ipad - #PSCFV-5704
	[-] FO: fix #product_list li span.new: IE 6,7,8 bug: New product badge not correct position - #PSCFV-5898
	[-] FO: added border-right on product-comparison table
	[-] FO : show mobile theme if you have click "Broswe the mobile site" on a PC
	[-] FO : fixed bug #PSCFV-5871 - URL rewrite with layered disabled
	[-] FO: fix Referral Program Email link fix generates duplicate address in the url - #PSCFV-5853    Fixed in all languages
	[-] FO : fixed bug #PSCFV-5865 - Payment modules are not visible in the hookPayment for a foreigner country
	[-] FO: fix The "Compare buttons" on the Manufacturers List page is coded incorrectly...  - #PSCFV-5636    I also fixed this bug on the supplier list
	[-] FO: fix Can't create consumer account if blockcart module is disabled - baseUri not defined - #PSCFV-5667
	[-] FO: bug fixed on infos fields authentification
	[-] FO: Fix cookie problem when accessing not accessing to the shop with the main url
	[-] FO: PSCFV-4181: pruneoff unavailable products
	[-] FO : fixed bug #PSCFV-5293 - product link rewrite bug with category keyword
	[-] FO: add target="_blank" on the "powered by" link in the footer
	[-] FO: Availability was not displayed anymore on product listing #PSCFV-5698
	[-] FO: Search product listing should use the stock of default attribute as in category product listing
	[-] FO : changed redirection management when accessing page number out of scope #PSCFV-5567
	[-] FO : fixed a problem with quantity of customized products #PSCFV-5630    [-] FO : removed cart rules already in the cart from available cart rules in the cart summary
	[-] FO : removed useless extra parameter not implemented in Manufacturer::getManufacturers() #PSCFV-5771
	[-] FO : fixed parse error on ContactController.php #PSCFV-5803
	[-] FO : fixed bug #PSCFV-5649 - Product comparison error when Features are not set
	[-] FO : store locator working hours fixed #PSCFV-5709
	[-] FO : fixed bug #PSCFV-5779 - order_conf still not fixed propertly
	[-] FO: Fix #PSCFV-5052 update the cart rules in the cart when the address is changed
	[-] FO : fixed error in price cache (multishop not taken into account) #PSCFV-5612
	[-] FO : added missing e-mail control on identity controller #PSCFV-5645
	[-] FO : cookie lifetime is now set with the front end lifetime value instead of the BO value #PSCFV-5668
	[-] FO: Fix: many fixes - domain for cookies with different url for ssl / add to cart button for minimal quantities with product attributes
	[-] FO : fixed bug #PSCFV-5481
	[-] FO : fixed bug #PSCFV-5460
	[-] FO : fixed bug #PSCFV-4783
	[-] FO: Fix #PSCFV-5652 url redirection after a guest order was bas
	[-] FO : Fix #PSCFV-5239 bad rewrite rule for category with no image
	[-] FO : fixed bug #PSCFV-5324 - Product url rewrite contains "root/home/"
	[-] FO: Fix #PSCFV-5359 do not redirect to canonical url on 404 error
	[-] FO : you cannot reset the password of a deactivated account anymore #PSCFV-5621
	[-] FO : replaced order id by order reference in the contact form (but kept the id_order for retrocompatibility) #PSCFV-5491
	[-] FO : replaced order id by order reference in the contact form (but kept the id_order for retrocompatibility) #PSCFV-5491
	[-] FO : fixed bug on mobile them with opc can't place order.
	[-] FO : fixed bug #PSCFV-5617 - fixed bug #PSCFV-5616 - mobile theme issues
	[-] FO : wrong cache ID fixed #PSCFV-5537
	[-] FO : fixed bug #PSCFV-5368 - CMS pages are all blank in front but exists in admin
	[-] FO : fixed geolocation issue (which caused some unexpected cart reset)
	[-] FO : removed deprecated configuration var "PS_VOUCHERS" #PSCFV-5240    // Removed useless DOS protection
	[-] FO : Fix error with geolocation enabled and satellite connection
	[-] FO : Fix 2 SSL links on order-follow tpl #PSCFV-5441
	[-] FO : shipping should not be free because the products in cart cart are free #PSCFV-5303
	[-] FO : restored the display of available cart rules in the cart #PSCFV-5473 (clean)
	[-] FO : fixed validation of birthdates #PSCFV-5465
	[-] FO : restored the display of available cart rules in the cart #PSCFV-5473
	[-] FO : Fix the group/zone/shop restriction on carriers when using advanced stock management
	[-] FO : missing vars in contact email replaced #PSCFV-4852
	[-] FO : fixed bug #PSCFV-5236 - 2 issues with Customer::outstanding_allow_amount
	[-] FO : fixed bug #PSCFV-5398 - "In stock" in the product page write in red
	[-] FO : fixed bug #PSCFV-5304 - theme tools.js needed in OrderFollowController.php and OrderSlipController.php
	[-] FO : fixed bug #PSCFV-5039
	[-] FO: Fix #PSCFV-5220 exception when birthday date is invalid
	[-] FO : Fix #PSCFV-5216 specific prices on cart refreshment when deleting product

	[-] BO : better error management for translation packs
	[-] BO : fixed translations on templates
	[-] BO : fixed image settings form #PSCFV-5458
	[-] BO : fixed warnings on the anti-XSS page
	[-] BO : fixed weight and distance units validation
	[-] BO : fixed image upload (except with OVH firewall) #PSCFV-6152 #PSCFV-6157 #PSCFV-5862 #PSCFV-5756 #PSCFV-6074 #PSCFV-5459
	[-] BO: Fix #PSCFV-6172 don't htmlentities the cart rule name && increase size of name order_cart_rule field
	[-] BO : fixed bug #PSCFV-5408 - Affect a new zone button for selected states in  States doesn't work correctly
	[-] BO : fixed duplicate code management on cart rules #PSCFV-6119
	[-] BO: Fix catalog price rules creation with mysql strict mod #PSCFV-5916
	[-] BO: useSSL global does not exist anymore #PSCFV-6113
	[-] BO: don't display stock available if stock management is disabled #PSCFV-6029
	[-] BO: Improve memory usage in admin product in global context with a lot of shops and attributes
	[-] BO: Fix root category should anyway be imported in shop creation #PSCFV-5885
	[-] BO: Fix various bugs in categories ntree generation
	[-] BO : fixed bug #PSCFV-6000 - added check if zip uploaded is a real module in AdminModules
	[-] BO : fixed bug #PSCFV-5991 - CMS friendly URL does not automatically copied
	[-] BO : added import button on listing
	[-] BO : fixed bug #PSCFV-5774 BO SAV : the response of the admin appears without newline
	[-] BO : fixed bug #PSCFV-4701 - Module onclickOption is not called
	[-] BO : fixed bug #PSCFV-4699 - Module uninstall confirmation message is missing
	[-] BO: Fix #PSCFV-4889 don't delete product if physical stock > 0
	[-] BO: Add display of modules errors on reset #PSCFV-2077
	[-] BO: Fix #PSCFV-5706 save of product availability on global context
	[-] BO : fixed bug when toggle status on product listing, redirect_type was not good
	[-] BO: Fix #PSCFV-5345 quotes in translations of languages packs imported
	[-] BO: Fix #PSCFV-5332 wrong rights on folder after uploading image
	[-] BO: Fix category association in global context #PSCFV-5551
	[-] BO : fixed bug #PSCFV-5501 - Can't edit Guest AccountAddress in Custumer -> Addresses
	[-] BO : fixed bug #PSCFV-5743 - modify status Preparation in progress and remove the delivery flag
	[-] BO : fixed bug #PSCFV-5610 Credit slip reference is too short    [*] BO : added prefix on credit slip reference
	[-] BO : improved error display on admincarriers #PSCFV-5660
	[-] BO: Fix product image link for admin orders #PSCFV-5163
	[-] BO : added Module::getInstanceByName brefore ->loadUpgradeVersionList
	[-] BO : fixed bug #PSCFV-5838 Advanced Parameters - E-mail - Custom SMTP does not work if the password contains symbols '<' or '>'
	[-] BO : you can now remove the english language by whatever mean you like most #PSCFV-5815
	[-] BO : admin does not crash anymore when custom BO theme is not available #PSCFV-5492
	[-] BO : fixed duplicated rows with free order in dashboard stats #PSCFV-5626
	[-] BO : fixed filters on statuses tab #PSCFV-5763
	[-] BO: Fix #PSCFV-5207 update of some fields on multishop with deleted property
	[-] BO : fixed sorting and filter in BO tabs #PSCFV-5618
	[-] BO: Fix the product indexation only on the default shop #PSCFV-5227
	[-] BO : image regeneration now gives a better reporting and crash less #PSCFV-5519
	[-] BO : tag saving does not crash with a bad line ending anymore #PSCFV-5663
	[-] BO: Fix #PSCFV-5445 - carts are empty on global context in the AdminCarts
	[-] BO : you can search a product by supplier reference again #PSCFV-5723
	[-] BO : check the folder permissions before writing PDF translations in the theme
	[-] BO : forbid the creation of 2 cart rules with the same code #PSCFV-5737
	[-] BO : added missing width and height of the logo in the supplier order PDF
	[-] BO: FIX #PSCFV-5088 - cant add a tax rule to a group if one have already defined as unique
	[-] BO : fixed bug #PSCFV-5141 - Product Url being rewritten when a product is edited
	[-] BO: Fix #PSCFV-4284 combinations import should delete available stock for combinations and not for products
	[-] BO: Remove useless warning #PSCFV-5122
	[-] BO : Fix #PSCFV-4949 position updating after deleting a category from a product
	[-] BO: Fix #PSCFV-5109 translations of admin module controller
	[-] BO: Fix #PSCFV-5263 tax rule deletion on tax rules group deletion
	[-] BO : fixed bug #PSCFV-4855 - AdminTab1.5 compatibility ; datepicker not included in listHeader
	[-] BO : fixed JS bug in category creation with URL rewrite field
	[-] BO: Fix language pack export
	[-] BO: Fix #PSCFV-5344 stock reinjecting values on returning products with advanced stock management
	[-] BO : fixed form bug with voucher with a value < 1.00 #PSCFV-5523
	[-] BO : fix the change of advanced stock management in the products on GroupShop context #PSCFV-5521
	[-] BO : Fix PDF translations with default theme without DEV MODE #PSCFV-4888
	[-] BO : date format in PDF fixed #PSCFV-5178
	[-] BO : fixed bug #PSCFV-5387 - Impossible to add more than 13 Keywords in index page (SEO & URLs)
	[-] BO : fixed bug #PSCFV-5105 - Internal server error 500 on fields names translation
	[-] BO : added more details when fail to regenerate thumbnails
	[-] BO: OrderSlips should not be deleted && add icon to download pdfs on admin order slips
	[-] BO: Fix product attribute values on product duplication with multishop #PSCFV-5435
	[-] BO : Fix carrier association listing on warehouse form
	[-] BO: delete the carrier on the warehouse from the id_reference
	[-] BO : fixed bug #PSCFV-5355 - issue in Carrier::delete() and Carrier::cleanPositions()
	[-] BO : fixed bug #PSCFV-5385 - bug in SEO and URL, select field "page"
	[-] BO : fixed bug #PSCFV-5321 - decreasing unit price impact in combinations not possible
	[-] BO : fixed bug #PSCFV-4274 - supplier reference missing in csv import of combinations
	[-] BO : fixed bug #PSCFV-4795 - Broken pack option for products with apostrophe in translation
	[-] BO : Fix #PSCFV-4858
	[-] BO : Fix #PSCFV-4710 - html was not saved in backups made in backoffice
	[-] BO: #PSCFV-5258 increase the allowed displayed results for product autocomplete
	[-] BO : fixed bug #PSCFV-5155
	[-] BO : fixed bug adminStores when enable multistory crash on save store
	[-] BO : Fix #PSCFV-5223 add product should be available when the package is not shipped
	[-] BO : fixed bug #PSCFV-4787 - Administration > Quick Access: token issue
	[-] BO : fixed bug #PSCFV-5251 - unable deactivate product via CSV import
	[-] BO : fixed bug #PSCFV-5230 - Employees skip permits on bulk delete category
	[-] BO : fixed bug #PSCFV-4844 - Category Image is deleted after update
	[-] BO : fix #PSCFV-5087

	[-] Classes : Bug fix : Modules, check module instance
	[-] Classes : Bug Fix : AdminStoresController (parse error)

	[-] Core: the gift wrapping taxes is now handled by tax rules group
	[-] CORE : fixed bug #PSCFV-5116 Horizontal top menu cache
	[-] Core: The emails can now be sent with amazon SES when logo is in png
	[-] CORE : fixed bug #PSCFV-4754 Image sizes are the same for all shops and themes
	[-] Core: Fix #PSCFV-6162 - can't add no tax for specific zip code or state
	[-] Core: Fix #PSCFV-5997 - Product::priceCalculation not return the price of default combination
	[-] CORE : fixed bug #PSCFV-6084
	[-] CORE : fixed bug #PSCFV-6098 Double @ in customer email address crashes BO
	[-] Core: send email when payment is remotly accepted #PSCFV-6064
	[-] Core: Fix Swift and TCPDF for hosting which disallow getmypid() php function
	[-] Core: Fix search indexation when id_product is forced #PSCFV-6039
	[-] CORE : fixed sql bug in PaymentModuleCore::getInstalledPaymentModules() - now get only active payment modules
	[-] CORE : small fix in Dispatcher::createURL() when friendly URL is disabled
	[-] Core: Locales should be setted anywhere #PSCFV-5953
	[-] Core: Fix #PSCFV-5948 id_warehouse was sometime set to  null on validateorder with stock management disabled
	[-] Core: Fix #PSCFV-5966 the tax rate applied to shipping cost for the visitors was the product tax rate
	[-] Core: Fix isDate validator
	[-] Core: Fix date validator #PSCFV-5797
	[-] CORE : fixed bug #PSCFV-5536 - Layout for index controller is broken
	[-] CORE : fixed some bad include of jquery plugin
	[-] CORE : fixed bug #PSCFV-5572 - getJqueryPluginCSSPath method does not pass folder argument
	[-] Core: Fix #PSCFV-5561 many payment informations are added when product is out of stock on order validation
	[-] Core: Fix #PSCFV-5301 Product::isDiscounted was returned a bad value
	[-] CORE : fixed bug #PSCFV-5514 - Override of module language file type fr.php in theme
	[-] CORE : fixed bug #PSCFV-5700 - loop on undefined variable, typo, quote missing in generic_add_missing_column.php
	[-] CORE : fixed bug #PSCFV-5400 - jquery.ui.core.css is never used
	[-] Core: Fix products duplication when using multiple taxe rule on the same country
	[-] Core: Fix #PSCFV-5327 the computation of real stock quantities was bad sometimes
	[-] Core: fix regular expression patterns for some hosting which don't support unicode
	[-] CORE : fixed bug #PSCFV-5261 - No easy way to associate xxx_shop table for an object => added Shop:: addTableAssociation($table_name, $table_details)
	[-] Core: Fix #PSCFV-5238 cache_has_attachments field update
	[-] Core : fix id_warehouse used for orders
	[-] Core : Fix #PSCFV-5370
	[-] Core: StockAvaible::updateQuantity should return a value
	[-] CORE : fixed bug #PSCFV-5190 - ObjectModel setDefinitionRetrocompatibility faulty
	[-] CORE : fixed bug #PSCFV-4910 - bug with cache_default_attribute when converting a product to pack
	[-] CORE : fixed bug #PSCFV-5153 - intifier and desintifier from Cart class are not reliable
	[-] CORE : fixed bug #PSCFV-5252 - Module::addOverride() erase existing override method already existe
	[-] Core : Fix #PSCFV-5194 object instead of object name stored in class definition

	[-] MO : statsbestvouchers small fix (but great difference)
	[-] MO : fixed bad path in productcomments
	[-] MO : fixed bad character in the statsbestvouchers module
	[-] MO : fixed bugs on RSS modules
	[-] MO: Fix Wishlist controller with ssl #PSCFV-5943
	[-] MO: Mailalert should send alert for new order independently of the stock management
	[-] MO : fixed backslashes in homeslider #PSCFV-5664
	[-] MO : fixed bug #PSCFV-5396 - Notices when ordering categories with layered navigation module
	[-] MO : use addJS instead of a tpl file
	[-] MO: Fix #PSCFV-5246 add and remove favorite products was not working using SSL
	[-] MO : block RSS encoding fixed #PSCFV-5689
	[-] MO : fixed referralprogram uninstall #PSCFV-5680
	[-] MO : "delete" in the module list now uninstall the module before deleting the files
	[-] MO : fixed bug #PSCFV-5348 - cant load any tinymce in any bo module works only in cms pages
	[-] MO: Fix Bankwire validation link using SSL #PSCFV-5266
	[-] MO : statsdata must use SSL when tracking a secure page #PSCFV-5443
	[-] MO : upgrade files are now called in the right order #PSCFV-5315
	[-] MO : fixed bug #PSCFV-5379 - code problem in editorial.php at function hookDisplayHome
	[-] MO : fixed bug #PSCFV-4632 - no german translation for my-account block in footer
	[-] MO : fixed bug #PSCFV-5333 - blockuserinfo css fails with localization
	[-] MO : fixed bug #PSCFV-5335 - duplication of background value in blockmyaccountfooter module

	[-] WS: Fix #PSCFV-5915 temporary images deletion
	[-] WS: #PSCFV-5982 logo email/invoices/mail don't return standard logo if not exists
	[-] WS: Fix #PSCFV-5981 logo path
	[-] WS : cart rules were missing in the WS #PSCFV-5602

	Improved/changed features:

	[*] FO : mobile template - states management    Put "p" and "div" in the same selector
	[*] FO : Bug fix : h4 -> title_block
	[*] FO : Cart vouchers style edited
	[*] FO : improve SEO and http error code
	[*] FO: use initLogoAndFavicon() function
	[*] FO: add initLogoAndFavicon()
	[*] FO : fixed wrong display of weight units in product comparaison #PSCFV-5662

	[*] BO : moved sample csv file
	[*] BO : added backup of the settings file whenever there is a modification #PSCFV-5676
	[*] BO : the global search now looks into the modules
	[*] BO : Mobile theme checks that the PayPal module is installed.
	[*] BO : you can now search by order reference #PSCFV-5592

	[*] Core: conversion_rate of currencies are now multishop

	[*] WS : add accessories association to product webservices


####################################
#   v1.5.2.0 - 17927 (2012-10-23)  #
####################################

	Added Features:

	[+] CORE : added transaction_id in PaymentModule::validateOrder() in $extra_vars['transaction_id']

	Fixed bugs:

	[-] INSTALLER : fixed bug #PSCFV-4809

	[-] FO : fixed bug #PSCFV-4625
	[-] FO : fixed bug #PSCFV-4702
	[-] FO : fixed bug #PSCFV-4946
	[-] FO : fixed bug #PSCFV-4950
	[-] FO : fixed bug #PSCFV-5007
	[-] FO : fixed bug #PSCFV-5048

	[-] BO : fix #PSCFV-4053
	[-] BO : fix #PSCFV-4764
	[-] BO : fix #PSCFV-4766
	[-] BO : fix #PSCFV-4816
	[-] BO : fix #PSCFV-4846
	[-] BO : fix #PSCFV-4848
	[-] BO : fix #PSCFV-4854
	[-] BO : fix #PSCFV-4862
	[-] BO : fix #PSCFV-4884
	[-] BO : fix #PSCFV-4888
	[-] BO : fix #PSCFV-4901
	[-] BO : fix #PSCFV-4933 : add recursively index.php file
	[-] BO : fix #PSCFV-4953
	[-] BO : fix #PSCFV-4988
	[-] BO : fix #PSCFV-5008
	[-] BO : fix #PSCFV-5019
	[-] BO : fix #PSCFV-5031
	[-] BO : fixed bug #PSCFV-4209
	[-] BO : fixed bug #PSCFV-4439
	[-] BO : fixed bug #PSCFV-4653
	[-] BO : fixed bug #PSCFV-4674
	[-] BO : fixed bug #PSCFV-4750
	[-] BO : fixed bug #PSCFV-4769
	[-] BO : fixed bug #PSCFV-4865

	[-] Classes : Hook - Display payment method & shop default currency bug fix

	[-] CORE : fixed bug #PSCFV-4595
	[-] CORE : fixed bug #PSCFV-4759
	[-] CORE : fixed bug #PSCFV-4860
	[-] Core : Fix #PSCFV-4986

	[-] MO : fixed bug #PSCFV-4602
	[-] MO : fixed bug #PSCFV-4829
	[-] MO : fixed bug #PSCFV-4897
	[-] MO : fixed bug #PSCFV-4932
	[-] MO : fixed bug #PSCFV-4952


####################################
#   v1.5.1.0 - 17784 (2012-10-04)  #
####################################

	Improved/changed features:

	[*] TR : Loyalty module FR translation updated


####################################
#   v1.5.1.0 - 17771 (2012-10-04)  #
####################################

	Improved/changed features:

	[*] Installer : added brazilian/portuguese

	[*] Classes : Tools::replaceAccentedChars() method improved (lowercase/uppercase chars)

	[*] TR : update translations

	Added Features:

	[+] FO : now you can choose if at least on phone number is required

	[+] BO : Add CloudCache in Performance Tab

	Fixed bugs:

	[-] INSTALLER : fixed bug #PSCFV-4072
	[-] Installer : Fix #PSCFV-4306
	[-] Installer : removed calls to Tools in installer (replace by local function) #PSCFV-4113

	[-] FO : #PSCFV-4329
	[-] FO : #PSCFV-4356 : index.php added when this file not exist on the default theme
	[-] FO : URL possibly misinterpreted (remove a product in the cart) #PSCFV-4179
	[-] FO : blockcart was only able to remove 1 product at a time #PSCFV-4170
	[-] FO : changed confusing "free shipping" mention #PSCFV-4151
	[-] FO : fixed #PSCFV-4120
	[-] FO : fixed #PSCFV-4123
	[-] FO : fixed bug #PSCFI-2571 #PSCFI-2571
	[-] FO : fixed bug #PSCFV-4092
	[-] FO : fixed bug #PSCFV-4112
	[-] FO : fixed bug #PSCFV-4117
	[-] FO : fixed bug #PSCFV-4137
	[-] FO : fixed bug #PSCFV-4175
	[-] FO : fixed bug #PSCFV-4223
	[-] FO : fixed bug #PSCFV-4310
	[-] FO : fixed bug #PSCFV-4316
	[-] FO : fixed bug #PSCFV-4317
	[-] FO : fixed bug #PSCFV-4336
	[-] FO : fixed bug #PSCFV-4340
	[-] FO : fixed bug #PSCFV-4341
	[-] FO : fixed bug #PSCFV-4347
	[-] FO : fixed bug #PSCFV-4357, #PSCFV-4270
	[-] FO : fixed bug #PSCFV-4367
	[-] FO : fixed bug #PSCFV-4368
	[-] FO : fixed bug #PSCFV-4388
	[-] FO : fixed bug #PSCFV-4414
	[-] FO : fixed bug #PSCFV-4488
	[-] FO : fixed bug #PSCFV-4490
	[-] FO : fixed bug #PSCFV-4495
	[-] FO : fixed bug #PSCFV-4526
	[-] FO : fixed bug #PSCFV-4535
	[-] FO : fixed bug #PSCFV-4553
	[-] FO : fixed bug #PSCFV-4557
	[-] FO : fixed bug #PSCFV-4611
	[-] FO : fixed bug #PSCFV-4618
	[-] FO : fixed width bug #PSCFV-4245
	[-] FO : instant search relevancy fixed #PSCFV-4267
	[-] FO : mobile theme : fix #PSCFV-4275
	[-] FO : mobile theme : fix #PSCFV-4275 : delete calls to css and js not used

	[-] BO : #PSCFV-4356 : index.php added when export translations
	[-] BO : #PSCFV-4392 : index.php in modules folder and sub folders
	[-] BO : added a truncate on a too long string #PSCFV-4009
	[-] BO : attribute values can appear beyond 50 values #PSCFV-2801 #PSCFV-4353
	[-] BO : changed misleading description in the performance tab #PSCFV-4281
	[-] BO : features are not doubled anymore in multishop #PSCFV-4527
	[-] BO : fix #PSCFV-2097
	[-] BO : fix #PSCFV-3600
	[-] BO : fix #PSCFV-3910
	[-] BO : fix #PSCFV-4037
	[-] BO : fix #PSCFV-4045
	[-] BO : fix #PSCFV-4069
	[-] BO : fix #PSCFV-4074
	[-] BO : fix #PSCFV-4081
	[-] BO : fix #PSCFV-4116
	[-] BO : fix #PSCFV-4131
	[-] BO : fix #PSCFV-4167
	[-] BO : fix #PSCFV-4204
	[-] BO : fix #PSCFV-4205
	[-] BO : fix #PSCFV-4216
	[-] BO : fix #PSCFV-4238 and fix #PSCFV-4258
	[-] BO : fix #PSCFV-4249
	[-] BO : fix #PSCFV-4295
	[-] BO : fix #PSCFV-4296
	[-] BO : fix #PSCFV-4309
	[-] BO : fix #PSCFV-4344
	[-] BO : fix #PSCFV-4401
	[-] BO : fix #PSCFV-4424
	[-] BO : fix #PSCFV-4461
	[-] BO : fix #PSCFV-4464
	[-] BO : fix #PSCFV-4469
	[-] BO : fix #PSCFV-4519
	[-] BO : fix #PSCFV-4582
	[-] BO : fix #PSCFV-4596
	[-] BO : fix #PSCFV-4596 : added an option for to force the id during CSV import
	[-] BO : fix #PSCFV-4607
	[-] BO : fix #PSCFV-4626
	[-] BO : fix #PSCFV-4631
	[-] BO : fix #PSCFV-4644
	[-] BO : fix #PSCFV-4662
	[-] BO : fix #PSCFV-4664
	[-] BO : fix #PSCFV-4672
	[-] BO : fix #PSCFV-4681
	[-] BO : fix #PSCFV-4718
	[-] BO : fixed bug #PSCFV-3934
	[-] BO : fixed bug #PSCFV-3957
	[-] BO : fixed bug #PSCFV-4021
	[-] BO : fixed bug #PSCFV-4157
	[-] BO : fixed bug #PSCFV-4201
	[-] BO : fixed bug #PSCFV-4213
	[-] BO : fixed bug #PSCFV-4247
	[-] BO : fixed bug #PSCFV-4262
	[-] BO : fixed bug #PSCFV-4288
	[-] BO : fixed bug #PSCFV-4319
	[-] BO : fixed bug #PSCFV-4355
	[-] BO : fixed bug #PSCFV-4373
	[-] BO : fixed bug #PSCFV-4395
	[-] BO : fixed bug #PSCFV-4471
	[-] BO : fixed bug #PSCFV-4472
	[-] BO : fixed bug #PSCFV-4555
	[-] BO : fixed bug #PSCFV-4660 , #PSCFV-4124
	[-] BO : fixed combination of cart rules when saving the rule #PSCFV-4147
	[-] BO : fixed country listing #PSCFV-4438
	[-] BO : fixed ecotax #PSCFV-4443
	[-] BO : fixed size management in objectmodel #PSCFV-4537
	[-] BO : fixed wrong extends in the stats #PSCFV-3852
	[-] BO : strange behaviour with the admin path fixed #PSCFV-4354

	[-] CORE : fixed bug #PSCFV-4002 - Error in webservices with /api/categories/1
	[-] CORE : fixed bug #PSCFV-4148 #PSCFV-4218 #PSCFV-4217
	[-] CORE : fixed bug #PSCFV-4272
	[-] CORE : fixed bug #PSCFV-4330
	[-] CORE : fixed bug #PSCFV-4366
	[-] CORE : fixed bug #PSCFV-4634 - Object::cleanPosition() is no longer call in controller but in Object::delete();

	[-] MO : fixed bug #PSCFV-3765
	[-] MO : fixed bug #PSCFV-3769
	[-] MO : fixed bug #PSCFV-4256
	[-] MO : fixed bug #PSCFV-4261
	[-] MO : fixed bug #PSCFV-4456
	[-] MO : fixed bug #PSCFV-4483
	[-] MO : fixed link in referral program #PNM-532
	[-] MO : statsales : fix #PSCFV-4089
	[-] MO : stupid code removed in editorial module template #PNM-467

	[-] TR : change string "gender" by "titles"...
	[-] TR : fix #PSCFV-4202
	[-] TR : fix #PSCFV-4282 : updated of some bad link on mail template


####################################
#   v1.5.0.17 - 17369 (2012-09-13)  #
####################################

	Improved/changed features:

	[*] Installer : added timout to sql connection
	[*] Installer : socket management for PDO + refactoring

	[*] FO : Optimization - don't redirect and allow WS and other script to work

	[*] BO : #PSCFV-3710 : select a current theme in AdminTranslations
	[*] BO : #PSCFV-3831 : check each field which are required in databases
	[*] BO : Added Mobile category in AdminModulesController
	[*] BO : Changed the default list view for products and categories when multistore is activated
	[*] BO : now you could translate a mobile theme
	[*] BO : set context shop by default when creating a new catalog price rule #PSCFV-3412

	[*] TR : #PSCFV-3999 : change string "multishop" by "multistore" in BO
	[*] TR : #PSCFV-4000 : change string "validity" by "valid" in BO
	[*] TR : add Deutsch translations
	[*] TR : add French translations
	[*] TR : add Italian translations
	[*] TR : add Spanish translations
	[*] TR : add setter for the type selected
	[*] TR : add spanish object for confirmation order email
	[*] TR : update French translations

	Added Features:

	[+] FO : mobile theme re-included in the trunk

	[+] BO : Added Mobile tab image
	[+] BO : in order tab you have new information of new customer message

	Fixed bugs:

	[-] INSTALLER : fixed bug #PSCFV-2979
	[-] Installer : #PSCFV-3603 - loop while loading logo
	[-] Installer : changed the primary keys of tha language tables of category, product, meta, carrier #PSCFV-3726
	[-] Installer : deprecated tab removed in the 1.4 > 1.5 upgrade #PSCFV-3564
	[-] Installer : fix #PSCFV-4050
	[-] Installer : fixed errors at the installation with insertion of null values in the database #PSCFV-3544
	[-] Installer : fixed warnings #PSCFV-3633
	[-] Installer : fixed wrong return value in upgrade script
	[-] Installer : ignore port when creating the sender e-mail address #PSCFV-3756
	[-] Installer : install failed when you had an exotic (i.e. not by default in the installer) default country/language #PSCFV-3891
	[-] Installer : set admin theme to default after an upgrade

	[-] FO : Bug fix on carrier input value (comma)
	[-] FO : ObjectModel/Db tried to add entities with a primary key pre-filled #PSCFV-3652 #PSCFV-3651
	[-] FO : disable ajax transition on mobile theme in order to fix javascript issues
	[-] FO : fixed #PSCFV-3675
	[-] FO : fixed #PSCFV-3676
	[-] FO : fixed accessories display
	[-] FO : fixed bug #PNM-431
	[-] FO : fixed bug #PSCFV-2741
	[-] FO : fixed bug #PSCFV-3758 -  now you can display working hour on simplified mode in store locator
	[-] FO : fixed bug #PSCFV-3784 - fixed display bug in dateofdelivery and order history
	[-] FO : fixed bug #PSCFV-3794
	[-] FO : fixed bug #PSCFV-3811 - Customization field non present while not long description on product page
	[-] FO : fixed bug #PSCFV-3818
	[-] FO : fixed bug #PSCFV-3853
	[-] FO : fixed bug #PSCFV-3936
	[-] FO : fixed bug #PSCFV-3964 - #PSCFV-3527
	[-] FO : fixed bugs on customer messages #PSCFV-3733 #PSCFV-3712
	[-] FO : fixed cache management conflict for packed product #PSCFV-3294
	[-] FO : fixed country restrictions for payment modules #PSCFV-2738
	[-] FO : fixed height of homefeatured products (missing height caused problem on floating div position sometimes) #PSCFV-3638
	[-] FO : fixed mixed cache in different shops #PSCFV-3174
	[-] FO : fixed undeletable products in cart (when price < 1¤) #PSCFV-3707
	[-] FO : mobile : fix #PSCFV-3881
	[-] FO : mobile : fix #PSCFV-3904
	[-] FO : mobile theme: fix #PSCFV-3878 : now the cart isn't reload with Jquery Mobile
	[-] FO : mobile theme: fix #PSCFV-3913
	[-] FO : pagination form cannot have an css id because it is used more than once #PSCFV-3755
	[-] FO : some categories should not appear in some stores #PSCFV-4020

	[-] BO : #PSCFV-3670 : add a new format of currency in JS files
	[-] BO : #PSCFV-3776 : small fix
	[-] BO : #PSCFV-3797 : small fix
	[-] BO : #PSCFV-3808 : small fix
	[-] BO : #PSCFV-3834 : Check if file upload exist when use the contact form
	[-] BO : #PSCFV-3848 : Add reference order instead of id order for follow an order
	[-] BO : Attribute deletion fixed #PSCFV-3616
	[-] BO : BugFix : #PSCFV-3554 : Class Category, Method calcLevelDepth: throw Exception
	[-] BO : children categories were not really deleted #PSCFV-4028
	[-] BO : deactivated tab does are not displayed anymore #PSCFV-3740
	[-] BO : filename should be allowed to be empty #PSCFV-3592
	[-] BO : fix #PSCFV-3855
	[-] BO : fix #PSCFV-3874
	[-] BO : fix #PSCFV-3893
	[-] BO : fix #PSCFV-3908
	[-] BO : fix #PSCFV-3926
	[-] BO : fix #PSCFV-3928
	[-] BO : fix #PSCFV-3945
	[-] BO : fix #PSCFV-3979
	[-] BO : fix #PSCFV-4025
	[-] BO : fixed #PSCFV-3627
	[-] BO : fixed #PSCFV-4034
	[-] BO : fixed bug #PSCFV-2958
	[-] BO : fixed bug #PSCFV-3226
	[-] BO : fixed bug #PSCFV-3541
	[-] BO : fixed bug #PSCFV-3724 - fixed bug with "Save and Stay" on product page with DisplayAdminProductsExtra
	[-] BO : fixed bug #PSCFV-3738 - addCSS() and addJS() methods not working in backOfficeHeader hook
	[-] BO : fixed bug #PSCFV-3787 - Front displaying blank features
	[-] BO : fixed bug #PSCFV-3806 - fixed bug when unchecked all shop asso you can't access to item any more.
	[-] BO : fixed bug #PSCFV-3886
	[-] BO : fixed bug #PSCFV-3922
	[-] BO : fixed incorrect substr in customer service #PSCFV-3621
	[-] BO : fixed issue with dot and comma in import for floating numbers #PSCFV-3609
	[-] BO : fixed right permissions for new tabs #PSCFV-3640
	[-] BO : fixed wrong link on AdminHome #PSCFV-3614
	[-] BO : function str2url fixed #PSCFV-4017
	[-] BO : images extension weren't checked appropriately #PSCFV-3584
	[-] BO : null values ignored in objectmodel::update #PSCFV-3591
	[-] BO : original product price was saved without decimals #PSCFV-3968
	[-] BO : restricted some unauthorized accesses #PSCFV-3611
	[-] BO : set addresses to deleted when customer set to deleted #PSCFV-3975
	[-] BO : status image was not saved #PSCFV-3654
	[-] BO : super admins are now added to all shops #PSCFV-3561
	[-] BO : theme mobile : #PSCFV-3880 : Now you have 4 options for enable the theme mobile
	[-] BO : theme mobile : #PSCFV-3910
	[-] BO : theme mobile : #PSCFV-3937
	[-] BO : you can now delete multiple order statuses at one #PSCFV-3585

	[-] CLASSES : Report Contry::getCountries() changes from 1.4 to 1.5
	[-] Classes : Autoload, bug fix

	[-] CORE : fixed bug #PSCFV-3406
	[-] CORE : fixed bug #PSCFV-3889
	[-] CORE : fixed bug #PSCFV-3916
	[-] CORE : fixed bug #PSCFV-3982

	[-] MO : #PSCFV-3550 - Module Check : Display warning only if the module is active
	[-] MO : blocktopmenu : #PSCFV-3762 : Add link for CMS categories
	[-] MO : fixed #PSCFV-3940
	[-] MO : fixed #PSCFV-3944
	[-] MO : fixed bug #PSCFV-3148 - now referalprogram use module controller
	[-] MO : fixed bug #PSCFV-3751 - Links Block Formatting //need to re-install the module
	[-] MO : fixed bug #PSCFV-3768
	[-] MO : fixed bug #PSCFV-3770 - Uncheck "Display the Footer's informations" in CMS Block cause CMS links to hide too.
	[-] MO : fixed bug #PSCFV-3791- customer privacy module error bug
	[-] MO : fixed bug #PSCFV-3871
	[-] MO : fixed bug #PSCFV-3871 - part 2
	[-] MO : fixed context issues in loyalty #PNM-332
	[-] MO : fixed deprecated link in statdata #PNM-315
	[-] MO : fixed image upload in homeslider #PSCFV-3730
	[-] MO : followup : #PSCFV-3946
	[-] MO : loyalty : #PSCFV-3760 : fix warning && update number of loyalties by product && normalize
	[-] MO : loyalty : #PSCFV-3764 : display points of default attribute
	[-] MO : mailalert : #PSCFV-3763 : Fix error when i delete an mail alert
	[-] MO : mailalert : Fix duplicate result
	[-] MO : product_comment : fix #PSCFV-3983

	[-] WS : Fix 1.5 compatibility
	[-] WS : Fix id_shop behavior when use WS or script
	[-] WS : Multiple fix on Web Services

	[-] TR : #PSCFV-3849 : fix bug in TranslateCore class
	[-] TR : #PSCFV-3972 : change "%7Bshop_url%7D" by "{shop_url}" in Deutsch emails
	[-] TR : #PSCFV-3977 : fix bug when upgrade of 1.4.x to 1.5.x
	[-] TR : #PSCFV-4027 : change string "tabs" by "Menus"...
	[-] TR : #PSCFV-4032 : fix encoding of tabs.php file for all languages
	[-] TR : Mail : #PSCFV-3987 : add stripslashes for email object
	[-] TR : fix #PSCFV-3932
	[-] TR : fix bug when not have a mobile folder in a theme folder
	[-] TR : update French translations strings
	[-] TR : update French translations strings (fo)
	[-] TR : update translations strings


####################################
#   v1.5.0.15 - 16730 (2012-08-06)  #
####################################

	Improved/changed features:

	[*] FO : better management in the priority between the cart rules #PSCFV-2804

	[*] BO : #PSCFV-2671 : Added  a new currency format for Switzerland
	[*] BO : #PSCFV-3007 : Now you can create a voucher when you create a partial refund on the BO
	[*] BO : Added  translation for the template which are overridden on the BO
	[*] BO : Added an override capability for the admin templates
	[*] BO : Update Deutsch translations
	[*] BO : Update Italian translations
	[*] BO : Update Spanish translations (#PSCFV-3024)
	[*] BO : added a new Validate method "isPercentage"
	[*] BO : export name tabs by ISO code : check name of tab
	[*] BO : export name tabs by ISO code when export translations
	[*] BO : from 300 to 40 queries in Modules tab, does not really speed up the page, but eases my mind
	[*] BO : sending a mail is a little less strict with wrong parameters - it tries to send the e-mail, not to die!
	[*] BO : updated the "risk" class to the new 1.5 system (+several improvments)
	[*] BO : you can now disable automatic indexation of the products #PSCFV-3258

	[*] MO : missing logo added #PSCFV-3010

	[*] TR : Update English translation : step 1
	[*] TR : update Deutsch translations
	[*] TR : update English translations key for Back Office
	[*] TR : update English translations key for Errors
	[*] TR : update English translations key for Front Office
	[*] TR : update English translations key for Modules
	[*] TR : update Italian translations
	[*] TR : update Spanish translations
	[*] TR : update french translations

	Added Features:

	[+] BO : added new cool feature

	[+] CORE : Add version_compare tools to align version sent with alignVersionNumber method.

	Fixed bugs:

	[-] PROJECT : Fix on PS module compliancy check - #PSCFV-2783
	[-] Project : #PSCFV-2790 - Fix bug with stock synchronization

	[-] INSTALLER : Add hook alias - #PSCFV-2742
	[-] INSTALLER : Fix demo product installed (Search class) - #PSCFV-2880
	[-] INSTALLER : fixed bug #PSCFV-2751 - Prestashop 1.5 needs more than 32MB for PHP memory_limit but it is not tested at setup
	[-] Installer : #PSCFV-3042 - Fix bug with installer and hook_module position
	[-] Installer : The boolean for the cart rule activation wasn't assigned correctly when updating from 1.4 to 1.5 #PSCFV-2847
	[-] Installer : changed Guam zone #PSCFV-3134
	[-] Installer : crash with mysql strict mode fixed (datetime has a range of 1000-9999)
	[-] Installer : fixed Norway zone
	[-] Installer : theme name deprecated #PSCFV-2937
	[-] installer : missing italian translations #PSCFV-3289

	[-] FO : #PSCFI-5795 : fixed a bug where the opc freeze when an Order is to 0
	[-] FO : #PSCFV-2623 - Fix address redirection
	[-] FO : #PSCFV-2746 - Improve product return errors
	[-] FO : #PSCFV-2840 - Fix bug with typewatch on the opc (qty change) and multishipping
	[-] FO : #PSCFV-2920 - Hidding order number, use order reference instead
	[-] FO : #PSCFV-2951 - Fix bug with dispatcher and route rule with multilanguage
	[-] FO : #PSCFV-2981 - Fix bug with url rewrite and subdomain "www"
	[-] FO : #PSCFV-2993 #PSCFV-2811 - Default carriers and carrier sorting where ignored
	[-] FO : #PSCFV-3014 - On account creation, address delivery of all cart products must be set with the user address
	[-] FO : #PSCFV-3016 - Fix bug on removing quantity of a product with a customisation
	[-] FO : #PSCFV-3034 - Add return quantity to order detail
	[-] FO : #PSCFV-3055 - Part 2 : Hidding shipping price if a cart rule make shipping free
	[-] FO : #PSCFV-3079 - Change scene image size
	[-] FO : #PSCFV-3083 - Fix bug on up/down quantity on the cart
	[-] FO : #PSCFV-3083 - Fix bug with quantity update on cart
	[-] FO : #PSCFV-3099 - Fix bug with multishipping on changing billing address
	[-] FO : #PSCFV-3100 - With OPC shpping cost are not refreshed correctly
	[-] FO : #PSCFV-3121 - New JS vars baseUri. This vars must be used instead of baseDir for ajax queries.
	[-] FO : #PSCFV-3242 - Add PS version in cookie hach name
	[-] FO : #PSCFV-3267 - Summary ajax return do not contain the correct price without discount
	[-] FO : #PSCFV-3268 - Fix bug with cache and cart rule discount calculation
	[-] FO : #PSCFV-3268 - Fix bug with cache cartrule badly fill
	[-] FO : #PSCFV-3318 - Guest Tracking must use order reference and not order id
	[-] FO : #PSCFV-3318 - Guest Tracking retrocompatibility with old theme
	[-] FO : #PSCFV-3356 - Update delivery price on selecting a free shipping option
	[-] FO : #PSCFV-3362 - Order detail ajax call must use SSL
	[-] FO : #PSCFV-3365 - Add missing vars assigned to the tpl on refreshing carrier durring account creation on the OPC
	[-] FO : #PSCFV-3388 - Fix bug with js product combination id
	[-] FO : #PSCFV-3392 - Bad CSS syntax
	[-] FO : #PSCFV-PSCFV-2598 - Fix bug with features not ordering by position
	[-] FO : Added a simple space in order to be more readable
	[-] FO : Bug Fixed #PSCFV-3407 - Only index page allows an empty url_rewrite
	[-] FO : Bug Fixed #PSCFV-3417 - Wrong total order price calculation with tax disabled
	[-] FO : BugFix : #PSCFV-2837 : City not displaying in address selection of checkout process
	[-] FO : BugFix : #PSCFV-2896 : Every contacts from contact page are displayed, without shop restriction
	[-] FO : BugFix : #PSCFV-2970 : Order history displays an error
	[-] FO : BugFix : #PSCFV-3182 : In 5 steps order process, when login, the 5 steps are displaying but they should not.
	[-] FO : BugFix : #PSCFV-3283 : Customer group deleted when updating personnal informations
	[-] FO : BugFix : #PSCFV-3332 : Error for multiple store products
	[-] FO : double escape removed #PSCFV-3530 (already done in the controller)
	[-] FO : fix PSCFV-2948 display of specific prices on the product for combinations
	[-] FO : fix bug #PSCFV-2901 - Minor authentication.css validate issue
	[-] FO : fix bug #PSCFV-2902 - Minor category.css validation issue
	[-] FO : fixed bug #PSCFV-2760 - live edit close confirm
	[-] FO : fixed bug #PSCFV-3189
	[-] FO : fixed price display precision in the product sheet template #PSCFI-6111
	[-] FO : fixed warning when a discount wasn't associated to any reduction type (shipping, currency, percentage)
	[-] FO : potential divide by zero removed #PSCFV-2787

	[-] BO : #/PSCFV-3246 - Change french translation
	[-] BO : #PSCFV-2596 - Hide custom features values from customization detail list
	[-] BO : #PSCFV-2638 - Fix bug combination mess up in product/quantities
	[-] BO : #PSCFV-2736 : import product : fix bug when the image isn't uploaded
	[-] BO : #PSCFV-2739 - Hide button merchandise return if disable
	[-] BO : #PSCFV-2758 : fix error when use Tools::displayErrors()
	[-] BO : #PSCFV-2790 - Fix bug with Stock Advanced
	[-] BO : #PSCFV-2835 : fix bugs in webservices translations
	[-] BO : #PSCFV-2851 : fix bug when export a theme
	[-] BO : #PSCFV-2925 - CMS tab, display notice "Array to string conversion" with php 5.4
	[-] BO : #PSCFV-2947 - isArrowKey doesn't always return a valaue
	[-] BO : #PSCFV-2956 - Fix bug on creating carriers
	[-] BO : #PSCFV-2964 : Display error when PDF translation doesn't exist
	[-] BO : #PSCFV-2972 : fix unnecessary message
	[-] BO : #PSCFV-3000 - Send an email on changing an order from the BO
	[-] BO : #PSCFV-3006 - Change presentation of group selects
	[-] BO : #PSCFV-3011 - Add details of refund and returned products on the BO order page.
	[-] BO : #PSCFV-3036 : fix bug and fix notice and fix deprecated function
	[-] BO : #PSCFV-3039 : Add customer thread when i have a order message
	[-] BO : #PSCFV-3055 - Part 1 : If there is a rules with free shipping, shipping prices are not displayed
	[-] BO : #PSCFV-3055 - Part 1 : Improving displaying of resume cart (payment step)
	[-] BO : #PSCFV-3064 - Fix bug on creating order using a cart
	[-] BO : #PSCFV-3066 - Fix bug on selecting delivery option
	[-] BO : #PSCFV-3086 - Improve visibility of some elements on return details
	[-] BO : #PSCFV-3111 - Avoid double click on saving button
	[-] BO : #PSCFV-3112 - Fix bug with payment by cheque and multishipping
	[-] BO : #PSCFV-3126 - Change mail object. Mail object must be unique for a specific template
	[-] BO : #PSCFV-3146 - Customer Thread, fix encoding chars bugs
	[-] BO : #PSCFV-3175 : fix price excluded when import product width specific price
	[-] BO : #PSCFV-3192 - Product::getAttributeGroups return duplicated attributes
	[-] BO : #PSCFV-3206 - Add description for the field "Shop name" on the shop configuration.
	[-] BO : #PSCFV-3213 - Fix bug with FO product url on the BO
	[-] BO : #PSCFV-3222 - Fix array unique strange working
	[-] BO : #PSCFV-3234 - Change error message
	[-] BO : #PSCFV-3247 - Fix link to edit customer profile
	[-] BO : #PSCFV-3366 - Not possible to create customizable fields on multishop context
	[-] BO : #PSCFV-3474 - Force ajax request to be synchron
	[-] BO : #PSTP-73 : fix bug translations in AdminStatsTabController
	[-] BO : AdminProductController::updateTags has no return value
	[-] BO : Bug Fixed ##PSCFV-3128 - part 2
	[-] BO : Bug Fixed #PSCFI-5506 - Incorrect product price in BO
	[-] BO : Bug Fixed #PSCFV-2116 - Import combinations images
	[-] BO : Bug Fixed #PSCFV-3090 - Outstanding exception in the outstanding tab
	[-] BO : Bug Fixed #PSCFV-3093 - typo in JS
	[-] BO : Bug Fixed #PSCFV-3122 - Cart rules applied 2 times on shipping fees if the order is splitted
	[-] BO : Bug Fixed #PSCFV-3125 - Fields already filled when creating a new supplier
	[-] BO : Bug Fixed #PSCFV-3128 - Incorrect voucher value via product return
	[-] BO : Bug Fixed #PSCFV-3270 - CSV Import addresses + multishop
	[-] BO : Bug fixed related to #PSCFV-2954 - order slip do not include VAT on carriers
	[-] BO : BugFix : #PSCFV-2205 : Combination attributes are displayed as many time as they are associated to a shop.
	[-] BO : BugFix : #PSCFV-2761 : Change a default language by shop is not possible
	[-] BO : BugFix : #PSCFV-2798 : Multistore : BUG on the "modify products page" with another shop device
	[-] BO : BugFix : #PSCFV-2823 : Product::priceCalculation() returns null specific_price after two calls
	[-] BO : BugFix : #PSCFV-2844 : Problem in image associated to shop (AdminImportController)
	[-] BO : BugFix : #PSCFV-2958 : Tags do not work after import
	[-] BO : BugFix : #PSCFV-2960 : Exception thrown when updating customer email
	[-] BO : BugFix : #PSCFV-2965 : Localization : updating default currency does not change currency on BO
	[-] BO : BugFix : #PSCFV-2973 : Product Return : unable to create a product return
	[-] BO : BugFix : #PSCFV-3031 : Unable to edit categories from the list
	[-] BO : BugFix : #PSCFV-3033 : attributes and values in multishop
	[-] BO : BugFix : #PSCFV-3033 : features in multishop
	[-] BO : BugFix : #PSCFV-3069 : OrderDetail->purchase_supplier_price is not saved in DB
	[-] BO : BugFix : #PSCFV-3120 : Multishop : employees without shop
	[-] BO : BugFix : #PSCFV-3142 : Admin Tracking displaying categories from other shops
	[-] BO : BugFix : #PSCFV-3178 : Attributes are duplicated in the attribute value creation form dropdown list
	[-] BO : BugFix : #PSCFV-3235 : Multistore : unable to duplicate a product
	[-] BO : BugFix : #PSCFV-3334 : Price Rules : Catalog Price Rules - In condition group when you want to make a condition with categories, in the list appears every categories from every stores
	[-] BO : BugFix : #PSCFV-3537 : Product Indexing lost when editing a product
	[-] BO : FIx issue failling the multilang field length validation on products
	[-] BO : Fix W3C errors
	[-] BO : Fix the graph engine path
	[-] BO : Fixed #PSCFV-2759
	[-] BO : Fixed SQL crash with an empty shop list #PSCFV-2946
	[-] BO : Fixing modules permissions system
	[-] BO : Product : add missing properties
	[-] BO : Undefined tax calculator
	[-] BO : advanced stock management should not appear when the advanced stock management is deactivated #PSCFV-3141
	[-] BO : cart rules are now cleaned when a component of a product rule (like a product, a category, a supplier...) is deleted
	[-] BO : fix #PSCFV-2883
	[-] BO : fix #PSCFV-2889
	[-] BO : fix #PSCFV-2941
	[-] BO : fix #PSCFV-2953
	[-] BO : fix #PSCFV-2955
	[-] BO : fix #PSCFV-2961
	[-] BO : fix #PSCFV-2962
	[-] BO : fix #PSCFV-2983 : add iso_code in URI's for robots.txt
	[-] BO : fix #PSCFV-3022
	[-] BO : fix #PSCFV-3027
	[-] BO : fix #PSCFV-3032
	[-] BO : fix #PSCFV-3041
	[-] BO : fix #PSCFV-3046
	[-] BO : fix #PSCFV-3070
	[-] BO : fix #PSCFV-3076
	[-] BO : fix #PSCFV-3087
	[-] BO : fix #PSCFV-3101
	[-] BO : fix #PSCFV-3102
	[-] BO : fix #PSCFV-3106 : Patchouli mistake
	[-] BO : fix #PSCFV-3116
	[-] BO : fix #PSCFV-3117
	[-] BO : fix #PSCFV-3127
	[-] BO : fix #PSCFV-3131
	[-] BO : fix #PSCFV-3143
	[-] BO : fix #PSCFV-3145
	[-] BO : fix #PSCFV-3190
	[-] BO : fix #PSCFV-3194
	[-] BO : fix #PSCFV-3198
	[-] BO : fix #PSCFV-3200
	[-] BO : fix #PSCFV-3207 && normalize
	[-] BO : fix #PSCFV-3243
	[-] BO : fix #PSCFV-3244
	[-] BO : fix #PSCFV-3276
	[-] BO : fix #PSCFV-3277
	[-] BO : fix #PSCFV-3278 : add a parameter id_shop in a method Mail::send() && normalize
	[-] BO : fix #PSCFV-3280
	[-] BO : fix #PSCFV-3284
	[-] BO : fix bug #PSCFV-2897 - JS error on combination page
	[-] BO : fix strict standard #PSCFV-3173
	[-] BO : fix translation #PSCFV-2998
	[-] BO : fixed #PSCFV-3005 - problems to create a shop for contact with multishop
	[-] BO : fixed #PSCFV-3043 - can't active language in BO
	[-] BO : fixed #PSCFV-3058 SAV multi fix
	[-] BO : fixed #PSCFV-3058 SAV multi fix part 2
	[-] BO : fixed access rights in employee permissions #PSCFV-3157
	[-] BO : fixed alt text for duplication #PSCFV-3180
	[-] BO : fixed bug #PSCFV-2604
	[-] BO : fixed bug #PSCFV-2731
	[-] BO : fixed bug #PSCFV-2756 - error in installation 1.5 RC Warning on copy()
	[-] BO : fixed bug #PSCFV-2779 - live edit not working + friendly URL
	[-] BO : fixed bug #PSCFV-2826
	[-] BO : fixed bug #PSCFV-2827 - AdminProducts : Customer autocomplete on specific price not available
	[-] BO : fixed bug #PSCFV-2828 - Changing the default attribute : no refresh
	[-] BO : fixed bug #PSCFV-2843 - Can't create first level admin tab
	[-] BO : fixed bug #PSCFV-2859 - In my preferences, user can change his her profile
	[-] BO : fixed bug #PSCFV-2859 - part 2
	[-] BO : fixed bug #PSCFV-2878 - Displaying wrong link in the SEO tab of a product using multistore
	[-] BO : fixed bug #PSCFV-3088 - customer import with multistore
	[-] BO : fixed bug #PSCFV-3142
	[-] BO : fixed bug #PSCFV-3202
	[-] BO : fixed bug #PSCFV-3261
	[-] BO : fixed bug #PSCFV-3336
	[-] BO : fixed bug #PSCFV-3338
	[-] BO : fixed bug #PSCFV-3342
	[-] BO : fixed bug #PSCFV-3352
	[-] BO : fixed bug #PSCFV-3376 - BO - Dashboard - Information message wich is sending to a forbidden access page
	[-] BO : fixed bug #PSCFV-3383
	[-] BO : fixed bug #PSCFV-3437
	[-] BO : fixed bug #PSCFV-3439
	[-] BO : fixed bug #PSCFV-3439 part2
	[-] BO : fixed bug #PSCFV-3457
	[-] BO : fixed bug #PSCFV-3457 - part2
	[-] BO : fixed bug #PSCFV-3466
	[-] BO : fixed bug on customer edit when context is in "all shop" or "group shop"
	[-] BO : fixed problem with case sensitive path #PSCFV-3179
	[-] BO : inappropriate condition fixed for module access #PSCFV-3312
	[-] BO : moved some code from AdminModulesController to AdminController because is is used on AdminHomeController
	[-] BO : original product price was not set in the order detail table #PSCFV-3159
	[-] BO : patch to grid engines fixed #PSCFV-3153
	[-] BO : product state did not show in the back office search #PSCFV-3150
	[-] BO : you could not remove a gift once it had been set #PSCFV-3420
	[-] BO : you do not need to add the admin controller in the core, the override directory is enough
	[-] Bo : #PSCFV-2680 : fix bug
	[-] Bo : replace constant _PS_THEME_DIR_ by _PS_MAIL_DIR_ when send a email

	[-] CLASSES : fixed bug #PSCFV-2769 - Accolade missing in AdminTab.php
	[-] CLASSES : fixed bug #PSCFV-2786 - Error in getOrderInvoice function
	[-] CLASSES : fixed bug #PSCFV-2836 - Warning on Category::recurseLiteCategTree()
	[-] Classes : fixed bug #PSCFV-3260 - Bug when add product to existing order

	[-] CORE : Fixed bug #PSCFV-2862. onclick evet properly calle.
	[-] Core : Delete stock_available for combinations in the import
	[-] Core : Fix PSCFV-2898 delete stock_available after combination deletion
	[-] Core : Swift exception(s) handled #PSCFI-6121

	[-] MO : #PNM-286 : Block top menu bug fix (Shop ID)
	[-] MO : #PNM-293 : Block CMS bug fix (contact url)
	[-] MO : #PSCFI-5815 - Fix bug on chrome with Chrome
	[-] MO : #PSCFI-5957 - Blocklayered - Fix bug with price ordering
	[-] MO : #PSCFV-2858 - Fix bugs with non latin chars. Htmlentities was not usefull
	[-] MO : #PSCFV-2868 - Fix addslashes
	[-] MO : #PSCFV-2922 - Blocklayered, make sure url ordering parameters is each time the same
	[-] MO : #PSCFV-2924 - Cannot comment a product if there already comments validated
	[-] MO : #PSCFV-3049 - Fix Bug with module block search
	[-] MO : #PSCFV-3057 - Block cart: If no products, block cart is never displayed
	[-] MO : #PSCFV-3059 - Block menu top invert add/remove item
	[-] MO : #PSCFV-3193 Blocktopmenu - Fix css bug
	[-] MO : #PSCFV-3223 - Fix bug with blocktags module
	[-] MO : #PSCFV-3274 - Blockcart, fix bug with gift products
	[-] MO : #PSCFV-3274 - No links to remove discounts without code in module blockcart
	[-] MO : Blockspecials - Bug Fixed #PSCFV-3360 - Price displayed even in catalog mode
	[-] MO : BugFix : #PSCFV-2821 : ProductComment module does not save grade with only one criterion
	[-] MO : BugFix : #PSCFV-2822 : ProductComment module : submitNewMessage url problem
	[-] MO : BugFix : #PSCFV-2830 : Product Comments module does not publish guest comment, returns exception.
	[-] MO : BugFix : #PSCFV-2831 : ProductComments module : css override #fancybox-wrap and #fancybox-content
	[-] MO : Fix hook name on differents modules - #PSCFV-2784
	[-] MO : Fix on BlocTopMenu hook name - #PSCFV-2784
	[-] MO : Fixed bug #PNM-284. Use correctly the new controller for the validation process
	[-] MO : Fixed #PSCFV-2864 column name statssearch.id_group_shop is now id_shop_group, thanks to Fabien :)
	[-] MO : Watermark - Bug Fixed #PSCFV-2770 - Watermark is not working
	[-] MO : blockadvertising update did not update the image extension #PSCFV-3355
	[-] MO : blockcart retrocompatibility
	[-] MO : blocklayered : #PSCFV-2796 : add charset UTF-8 in SQL tables
	[-] MO : cashondelivery - translations files are now into translations dir
	[-] MO : fixed #PSCFV-2978 - Block reinsurance shows incorrect when its text is changed to work with other language than English
	[-] MO : fixed bug #PSCFV-2853 - bug in the blocklink : you can not update the title block or edit links.
	[-] MO : fixed bug #PSCFV-2874 - blocklink_shop.id_shop is varchar, It must be integer.
	[-] MO : fixed bug #PSCFV-3010
	[-] MO : fixed deprecated link in blocktopmenu (search form)
	[-] MO : multishop update for sekeywords #PSCFV-3271
	[-] MO : productcomments : fix #PSCFV-2890

	[-] WS : #PSCFV-2888 : Fix bug
	[-] WS : Fix id_shop to not being mandatory
	[-] WS : creation of new product combination returned an error #PSCFV-3333

	[-] PDF : #PSCFV-2795 : Add font : freeserif and fix bug in tcpdf.php
	[-] PDF : Bug Fixed #PSCFV-2516 - Unable to print invoice when the physical url has been removed
	[-] PDF : Bug Fixed #PSCFV-2735 - Missing tax details in order slip
	[-] PDF : Bug Fixed #PSCFV-2773 - Front office, error on generating RMA form
	[-] PDF : Bug Fixed #PSCFV-2788 - Incorrect discount value if free shipping
	[-] PDF : Bug Fixed #PSCFV-2912 - .htaccess & index.php in the PDF folder
	[-] PDF : Bug Fixed #PSCFV-2945 - Basic Authentication + TCPDF : Beware if  you need to modify the getLogo think to symlinks, vhosts etc ...
	[-] PDF : Bug Fixed #PSCFV-3044 - Images incorrectly displayed
	[-] PDF : Bug Fixed #PSCFV-3225 - Translations
	[-] PDF : Canadian taxes

	[-] TR : BugFix : #PSCFV-3470 : french mispelling
	[-] TR : fix #PSCFV-3200
	[-] TR : fix #PSCFV-3229
	[-] TR : fix #PSCFV-3253
	[-] TR : fix #PSCFV-3269 : remove call to PSQL() which is unnecessary
	[-] TR : fix #PSCFV-3358
	[-] TR : fix #PSCFV-3374
	[-] TR : fix #PSCFV-3403 : check if is an object before loading stock data
	[-] TR : fix #PSCFV-3425
	[-] TR : fix #PSCFV-3436


####################################
#   v1.5.0.13 - 15948 (2012-06-07)  #
####################################

	Added Features:

	[+] PROJECT : Add method Module::isEnabled

	[+] MO : Adding CashOnDelivery Module :)

	Improved/changed features:

	[*] PROJECT : update the physical data model

	[*] BO : add method for import translations tabs

	Fixed bugs:

	[-] PROJECT : active field for Object Module is not compliant with multishop :)
	[-] Project : #PSCFV-2594 - Allow accent in URL
	[-] Project : #PSCFV-2633 #PSCFV-2622 - Fix problems with multishipping and order payment & invoice

	[-] INSTALLER : Add missing key on image product
	[-] Installer : fixed bug #PSCFV-2690 - wrong back office screenshot in the installer
	[-] Installer : Notice some constants are already defined
	[-] Installer : Specific price could now be equal to 0

	[-] FO : BugFix : #PSCFV-2541 : TECHNICAL ERROR : unable to save addresses
	[-] FO : BugFix : #PSCFV-2590 : State not appear in front-office
	[-] FO : BugFix : #PSCFV-2628 : Combination is not selected from the URL (at least on firefox)
	[-] FO : Cart products cache fixed (when you remove a product from the cart)
	[-] FO : fixed bug #PSCFV-2669 - fix bug on product customization in order process
	[-] FO : Fixed #PSCFV-2704 category position is now correct after upgrade, thanks to Conny !
	[-] FO : #PSCFV-2580 - Fix bug with customisation and increasing/decreasing qty

	[-] BO : Add a check on the scandir for the Employees theme
	[-] BO : Bug Fixed #2676 - Missing button in group shop tab
	[-] BO : Bug Fixed #PSCFV-2119 - Import CSV: Supplier details not visible
	[-] BO : Bug Fixed #PSCFV-2555 - AdminController with Options: Add new button turns into Save
	[-] BO : Bug Fixed #PSCFV-2677 - You shouldn't be allowed to put spaces in virtual url
	[-] BO : BugFix : #PSCFV-2597 : Category tree is not loaded with context shop
	[-] BO : BugFix : #PSCFV-2620 : Wrong client age when the age is not filled
	[-] BO : BugFix : #PSCFV-2630 : Combination and multishop association issue with shared stock through group shop
	[-] BO : BugFix : #PSCFV-2639 : The search autocomplete does not work in multi store mod
	[-] BO : BugFix : #PSCFV-2644 : Unable to remove stock to a product with advanced stock management
	[-] BO : Can not access to module configuration if not installed anymore
	[-] BO : Delete backslashes quotes on the BackOffice search
	[-] BO : fix bug #PSCFV-2522 - Unable to switch a product from virtual to normal
	[-] BO : fixed bug on SEO & URLs page
	[-] BO : fixed bug #PSCFV-2502 - fixed bug on notification system in back office
	[-] BO : fixed bug #PSCFV-2584 - fix translations issue in product page
	[-] BO : fixed bug #PSCFV-2608 - carrier creation fail redirect
	[-] BO : fixed bug #PSCFV-2624 - Error after deleting supplier associated with a product
	[-] BO : fixed bug #PSCFV-2641
	[-] BO : fixed bug #PSCFV-2652
	[-] BO : fixed bug #PSCFV-2665
	[-] BO : fixed bug #PSCFV-2714 - Product availability not upgraded
	[-] BO : fixed bug #PSCFV-2717 - Final price does not appear anymore in the BO product page
	[-] BO : Fixed #PSCFV-2714 - option when out of stock - with vAugagneur
	[-] BO : Fix gradient in ie
	[-] BO : Fix gradient in ie
	[-] BO : fix #PSCFV-2480 : fix translations
	[-] BO : fix #PSCFV-2480 : fix translations
	[-] BO : fix #PSCFV-2504 : Now class PaymentModule can be translated
	[-] BO : fix #PSCFV-2513
	[-] BO : fix #PSCFV-2517 : CSV importing combinaisons
	[-] BO : fix #PSCFV-2540 : CSV importing categories errors + manufacturers + suppliers
	[-] BO : fix #PSCFV-2544 : delete selected manufacturers
	[-] BO : fix #PSCFV-2545 - can't change product out of stock order status
	[-] BO : fix #PSCFV-2564 : imported customers with a CSV file
	[-] BO : fix #PSCFV-2578 : Not duplicate customers with the CSV file
	[-] BO : fix #PSCFV-2581 : update Jquery Ajax File Uploader in version 2.1
	[-] BO : fix #PSCFV-2603 : translations
	[-] BO : Import CSV: Supplier is not active when created throught csv import
	[-] BO : Import CSV: Supplier not linked to shops
	[-] BO : #PSCFV-2511 - Country visible in all shop
	[-] BO : #PSCFV-2530 - Change warning message
	[-] BO : #PSCFV-2542 - Fix bug : Unable to translate PaymentModule : some email terms are still in english
	[-] BO : #PSCFV-2553 : fix bug html for email order_conf.html
	[-] BO : #PSCFV-2556 #PSCFV-2550 - Fix password alert message "&eacute;"
	[-] BO : #PSCFV-2559 - Ask user to reload all product tabs not loaded correctly
	[-] BO : #PSCFV-2562 - Select all categories on creating a new shop
	[-] BO : #PSCFV-2568 - CmsController and CmsCategoriesController cannot be called dirrectly
	[-] BO : #PSCFV-2569 - Fix CMS category duplication
	[-] BO : #PSCFV-2576 : add URL back when create address when checkout
	[-] BO : #PSCFV-2581 : Minify Jquery Ajax File Uploader version 2.1
	[-] BO : #PSCFV-2582 : now list customer is not empty when deleting multiple customer
	[-] BO : #PSCFV-2583 fix customers which are displaying in notifications
	[-] BO : #PSCFV-2591 : fix translations in bankwire module
	[-] BO : #PSCFV-2606 - Fix bug with FastCGI/CGI and url multishopping (we cannot be sure the mod_rewrite is enable or disable)
	[-] BO : #PSCFV-2626 : fix bug in localization pack for the currency format
	[-] BO : #PSCFV-2635 - Confirmation message asked multiple times
	[-] BO : #PSCFV-2660 : Fix bug in regex for parse translations
	[-] BO : #PSCFV-2661 : Fix translation when use parent::displayError() in modules
	[-] BO : #PSCFV-2661 : Fix translation when use parent::displayError() in modules
	[-] BO : #PSCFV-2700 : fix translations
	[-] BO : #PSCFV-2711 : Delete button "edit" in AdminSlip
	[-] BO : #PSCFV-2716 : Fix memory limit when upload image file
	[-] BO : #PSCFV-2729 : delete translations of this character : "?" in AdminGroups
	[-] BO : Total tax doesn't appear on the invoice
	[-] BO : Unable to save admin preferences
	[-] BO : Update assign value
	[-] BO : Warnings while getting modules logo has been fixed - Bug #PSCFV-2602

	[-] Classes : fixed bug #PSCFV-2681 - issue with updating of current_state column on order table

	[-] CORE : Bug Fixed #PSCFV-2703 - Unable to redirect if one arg contain .php

	[-] MO : BugFix : #PSCFV-2566 : Created category does not appear on CMS module configuration (blockcms)
	[-] MO : Fixed typo on module followup french mail
	[-] MO : #PNM-240 - Fix bug with blocklayered price filter on IE
	[-] MO : #PSCFV-2437 : Bug fix adding block using multishop
	[-] MO : #PSCFV-2437 : Bug fix adding block using multishop (upgrader)
	[-] MO : #PSCFV-2437 : Shop ID configuration changed
	[-] MO : #PSCFV-2539 - Module block newsletter don't show success error message correctly
	[-] MO : #PSCFV-2567 - Module CMS block was not merged with new shop
	[-] MO : #PSCFV-2587 - Fix bug with sliding up block cart
	[-] MO : #PSCFV-2587 - Fix slidedown duration
	[-] MO : #PSCFV-2587 - Remove "white line" when shopping cart is empty.
	[-] MO : #PSCFV-2640 - Fix bug with blocklayered and multishop

	[-] PDF : After an upgrade, the Invoice's tax tab doesn't use the discounts
	[-] PDF : Bug Fixed #PSCFV-2724 - Incorrect SQL query for ecotax breakdown

	[-] TR : fix #PSCFV-2543


####################################
#   v1.5.0.12 - 15612 (2012-05-22)  #
####################################

	Added Features:

	[+] BO : Request when a module is installed is sent to the webservice.

	[+] Classes :  include new method isXmlHttpRequest() in Controller class, allows to make ajax request without ajax=1 in GET parameter

	[+] CORE : Add statistic request for theme too (refacto of the last commit for module)

	Improved/changed features:

	[*] PROJECT : Adding hook on dispatcher
	[*] PROJECT : Adding hook on FrontController and AdminController SetMedia method

	[*] Installer : add new function for move the translation module files

	[*] FO : cart summary is adapted to cart rules with a special "friendly" display
	[*] FO : #PSCFV-1463 & #PSCFV-1258 - Gift products and standard products are now displayed on seperate lines

	[*] BO : Added a link to the customer group edition on the customer page
	[*] BO : Improved the UI of the Combinations generator and added some explanations - #PSCFV-770

	[*] MO : Added a # before the order number in the e-mail sent to the merchant when an order is placed
	[*] MO : change calls method Tools::displayError() by $name_module->l() && Translations

	[*] PDF : Cart rules are now displayed as a "product line"

	Fixed bugs:

	[-] PROJECT : Deleting duplicate hook - #PSCFV-163

	[-] Installer : Decimal replaces Float
	[-] INSTALLER : Fixed a missing "echo" at Step 3 in the SMTP configuration
	[-] installer : fixed bug #PSCFV-2303
	[-] INSTALLER : Fixed bug #PSCFV-372 - Added phone number for German, Spanish and Italian
	[-] Installer : fix missing columns, #PSCFV-2464
	[-] Installer : Order detail taxes table is now filled
	[-] Installer : query cut into 1 separated queries for performance issue #PSCFV-2277 #PSCFV-2263 #PSCFV-1817
	[-] Installer : Undefined variable due to hook call in objectModel::add()

	[-] FO : added the concept of product package (multi-shipping) for the cart rules in getContextualValue()
	[-] FO : BugFix : #PSCFV-2099 : Block reinsurance doesn't appear in front office (style was not loaded + install fixtures)
	[-] FO : BugFix : #PSCFV-2198 : Unable to edit customer account in front
	[-] FO : BugFix : #PSCFV-2208 : Params link from CMS page link are incorrect (only one char instead of a sentence)
	[-] FO : BugFix : #PSCFV-2221 : Column 'price' in order clause is ambiguous by filtering search result
	[-] FO : BugFix : #PSCFV-2243 : CCC optimization on scripts compile each script two times
	[-] FO : cart rules did not use specific prices in the calculations #PSCFV-702
	[-] FO : Cart rules local cache wasn't cleaned correctly #PSCFV-91
	[-] FO : Cart summary : quantity is fixed to 1
	[-] FO : Center column is now in full size when left column is not displayed #PSCFV-1497
	[-] FO : fix bug #PSCFV-737 - cannot download virtual file from order history
	[-] FO : fixed a great part of the cart rules with multi-shipping
	[-] FO : fixed bug #PSCFV-1286 - live edit bug when module name contains "_"
	[-] FO : fixed bug #PSCFV-1368 - Password is restricted to 32 characters.
	[-] FO : fixed bug #PSCFV-2382 - Your shopping cart is empty not appear and the right column go to the left side
	[-] FO : fixed bug #PSCFV-2393 - On Linux system there is a little problem around the "link <a>"
	[-] FO : fixed bug #PSCFV-484 - live edit bug
	[-] FO : Fixed bug PSCFV-564 related to Google Maps API (Added "region" parameter)
	[-] FO : Fix issue on compare product when cookie->id_compare value is invalid
	[-] FO : fix #PSCFV-548 - when ordering out of stock downloadable product, the download is not available in order history
	[-] FO : fix #PSCFV-548 - when ordering out of stock downloadable product, the download is not available in order history
	[-] FO : Fix SSL redirection
	[-] FO : #FSCFV-903 : Add Mail confirmation sending when subscribing to the newsletter via Accont creation or edition
	[-] FO : improvements with OPC, Cart Rules and refresh #PSCFV-377 #PSCFV-2196
	[-] FO : Invalid voucher name
	[-] FO : #PSCFV-1463 - Disallow removing free product from the blockcart
	[-] FO : #PSCFV-1463 - Fix bug on removing a product where one is a free gift
	[-] FO : #PSCFV-152 - Check payment method are allowed before displaying them on the checkout page
	[-] FO : #PSCFV-1792 - Fix bug with attribute check_access of the method Category::getProducts()
	[-] FO : #PSCFV-2138 Removed * on Home Phone (it's not a required field)
	[-] FO : #PSCFV-2147 - Fix bug with date of delivery
	[-] FO : #PSCFV-2149 : Front office translations are connected width sprintf()
	[-] FO : #PSCFV-2150 : Translations of back office are connected width sprintf()
	[-] FO : #PSCFV-2150 : Translations of modules are connected width sprintf()
	[-] FO : #PSCFV-2151 : Translations of errors are connected width sprintf()
	[-] FO : #PSCFV-2156 - Avoid undefined index
	[-] FO : #PSCFV-2158 - Add warning message when a product cannot be delivered to an address
	[-] FO : #PSCFV-2197 - Show which products is assigned to which carrier, when multiple carriers are proposed for the one delivery method
	[-] FO : #PSCFV-2211 : Make sure _PS_BASE_URL_ is defined
	[-] FO : #PSCFV-2219 - Change "No carriers" message when user is not logged in.
	[-] FO : #PSCFV-2282 - Allow "+" in email address during account creation
	[-] FO : #PSCFV-2306 : Fixed duplicate meta title on manufacturer page
	[-] FO : #PSCFV-2317 : fix bug
	[-] FO : #PSCFV-2478 : Fixed a problem with payment method which displays an error when a product created in multi-shop was chosen
	[-] FO : #PSCFV-67 : Translation english updated and english keys update in all languages
	[-] FO : wrong calcul of the free shipping in multi-shipping

	[-] BO : Add check to avoid redefine _PS_BASE_URL_ on the admin init
	[-] BO : added a translation in French
	[-] BO : admin tab without multishop classes couldn't be displayed #PSCFV-2427
	[-] BO : BugFix : Creating a category in multishop updates her position as well
	[-] BO : Bug Fixed #PSCFV-1475 - Multishop themes pictures not configurable
	[-] BO : Bug fixed #PSCFV-1975 - Combination import + multishop
	[-] BO : Bug fixed #PSCFV-2443 - Incorrect default tab for my new employee
	[-] BO : Bug Fixed #PSCFV-2470 - Group by id_category
	[-] BO : Bug fixed #PSCFV-2474 - Missing shop association when creating a manufacturer with a logo
	[-] BO : Bug fixed related to #PSCFV-1354 - Specific price with multishop, groups/currencies/countries should vary in function of the selected shop
	[-] BO : Bug fixed related to #PSCFV-2490 - Created group doesn't appear in my shop
	[-] BO : Bug fixed related to #PSCFV-2490 - Default group should be copied
	[-] BO : Bug fix on module extract zip - #PSCFI-5335
	[-] BO : BugFix : #PSCFV-1297 :Multistore: admin can delete special price of another shop
	[-] BO : BugFix : #PSCFV-1297 : Multistore: admin cannot delete special price of another shop anymore
	[-] BO : BugFix : #PSCFV-2133 : AdminTracking bug in multishop context (ambigus active field in SQL query)
	[-] BO : BugFix : #PSCFV-2205 : Cannot associate shop with products
	[-] BO : BugFix : #PSCFV-2206 : Cannot change active or inactive for a product with multishop
	[-] BO : BugFix : #PSCFV-2209 : Multishop : cannot delete shops with dependencies
	[-] BO : BugFix : #PSCFV-2242 :CSV Import - Issues with products
	[-] BO : BugFix : #PSCFV-2260 : Admin in one shop can see categories from another shop
	[-] BO : BugFix : #PSCFV-2292 : Column 'price' in order clause is ambiguous by filtering manufacturer product
	[-] BO : BugFix : #PSCFV-2300 : Bug on categories position
	[-] BO : BugFix : #PSCFV-2308 : Missing WHERE clause in Manufacturer::getManufacturers()
	[-] BO : BugFix : #PSCFV-2337 : Multishop : Attributes and values : problem creation attribute
	[-] BO : BugFix : #PSCFV-2343 : Group discount does not show associated categories properly
	[-] BO : BugFix : #PSCFV-2372 : Created zones do not appear
	[-] BO : BugFix : #PSCFV-2373 : Created currency do not appear
	[-] BO : BugFix : #PSCFV-2373 : Problem on country creation
	[-] BO : BugFix : #PSCFV-2374 : After creating a shop without category, category default from product displays wrong name
	[-] BO : BugFix : #PSCFV-2378 : Created carriers do not appear.
	[-] BO : BugFix : #PSCFV-2423 / #PSCFV-2424 : .htaccess generation is improved (description updated if you cannot generate your htaccess)
	[-] BO : BugFix : #PSCFV-2440 : Impossible to delete a shop with share option
	[-] BO : BugFix : #PSCFV-2441 : Shop creation : unable to save parameters
	[-] BO : BugFix : #PSCFV-2465 : When creating a shop without importing categories, I can still see the default category from other shop
	[-] BO : BugFix : #PSCFV-2476 : Shop creation : adding an error message if you do not select at least the root category
	[-] BO : BugFix : #PSCFV-2481 : Scene creation needs to show categories from context
	[-] BO : Bug with slash on modules description - #PSCFV-2146
	[-] BO : Categories do not appear in allshop context
	[-] BO : changed state iso code max length #PSCFV-2220
	[-] BO : Check if store is set.
	[-] BO : CONTEXT_ALL shouldn't display a product price
	[-] BO : CSV Import multishop combinations + products
	[-] BO : Delete accounting
	[-] BO : fix bug #PSCFV-1597 - image upload size display
	[-] BO : fix bug #PSCFV-2169 - broken toolbar
	[-] BO : fix bug #PSCFV-2188 - imported products with combinations are not added to cart
	[-] BO : fix bug #PSCFV-2230 - some tables are not cleaned when deleting products during import
	[-] BO : fix bug #PSCFV-2231 - blocklink problem when not in multishop
	[-] BO : fix bug #PSCFV-2237 - Broken SQL Request in Product->getAccessories()
	[-] BO : fix bug #PSCFV-2239 - js error on product page on IIS + PHP5.4
	[-] BO : fix bug #PSCFV-2251 - http_build_query must fix arg_separator
	[-] BO : fix bug #PSCFV-2268 - blocklink bug with multishop and link list
	[-] BO : fix bug #PSCFV-2307 - multishop: product modification applied to the wrong shop caused by race condition with ajax calls
	[-] BO : fix bug #PSCFV-2363 - wrong product tabs loaded when the product page is saved and has an error
	[-] BO : fix bug #PSCFV-2383 - adding warehouses not working
	[-] BO : fix bug #PSCFV-2387 - z-index fixes
	[-] BO : fix bug #PSCFV-2397 - broken language import with multishop
	[-] BO : fix bug #PSCFV-2402 - scenes creation with multishop is broken
	[-] BO : fix bug #PSCFV-341 - ajax call could be made twice for the same product tab
	[-] BO : Fixed a bug which did not permitted to found a customer in the creation of order in the back office
	[-] BO : Fixed a French hardcoded page (Favorites Views)
	[-] BO : Fixed an issue with htmlentities()
	[-] BO : Fixed a typo ("Informations" => "Information")
	[-] BO : fixed bug #PSCFV-1296 - Can't add a product in order (BO)
	[-] BO : Fixed bug #PSCFV-1590. Save restrictions won't delete the ones for inactive module.
	[-] BO : fixed bug #PSCFV-2155 - carrier max_height, max_depth, max_weight, max_width problem
	[-] BO : fixed bug #PSCFV-2180 - Not auto height with long name shop
	[-] BO : Fixed bug #PSCFV-2183 - Missing French translations on the PDF documents
	[-] BO : fixed bug #PSCFV-2217 - Assign new zone in BO > Localisation > States generate an error
	[-] BO : fixed bug #PSCFV-2256 - Error when duplicate a product
	[-] BO : fixed bug #PSCFV-2259 - "Contact options" section is missing from Customers > Contacts page
	[-] BO : fixed bug #PSCFV-2285 - Unable to activate/deactivate a product from list
	[-] BO : Fixed bug #PSCFV-2288. _PS_ADMIN_DIR_ was not defined
	[-] BO : fixed bug #PSCFV-2304
	[-] BO : fixed bug #PSCFV-2324 - Genertating roobots.txt in BO not working
	[-] BO : fixed bug #PSCFV-2342 - fix issue on Admin Tab position
	[-] BO : fixed bug #PSCFV-2390 - Suppliers multishop issue
	[-] BO : fixed bug #PSCFV-2428 - fix bug on combination creation
	[-] BO : fixed bug #PSCFV-2434 - FIx bug on Product line edition in order page
	[-] BO : fixed bug #PSCFV-2436 - fix bug on product adding on order page
	[-] BO : fixed bug #PSCFV-2503 - fix issue on stock update when product line edition in order
	[-] BO : fixed bug #PSCFV-383
	[-] BO : fixed bug #PSCFV-521 - range fix
	[-] BO : fixed bug #PSCFV-727 - added some help
	[-] BO : fixed #PSCFV-1239 - tinyMCE issue on IE8
	[-] BO : fixed #PSCFV-2176 - missing confirmation when deleting product
	[-] BO : fixed #PSCFV-2190 - error at pack creation
	[-] BO : Fixed the Sample file for Categories Import - #PSCFV-1960
	[-] BO : Fixing module restrictions in multishop context
	[-] BO : Fixing warnings on PaymentModule Tab
	[-] BO : fix #PSCFV-2120 - no product listed in product return form
	[-] BO : fix #PSCFV-2177 - js bug with default supplier selection
	[-] BO : fix #PSCFV-2212
	[-] BO : fix #PSCFV-2299 - Unknown gender issue
	[-] BO : fix #PSCFV-2302 - import: bug with truncate confirmation
	[-] BO : fix #PSCFV-2316
	[-] BO : fix #PSCFV-2318
	[-] BO : fix #PSCFV-2322 - cannot deactivate multishop with only one shop
	[-] BO : fix #PSCFV-2344
	[-] BO : fix #PSCFV-2345
	[-] BO : fix #PSCFV-2353
	[-] BO : fix #PSCFV-2359 : change name default theme in module themeinstallator
	[-] BO : fix #PSCFV-2364 : Now we can exported a theme of all shops
	[-] BO : fix #PSCFV-2364 : Now we can imported a theme in each shop && normalize && translations
	[-] BO : fix #PSCFV-2364 : Now we can selected of modules which must be disabled
	[-] BO : fix #PSCFV-2365 : add message for using the sprintf() in yours translations
	[-] BO : fix #PSCFV-2366 : check if an sentence use an specific syntax
	[-] BO : fix #PSCFV-2369 - post data is lost if there is an error while saving
	[-] BO : fix #PSCFV-2377 - missing JS files when saving product with errors
	[-] BO : fix #PSCFV-2381 : now count translations fields are good and translations...
	[-] BO : fix #PSCFV-2466 : Fix translations tabs to spanish in installor
	[-] BO : fix #PSCFV-2466 : Fix translations tabs to spanish in installor
	[-] BO : fix #PSCFV-2466 : Fix translations tabs to spanish in installor : fix encoding errors
	[-] BO : fix #PSCFV-2467 : Now, You can update your theme in AdminThemes
	[-] BO : fix #PSCFV-2517 : Import combinaison, now the minimal quantity is not the quantity in ps_product_attribute
	[-] BO : Fix scroll when errors occurred on modules
	[-] BO : Fix translations issues on module description #PSCFV-2144
	[-] BO : Hide description label when there is no description #PSCFV-2145
	[-] BO : in the cart rules, when a reduction is associated to a specific product, the product is automatically added to the restrictions #PSCFV-2195
	[-] BO : Missing modules logo #PSCFV-427
	[-] BO : Modified a translation in French
	[-] BO : Modified a translation in French
	[-] BO : module tab crashed when trying to update a module that wasn't loaded (because of the XML cache file)
	[-] BO : Multiple cart rules should be save in order total discount
	[-] BO : no more fatal error when using Tools::apacheModExists and phpinfo() not available
	[-] BO : Product filter initialization fixed in cart rules #PSCFV-2524
	[-] BO : #PSCFV-139 - Improving Retial refund
	[-] BO : #PSCFV-1786 : fix size logo for PDF invoice
	[-] BO : #PSCFV-2164 Added description for Cache options, and fixed links
	[-] BO : #PSCFV-2186 : Find the good translation when a module is overrided
	[-] BO : #PSCFV-2214 : Change the order of localizations packs
	[-] BO : #PSCFV-2248 : translations for the back office
	[-] BO : #PSCFV-2255 - overide helper/options in admin-dev/themes/.../stores
	[-] BO : #PSCFV-2276 - Fix bug on changing status of a order with virtual products
	[-] BO : #PSCFV-2279 Removed alert if token is invalid.
	[-] BO : #PSCFV-2286 : Added errors message when the CMS form isn't filled && normalize
	[-] BO : #PSCFV-2289 : fix CSS for hint messages
	[-] BO : #PSCFV-2295 : remove the duplicate errors message && refactoring zip code insert
	[-] BO : #PSCFV-2336 : Now importation of lang pack is moving in selected themes
	[-] BO : #PSCFV-2473 - Fix bug with attribute value and shop
	[-] BO : #PSCFV-2520 - Js error on advanced stock management
	[-] BO : #PSCFV-71 - Fix bug with currency conversion
	[-] BO : #PSCFV-731 : change type int by string for zipcode_from and zipcode_to
	[-] BO : #PSCFV-858 - Rest to paid warning must be changed if the order is overpaid
	[-] BO : refresh currency rates button fixed
	[-] BO : there was some row doubled in the cart rules because of the multi-shop
	[-] BO : translations errors : fix regex
	[-] BO : Translations errors : now the modules files are search recursively
	[-] BO : you cannot create 2 states with the same iso code in the same country anymore #PSCFV-53

	[-] Classes : Bug Fixed #PSCFV-1271 - Order confirmation email + tax excl group
	[-] Classes : fix bug #PSCFV-1568 - ImageManager PNG thumbnail param not used
	[-] Classes : fix bug #PSCFV-2309 - Unable to override Shop::asso_tables
	[-] Classes : fix #PSCFV-1218 - Re-ordering customized products don't duplicate the customization
	[-] Classes : fix #PSCFV-2185 - bad handling of order states for merchandise returns
	[-] Classes : #PSCFI-4973 : Bug fix mail receiver was null

	[-] Core : Fixed bug #PSCFV-586 - index.php was deleted during the Smarty Cache deletion
	[-] Core : fixed typo in a SQL query #PSCFV-2189

	[-] MO : Add ModuleController in ProductComments
	[-] MO : Bug fixed #PSCFV-2311 - blockspecials doesn't display discounted products
	[-] MO : Fixed Blockcart jump effect on hover
	[-] MO : fixed bug #PSCFV-1356 - Module hometexteditor has the same text for each sub multishop
	[-] MO : fixed bug #PSCFV-2269 - reset cache module block categories
	[-] MO : fixed bug #PSCFV-2270 - fixe part 2
	[-] MO : fixed bug #PSCFV-2270 - JS  refacto module favorite products
	[-] MO : fixed bug #PSCFV-2278 - Function hookActionProductUpdate() is deprecated in mailalert module
	[-] MO : fixed bug #PSCFV-2332
	[-] MO : Fixed bug #PSCFV-2414 - Mail alert "Order e-mail" was badly formated - Fixed in the 5 languages
	[-] MO : gsitemap : generate sitemap for multi-shop fix #PSCFV-1493
	[-] MO : #PSCFV-2261 Check if the id_product is set
	[-] MO : #PSCFV-2349 - Fix bugs with theme export
	[-] MO : #PSCFV-2354 - Remove chars number limit of version number
	[-] MO : #PSCFV-2356 - Theme installor - Check one theme at least is selected before exportation
	[-] MO : #PSCFV-2357 - Fix bug with error displaying
	[-] MO : #PSCFV-2415 : Add multilanguage support to blocktopmenu
	[-] MO : retro compatibility fixed with Referral program #PSCFV-1531
	[-] MO : themeinstallator : add blockmyaccountfooter in the native modules

	[-] WS : id_group_shop is not mandatory

	[-] PDF : Bug Fixed #PSCFV-168 - Invoice discount & shipping are now correctly displayed
	[-] PDF : Incorrect Order Return title

	[-] TR : fix #PSCFV-2352
	[-] TR : Minor changes


####################################
#   v1.5.0.11 - 14988 (2012-04-30)  #
####################################

	Added Features:

	[+] BO : Module controllers can now create custom rewrite in SEO page

	[+] MO : CloudCache module
	[+] MO : Shipwire module

	Improved/changed features:

	[*] Installer : countries are now translated in German too (thanks to Bernhard Ankenbrand !)

	Fixed bugs:

	[-] FO : BugFix #PSCFV-1450 The Alias "My Address" is already used, please chose another one.
	[-] FO : fixed bug #PSCFI-5454 - Guest tracking should be SSL encrypted
	[-] FO : fixed bug #PSCFI-5502 - Incorrect resizing of addresses on the order history page
	[-] FO : Fixed  bug #PSCFV-1251 & #PSCFV-1727
	[-] FO : Fixed  bug #PSCFV-1251 & #PSCFV-1727
	[-] FO : free products emptied when there isn't any other products in the cart #PSCFV-300
	[-] FO : #PSFV-813 - Fix bug with cart rule discount rounding price and price validator

	[-] BO : BugFix #PSCFV-1506 Fatal error when editing e-mail template in BO
	[-] BO : BugFix #PSCFV-2110 #PSCFV-2117 Category association in product page (back-office) is now saved when you have only one shop
	[-] BO :  fixed bug #PSCFV-1726 - Meta Title Suppliers not save
	[-] BO : Fix #PSCFV-2113 : replace Tools::file_exists_cache() by file_exists() && normalize
	[-] BO : Fix #PSCFV-758 : translations
	[-] BO : Fix #PSCFV-778 : encoding character in meta tags
	[-] BO : #PSCFV-1325 - Remove warning message "$X paid instead of $X" if the order has not been paid
	[-] BO : #PSCFV-139 - Partial refund must not be available when order was not paid
	[-] BO : #PSCFV-139 - Partial refund must not be available when order was not paid
	[-] BO : #PSCFV-1669 - Fix bug with customer add form, when an account already exists with the same email adddress

	[-] Classes : fixed bug #PSCFI-5435 - Webservice: cannot set negative combination quantity

	[-] MO : BugFix #PSCFV-2114 blocktopmenu : filter the categories that the user is allowed to see and browse
	[-] MO : #PSCFV-1261 : Bug fix on CMS block delete action
	[-] MO : Remove modules from wrong branche


####################################
#   v1.5.0.10 - 14874 (2012-04-25)  #
####################################

	Improved/changed features:

	[*] Project : Jquery 1.7.2

	[*] FO : Layout & Template override

	[*] BO : fixed #PSTEST-1100
	[*] BO : fix #PSTEST-1140
	[*] BO : Help text have been improved (related to (#PSTEST-779)
	[*] BO : #PI-107 refactoring product page JS - adding ProductTabsManager
	[*] BO : #PI-123 - toolbar and page title refactoring
	[*] BO : #PI-124 - lazy registering of smarty functions
	[*] BO : #PI-124 - update lazy registering
	[*] BO : #PI-84 - virtual product page has been remade
	[*] BO : #PSFV-696 : add attachment when we duplicate a product
	[*] BO : #PSFV-832 : change the type of the property "ajax"
	[*] BO : #PSFV-865 - it is now possible to use drag and drop positions in custom controllers using HelperList
	[*] Bo : #PSTEST-1095 : Remove id_address of the table table supplier and add a new fixture in the installer for the table address
	[*] BO : #PSTEST-1141 : fix bugs in AdminImportController
	[*] BO : #PSTEST-1157 - Ajax deletion of virtual file
	[*] BO : #PSTEST-791 - Fiche produit Virtuels - Onglet Produit dématérialisé incompréhensible

	[*] WS : Allow override of getter from different classes

	[*] PDF : PDF templates are now into the root directory, you can override those templates into the /theme/<name>/pdf/ directory

	Fixed bugs:

	[-] Project : #PSCFI-519 - Blocklayered installation optimization
	[-] Project : #PSFV-753 - OrderPayment::payment_method must be a genericName and not a name
	[-] Project : #PSFV-781 - Fix bug with blockcart adding product animation
	[-] Project : #PSFV-781 - Fix problem on transplanted Block cart on left/right collumn
	[-] Project : #PSFV-781 - Profile and access cannot be managed by SHOP
	[-] Project : #PSFV-786 - Link::getPaginationLink ignores array parameters
	[-] Project : #PSFV-816 - Allow to attach multiple files to an email with the function Mail::send
	[-] Project : #PSFV-820 - Cartrules are now reapplied each time we add/remove a product on/from the cart

	[-] INSTALLER : Active only the country selected by the merchant (#PI-69)
	[-] Installer : Bug Fixed #PSFV-819 - order_tax shouldn't exist
	[-] INSTALLER : BugFix : #PSTEST-1179 : iPod Nano specific price was wrong
	[-] Installer : Fixed #PSCFI-5182

	[-] FO : BugFix : #PSFV-844 : Categories links are now handled with multishop in footer
	[-] FO : cart rules are now removed when the cart is empty #PSTEST-1205
	[-] FO : fixed bug where you couldn't get a free product with a cart rule if you already had the same product in your cart #PSTEST-1063
	[-] FO : fixed infinite loop in free shipping cart rule #PSTEST-1138
	[-] FO : fixed quantity display on customized product
	[-] FO : #PSCFI-5322 - Order::hasBeenDelivered and Order::hasBeenPaid don't work for all order states
	[-] FO : #PSCFI-5343 : Fixed a problem of E-mail subject encoding
	[-] FO : #PSFV-604 - Add commentaries
	[-] FO : #PSFV-656 - Fix bug with nbr product par page selector
	[-] FO : #PSFV-660 - Fix bug with multishipping proposed whereas de multishipping is disable
	[-] FO : #PSFV-706 - Fix problem with jqzoom and dom with relative position
	[-] FO : #PSFV-717 - Bad parameter used
	[-] FO : #PSFV-717 - Missing "bold" text in some mudules
	[-] FO : #PSFV-719 - Fix bug with getting not available carriers on the cart
	[-] FO : #PSFV-755 - Fix bug with bad total paid real
	[-] FO : #PSFV-755 - Fix bug with bad total paid real
	[-] FO : #PSFV-771 - Fix retrocompatibility problem with method displayContent
	[-] FO : #PSFV-773 - Remove a double slash from breadcrumb image url
	[-] FO : #PSFV-797 - Fix bug with order detail and customized products
	[-] FO : #PSFV-803 - Fix bugs with customization and cart summary
	[-] FO : #PSFV-813 - Fix bug with partial cartrules and free order
	[-] FO : #PSFV-815 - Fix bug on the cart with carrier on updating the country of the address
	[-] FO : #PSFV-815 - Moving an SQL request on the controller to the model
	[-] FO : sometimes the cart rules total was doubled - fixed! #PSTEST-1202
	[-] FO : W3C fix
	[-] FO : W3C fix
	[-] FO : W3C fix

	[-] BO : addons display fixed #PSTEST-1110
	[-] BO : array_unique added in the cart rules in order to prevent sql error #PSTEST-1094
	[-] BO : Bug Fixed #PSFV-339 - Multishop logo
	[-] BO : BugFix : #PSFV-689 : customer groups selection on category edition fixed
	[-] BO : BugFix : #PSTEST-1054 : Employees and permission updated
	[-] BO : BugFix : #PSTEST-1058 : Adding Save And Stay button to the customer group interface
	[-] BO : BugFix : #PSTEST-1088 : Customer group creation : fix on the category reduction creation
	[-] BO : BugFix #PSTEST-1137 Customers : Accounting export comment is now improved
	[-] BO : BugFix : #PSTEST-1190 : email customer verification improved
	[-] BO : fix attributes bulk deletion
	[-] BO : Fix bad use of 'uninstanciated' variable product
	[-] BO : fix broken delete specific price action
	[-] BO : fix bug count empty translations
	[-] BO : fix bug in links of sitemaps
	[-] BO : fix bug #PSFV-700 - On IE8, the login.js' displayErrors() method fails
	[-] BO : fix bug #PSFV-839 - Reset products features while editing products
	[-] BO : fix bug #PSFV-860 - Can't edit combinations with an existing product
	[-] BO : fix bug #PSTEST-1079 - product supplier page accordion is initialized too early if page loading is slow, resizing necessary
	[-] BO : fix display bug when virtual file upload fails
	[-] BO : Fixed bug #PSFV-282. Add back the currentIndex and token global value for the modules compatibility
	[-] BO : fixed bug #PSFV-504 - Even if the invoices management is disabled, you can create an invoice
	[-] BO : fixed bug #PSFV-727 - forgot password redirect
	[-] BO : fixed bug #PSFV-738 - [1.4 compatibility] : some option list parameters not supported in 1.5
	[-] BO : fixed bug #PSFV-751 - Carrier - Rule of free shipping does not work
	[-] BO : fixed bug #PSTEST-1144 - carrier image problem
	[-] BO : fixed double in the product list of the cart rules when multi-shop is activated #PSTEST-1154
	[-] BO : fixed #PSFV-722
	[-] BO : fixed #PSFV-727 (issue #4)
	[-] BO : fixed #PSFV-727 (issue #9 to #13)
	[-] BO : fixed #PSFV-747 - mod_rewrite not detected
	[-] BO : fixed #PSFV-802 : now mail subject are saved
	[-] BO : fixed #PSFV-808 : added mail backoffice_order.html for de, it, and es language
	[-] Bo : Fixed #PSTEST-1055 & #PSFV-768 : update call identifier
	[-] BO : fixed #PSTEST-1134
	[-] BO : Fix error due to helper modification
	[-] BO : Fixing missing translation on title attribute AdminModules #PSTEST-1201
	[-] BO : fix JS exception when advanced stock management is inactive
	[-] BO : fix pack item deletion
	[-] BO : fix product page suppliers
	[-] BO : fix #PSCFI-4878
	[-] BO : fix #PSCFI-5408
	[-] BO : Fix #PSFV-549 : Now two customer with the same mail, isn't possible
	[-] BO : Fix #PSFV-746
	[-] BO : fix #PSFV-826
	[-] BO : fix #PSFV-852 : url encoded incorrect when in the search there is specials character
	[-] BO : fix #PSFV-856 (translation)
	[-] BO : fix #PSFV-857
	[-] BO : fix #PSFV-866 : Add the missing hook for update a product
	[-] BO : Fix #PSFV-868 : Unity price can be set
	[-] BO : fix #PSFV-870 : translations modules
	[-] BO : fix #PSTEST-1102 - change warning message at pack creation
	[-] BO : fix #PSTEST-1117 - bad handling of UTF8 strings in templates
	[-] BO : fix #PSTEST-1123 - Changing default product attribute is broken
	[-] BO : fix #PSTEST-1128 - when saving a pack, a validation error causes pack data loss
	[-] BO : fix #PSTEST-1169 broken processing of list filters
	[-] BO : fix #PSTEST-1170 - broken suppliers edition in product page
	[-] BO : fix #PSTEST-1172 - do not sort all products list by position
	[-] BO : fix #PSTEST-1172 - do not sort all products list by position // missing file
	[-] BO : fix #PSTEST-1175 - duplicate text in toolbar in AdminAttributesGroups
	[-] BO : fix #PSTEST-1176 - Modules positions drag and drop - ajax process is broken, page JS too
	[-] BO : Fix #PSTEST-1182 : Now the number of available products displaying
	[-] BO : fix #PSTEST-1184 - bug with product combinations generator
	[-] BO : Fix #PSTEST-1185
	[-] BO : fix #PSTEST-1186 - broken positioning of product images
	[-] BO : fix #PSTEST-1213 - button style
	[-] BO : Fix #PSTEST-1217 : fatal error when all carrier are free
	[-] BO : Fix #PSTEST-1220 : now position update for attribute value is good && fix JavaScript error in admin-dnd.js
	[-] BO : fix #PSTEST-697 - remove cancel button in category list
	[-] BO : Improvement made #PSCFI-1387 - The hooks list is reorder by title and technical name is displayed
	[-] BO : #PI-57 : Fix bug when we import pack of language in emails files
	[-] BO : #PSCFI-5378 - Create voucher from the BO after a product return
	[-] BO : #PSCFI-PSCFI-5323 - Refound displayed instead of Return on the order lines if the order is shipped
	[-] BO : #PSFV-434 - Bad product total calculation (confusion with wt)
	[-] BO : #PSFV-434 - Fix bugs with invoice icons not visible for orders canceled
	[-] BO : #PSFV-666 : fix bug and adding improvements
	[-] BO : #PSFV-686 - Fix import error output
	[-] BO : #PSFV-702 - "Ranges are overlapping" after modifying the default ones
	[-] BO : #PSFV-704 - refactoring of AdminFeaturesController and fix of broken bulk delete
	[-] BO : #PSFV-717 - Attribut "selected" never added in inputs type select with multilang
	[-] BO : #PSFV-748 : fix bug email order confirmation
	[-] BO : #PSFV-750 : add a comment criterion by default
	[-] BO : #PSFV-754 - Token repeted twice on a link because of a missing urlencode to a "back" attribute
	[-] BO : #PSFV-769 - Hook::getHookModuleExecList() don't check the id hook exists
	[-] BO : #PSFV-775 - Fix bug with ajax form reload
	[-] BO : #PSFV-775 - Fix bug with for ajax reload
	[-] BO : #PSFV-776 - Fix Bug with order editing on the back office
	[-] BO : #PSFV-797 - Fix bug with order editing  and customized products
	[-] BO : #PSFV-797 - Fix bug with order invoice pdf and customized products
	[-] BO : #PSFV-797 - Fix bug with order invoice pdf and customized products
	[-] BO : #PSFV-812 : Fix bug price in a specials block
	[-] BO : #PSFV-825 : Fix translations
	[-] BO : #PSFV-827 : Fix translations
	[-] BO : #PSFV-829 : Fix translations bugs
	[-] BO : #PSFV-837 - Blocklayered, lang fields dont works on 1.5
	[-] BO : #PSFV-855 : Fix bug in BlockCMS AND set submit_action to NULL
	[-] BO : #PSFV-874 - Carriers asked with guest checkout and virtual cart
	[-] BO : #PSTEST-1032 : Fix bug
	[-] BO : #PSTEST-1033 : Fix bug Toolbar for coordonate and stores
	[-] BO : #PSTEST-1046 : Fix translation
	[-] BO : #PSTEST-1046 : Fix translation
	[-] BO : #PSTEST-1060 : fix bug
	[-] BO : #PSTEST-1061 : add button save and stay in AdminScenesController
	[-] BO : #PSTEST-1081 : fix bug in AdminProductController when we add a new language
	[-] BO : #PSTEST-1097 : Fix bug override email in theme
	[-] BO : #PSTEST-1105 : fix bug mail virtual product
	[-] BO : #PSTEST-1107 - switch between different product types in BO product page is broken
	[-] BO : #PSTEST-1112 - translation
	[-] BO : #PSTEST-1129 : fix bug : Error when duplicate a product
	[-] BO : #PSTEST-1130 : fix bug object mail virtual product
	[-] BO : #PSTEST-1131 : Fix bug rewrite URL for contact form
	[-] BO : #PSTEST-1136 : Fix duplicate content
	[-] BO : #PSTEST-1204 : fix translations
	[-] BO : #PSTEST-1207 : Fix translations
	[-] BO : PSTEST-1216 : Fix translations lost
	[-] BO : #PSTEST-543 - Tax Rules Bulk delete doesn't work
	[-] BO : #PSTEST-853 - Change field description
	[-] BO : #PSTEST-927 : Fix bug
	[-] BO : #PSTEST-977 - Cart rule, hide unavailable options
	[-] BO : remove sprintf() which are unnecessary
	[-] BO : remove sprintf() which are unnecessary

	[-] Classes : fix bug #PSTEST-1191 - wrong carrier positions
	[-] Classes : PSTEST-1104 - mail for product download is not sent when command state is updated

	[-] MO : fix bug #PSFV-649 - Escapes in Smarty l (L) function are not escaped in output
	[-] MO : fix bug #PSTEST-1178 - block CMS position drag and drop was not implemented
	[-] MO : Fixed bug #PSTEST-663. 'template' was missing.
	[-] MO : #PNM-32 - Bad regex on blocklayered
	[-] MO : #PNM-33 - Disable cache of ajax queries on the blocklayered
	[-] MO : #PNM-42 - Fix bug with list of value filter on the blocklayered
	[-] MO : #PNM-73 : Mail alerts redirect url on logout corrected
	[-] MO : #PNM-73 : Mail alerts redirect url on logout corrected
	[-] MO : #PNM-88 : Subject now translated
	[-] MO : #PSFV-620 : Added cast and bug fix for multi shops categories
	[-] MO : #PSFV-636 - Remove warnings lile "Warning: Function displayHeader() is deprecated" with module blockwishlist
	[-] MO : #PSFV-636 - Remove warnings lile "Warning: Function displayHeader() is deprecated" with module blockwishlist
	[-] MO : #PSFV-681 - blocksharefb use deprecated Hook::get()
	[-] MO : #PSFV-716 - Fix bug with "home link" on module blocktopmenu
	[-] MO : #PSFV-717 - Bankwire bad form action value
	[-] MO : #PSFV-717 - Carrier compare: Fix some problems with the module displaying
	[-] MO : #PSFV-717 - Fix some little bugs with blocktopmenu + Normalize the code
	[-] MO : #PSTEST-1181 - blockcurrencies bug with catalog mode
	[-] MO : #PSTEST-1193 - Fix bad SQL query syntax
	[-] MO : sendtoafriend : fix #PSFV-764
	[-] MO : sendtoafriend : #PSFV-764 : Fix smalls bugs && normalize

	[-] PDF : Bug Fixed #PSFV-800 - Invoice free text is not displayed

	[-] TR : fix bug #PSTEST-1039 - translation

	[-] LO : Bug Fixed #PSCFI-4275 - SK Unit types


####################################
#   v1.5.0.9 - 14192 (2012-03-15)  #
####################################

	Improved/changed features:

	[*] FO : Add mobile detection and mobile theme dispatcher

	[*] BO : #PSFV-481 - Refactor HelperList position management

	[*] Core : update to 3.1.8

	[*] MO : updated controllers for mobile theme
	[*] MO : updated controllers for mobile theme

	Fixed bugs:

	[-] FO : Bugfix : Assigning subcategories to the template
	[-] FO : BugFix : #PSFV-629 : random special product display only special products
	[-] FO : customer discounts page fixed with cart rules
	[-] FO : #PSFV-604 - Fix bug with undefined address on the cart (when the address is removed)
	[-] FO : #PSFV-656 - Fix bug with number of product per page selector
	[-] FO : #PSTEST-969 : BugFix Store icon in GMap
	[-] FO : #PSTEST-975 - Fix bugs with promo page
	[-] FO : #PSTEST-981 - Minimal quantity not setted correctly on combibination
	[-] FO : #PSTEST-990 - Fix bug with bad ajax return on adding product to the cart with a new cart reduction applyed
	[-] FO : #PSTEST-993 - price validation do not allow prixe with 10 or more decimals

	[-] BO : Add french accounting translation
	[-] BO : BugFix : #PSFV-1020 : category reduction can be deleted now
	[-] BO : BugFix : #PSFV-648 : preferences tab spelling error : egal has to be replaced by equal
	[-] BO : BugFix : #PSFV-664 : Category import handles multishop now
	[-] BO : BugFix : #PSTEST-1004 : create value for an attribute fix (error js, undefined variable)
	[-] BO : BugFix : #PSTEST-1005 : ajax call cache fix in attributes and values
	[-] BO : Bug fix #PSTEST-1014 #PSTEST-966 - Wrong call of smarty translation function
	[-] BO : Bug fix #PSTEST-1014 - Wrong call of smarty translation function
	[-] BO : Bug fix #PSTEST-1015 - Wrong call of smarty translation function
	[-] BO : BugFix : #PSTEST-1020 : category reduction are now deletable
	[-] BO : BugFix : #PSTEST-943 : carrier position handled on carrier creation
	[-] BO : BugFix : #PSTEST-991 : ajax search with category treeview
	[-] BO : Configuration link does not appear if configuration is not available + fix on shop importer variable
	[-] BO : export pack of language : add override of PDF file lang
	[-] BO : fix bug #PSFV-529 - AdminGeolocalisation : isCleanHtml control on checkbox
	[-] BO : fix bug #PSTEST-1002 - redirection after using attribute generator
	[-] BO : fix bug #PSTEST-1003 - Saving product attached documents redirect to informations tab
	[-] BO : fix bug #PSTEST-988 - Attribute values wrong toolbar title
	[-] BO : fixed #PSTEST-939 - now you can't add tow country with the same isocode
	[-] BO : Fixing a bug on config module file generation
	[-] BO : Fix on module config file generation (simplexml can't load file when starts with blank space)
	[-] BO : Mails replace space by &nbsp; in all files
	[-] BO : Make a lot of changement on the Accounting (accouting plan / configuration / customer)
	[-] BO : #PSFV-518 - On admin module controllers, autoload_rte flag for textarea fields doesn't work if lang flag is on "false"
	[-] BO : #PSFV-587 - message about order and gift message does not display in BO when order is completed
	[-] BO : #PSFV-587 - product additional shipping cost not included in order shipping summary
	[-] BO : #PSFV-587 - product image cover does not change on product page
	[-] BO : #PSFV-595 - Can't delete CMS Category.
	[-] BO : #PSFV-608 - "Access denied" message in BO when login as Logistician
	[-] BO : #PSFV-620 : BugFix blank labels between languages.
	[-] BO : #PSFV-645 - Fields id_last_customer, id_last_customer_message and id_last_order of table ps_employee table must be int(10) and not tinyint.
	[-] BO : #PSFV-646 - Fix problem with button save & preview
	[-] BO : #PSFV-652 - Fix bug with price and decimal (TE/TI conversion)
	[-] BO : #PSFV-657 : BugFix Product name encoding while editing cart rule
	[-] BO : #PSFV-658 - Fix bug with a bad var checking
	[-] BO : #PSFV-659 - TinyMCE editor are now resizable
	[-] BO : #PSFV-662 - Fix bug with customer total ordered (no cents)
	[-] BO : #PSTEST-795 : fix bug
	[-] BO : #PSTEST-922 : fix bug UTF-8
	[-] BO : #PSTEST-925 : BugFix - Bad redirect when creating new store / shop with submit error
	[-] BO : #PSTEST-931 : fix bug in AdminAccess
	[-] BO : #PSTEST-941 - css fix
	[-] BO : #PSTEST-971 emails smtp configuration
	[-] BO : #PSTEST-989 - Remove button "Save and add" on form add/edit attribute group
	[-] BO : #PSTEST-989 - Remove button "Save and add" on form add/edit feature
	[-] BO : #PSTEST-996 - Fix bug with multishipping and wrapping cost
	[-] BO : Small fix on preactivation
	[-] BO : Update Accounting
	[-] BO : Update accounting for export and configuration
	[-] BO : Update Accounting geolocalization for France

	[-] Classes : fix return value when updating product attachment
	[-] Classes : #PSCFI-4931 : BugFix Better encoding for accentuated chars in mails headers
	[-] Classes : #PSFV-634 : BugFix Currency was not set for loyalty discounts

	[-] Core : If a specific price is applied to a combination the combination impact  is no longer applied

	[-] MO : BugFix : #PSFV-623 : order by category is now multishop
	[-] MO : #PSFV-605 - Fix problem with gsitemap and multishop
	[-] MO : #PSFV-605 - Fix problem with uri render
	[-] MO : #PSFV-605 - Fix problem with uri render
	[-] MO : #PSFV-622 : BugFix on products comments module
	[-] MO : #PSFV-640 - Fatal error in HomeSlider module
	[-] MO : #PSFV-640 - Fix bug with image upload
	[-] MO : #PSFV-655 - Fix module stats products, with bad hard coded id

	[-] TR : fix bug #PSTEST-987
	[-] TR : #PSFV-624 : Changed 'Eire' to 'Ireland' in french country lang


####################################
#   v1.5.0.8 - 13860 (2012-03-05)  #
####################################

	Added Features:

	[+] BO : added a new option for the products : do they appear in the catalog, in the search, both or neither
	[+] BO : BO width can now be fixed or flexible (you can set it up in your employee account)
	[+] BO : Preactivation Premium
	[+] BO : Preactivation Premium - Part 2

	[+] CORE : Accounting, Add a begin of the Accounting plan detail
	[+] CORE : Module properly upgraded with message even if no file upgrade file exist, add 'upgrade' button
	[+] Core : products and carriers tax rules are associated to shop

	Improved/changed features:

	[*] BO : Adding filter for modules bought on Addons
	[*] BO : Bug fix #PSTEST-907 - Ergonomy improvement
	[*] BO : cms meta keywords now use tagify
	[*] BO : Filters are highlighted when used in AdminModules
	[*] BO : improve duplicate shop form
	[*] BO : now you can't activate friendly URL when mod_rewrite is not active
	[*] BO : reorganization of admin tabs

	[*] Classes : #PSTEST-951 - controller filename in module can now use any case and use or not "Controller" suffix

	[*] MO : updated module
	[*] MO : updated module blockcurrencies for mobile theme
	[*] MO : updated module blockcurrencies for mobile theme
	[*] MO : updated module blocklanguages for mobile theme
	[*] MO : updated module blocknewsletter and module blockcms for mobile theme
	[*] MO : updated module blocksearch for mobile theme
	[*] MO : updated module blockwishlist for mobile theme
	[*] MO : updated module favoriteproducts for mobile theme
	[*] MO : updated module homeslider for mobile theme
	[*] MO : updated modules blockcms and blocknewsletter for mobile theme
	[*] MO : updated modules for mobile theme
	[*] MO : updated modules for mobile theme
	[*] MO : updated modules for mobile theme
	[*] MO : updated modules for mobile theme
	[*] MO : updated modules for mobile theme

	Fixed bugs:

	[-] Installer : BugFix : #PSTEST-938 : spelling mistake fixed

	[-] FO : automatic refresh of the cart when a cart rule is added
	[-] FO : cart rule fix (product restrictions mixing attributes and other criteria)
	[-] FO : fix bug #PSFV-540 - JS error with homeslider and IE < 9
	[-] FO : #PSFV-553 - Fix bugs with pager and ordering with some controllers
	[-] FO : #PSFV-569 - Fix bug with instant search
	[-] FO : #PSTEST-869 - Billing 	address not refreshed on multi-shipping

	[-] BO : AdminModule shows when connected to Addons and have a logout button
	[-] BO : BugFix - Alert message for new CMS pages + errors
	[-] BO : Bug Fixed #PSTEST-695 - Are ranges defined Tax Excl or Incl? => Incl
	[-] BO : Bug Fixed #PSTEST-822 - You can now set datetime to configure specific price boundaries
	[-] BO : Bug fix #PSFV-437 - "Others" category module is now usable :)
	[-] BO : BugFix : #PSFV-556 : Category problem - new category not properly assigned to root
	[-] BO : BugFix : #PSFV-561 & #PSFV-574 : Category import is now working fine
	[-] BO : BugFix : #PSFV-585 : New Customer Groups can't see the root categories
	[-] BO : Bugfix : #PSFV-619 : removing the ability to add a new root category if you are not in multishop
	[-] BO : Bug fix #PSTEST-278 - Confirmation message appear on each module when we install a selection of modules
	[-] BO : BugFix : #PSTEST-773 : category restriction with shop context
	[-] BO : BugFix : #PSTEST-788 : Treeview is now handled with shop context in admin category controller
	[-] BO : BugFix : #PSTEST-934 : Employee creation : language selected is from context now
	[-] BO : BugFix : #PSTEST-952 : Tax rules group sorted by name ASC
	[-] BO : fix bug #PSFV-534 - Button toolbar disappear after save if errors
	[-] BO : fix bug #PSTEST-841 - confirmation popup for product attribute deletion not working
	[-] BO : fix bug #PSTEST-855 - some translations are not parsed
	[-] BO : fix bug #PSTEST-898 - translations
	[-] BO : fix bug #PSTEST-912 - broken image
	[-] BO : fix bug #PSTEST-913 - drag and drop position change for tabs broken in AdminTabsController
	[-] BO : fix bug #PSTEST-918 - missing field suffix
	[-] BO : fix bug #PSTEST-919 - missing units in text
	[-] BO : fix bug #PSTEST-932 - toolbar / save button issue
	[-] BO : fix bug where drag and drop on tabs sub-lists is broken
	[-] BO : fixed bug in contact message with html
	[-] BO : fixed bug #PSFV-557 - Employees: View Customer Service message
	[-] BO : fixed bug #PSFV-616 - SVN #13826 rewriting fatal error
	[-] BO : Fixed bug #PSTEST-937. Add new attributes to the forbidden list and fix the layout during the creation of a new country
	[-] BO : fixed Duplicate entry for key 'full_shop_url' when added new shop url
	[-] BO : fixed #PSTEST-944 & #PSTEST-945 range bugs
	[-] BO : fix image option form not saving
	[-] BO : #PSCFI-4873 : Updated of method for translated modules. Now, you can translate only installed modules
	[-] BO : #PSFV-411 : BugFix - Check module id in checkPaymentCurrencies()
	[-] BO : #PSFV-414 : BugFix - Customers company validation changed to generic name
	[-] BO : #PSFV-425 - Add german translation for the installer
	[-] BO : #PSFV-494 : BugFix - Block top menu now display CMS categories
	[-] BO : #PSFV-566 : BugFix - Add new CMS block
	[-] BO : #PSFV-586 - Fix bug with importeur and img dir creation
	[-] BO : #PSFV-597 : Hide quick access menu if no content
	[-] BO : #PSFV-600 - Fix bug with Controller::addJqueryUI
	[-] BO : #PSFV-610 - AdminTracking lists don't take care of PS_STOCK_MANAGEMENT value
	[-] BO : #PSTEST-400 - Fix bug with button "Save and stay" from AdminAttributesGroups
	[-] BO : #PSTEST-777 : Reset form when action is : save and stay
	[-] BO : #PSTEST-778 : Bug in textures for attributes
	[-] BO : #PSTEST-795 : Display date from and date to filters in list
	[-] BO : #PSTEST-852 - Rename button "Save and stay" to "Save and add" on admin feature form
	[-] BO : #PSTEST-858 - Fix bug with undefined var
	[-] BO : #PSTEST-883 - On changing pagination item number, send the form
	[-] BO : #PSTEST-899 - On the dashboard, change legend line height of "quick links" button
	[-] BO : #PSTEST-914 - On admin contact preselect the default country
	[-] BO : #PSTEST-923 - Add field description
	[-] BO : #PSTEST-924 - Fix bug with \n and some translations

	[-] MO : BugFix : max level-depth is now set to 4 (instead of 3 before, as the new root category has come)

	[-] TR : BugFix : #PSTEST-846 : rename add root category button
	[-] TR : fix bug #PSTEST-893


####################################
#   v1.5.0.7 - 13543 (2012-02-22)  #
####################################

	Added Features:

	[+] classes : New method ->attachProduct($id_product)

	Improved/changed features:

	[*] FO : the free product is now removed from the cart along with the cart rule (where applicable)

	[*] BO : add link to Customer messages in tab order #PSFV-514
	[*] BO : #PSTEST-784 - selected attribute is now visible
	[*] BO : you can now choose the combination of the free product of a cart rule

	[*] Classes : table prefix is no longer required in Db::getInstance()->delete() method

	Fixed bugs:

	[-] Project : #PSCFI-4737 - Add no-cache to header when there are 301 to avoid caching

	[-] FO : ajax cart now display cart rules correctly #PSTEST-724
	[-] FO : #PSCFI-4733 - Pagination creates pages that should not exist (and duplicate content)
	[-] FO : #PSCFI-4762 - When cart contains virtuals products and physicals products, use only physicals to calculate shipping cost
	[-] FO : #PSCFI-4892 : BugFix CMS terms and conditions breadcrumb
	[-] FO : #PSFV-522 - Bug in AddressController with Address Alias
	[-] FO : #PSTEST-768 - Show the category image when there are no descriptions
	[-] FO : #PSTEST-771 - Add description to supplier's product list
	[-] FO : #PSTEST-772 - Add description to manufacturer's product list
	[-] FO : #PSTEST-803 - Change mail links
	[-] FO : #PSTEST-803 - Change mail links

	[-] BO : AdminModules refresh native modules xml list if it's empty
	[-] BO : Bug Fixed #PSTEST-543 - Unable to bulk delete a tax rule
	[-] BO : Bug Fixed #PSTEST-546 - Tax Rules Creation
	[-] BO : Bug Fixed #PSTESTS-672 An error has occured during currency creation
	[-] BO : BugFix : #PSTEST-807 : stay on the form when an error occured
	[-] BO : Customer Service options/sync mailbox not working - #PSFV-539
	[-] BO : Customer Service options/sync mailbox not working - #PSFV-539
	[-] BO : fix bug #PSFV-322 -  Action name in custom controllers is not translated
	[-] BO : fix bug #PSFV-535 - AdminAddress : Redirection if errors on add form
	[-] BO : fix bug #PSTEST-786 - virtual products block does not show
	[-] BO : fixed bug #PSFV-495 - Back-office homepage is not totally translated
	[-] BO : fixed bug #PSFV-501 - Unable to edit a customer in AdminGroups controller
	[-] BO : fixed bug #PSFV-512 - Delivery slip PDFs have the "ITEMS MARKED AS RETURNED" text, but they shouldn't
	[-] BO : #PSFV-492 : BugFix CMS pages & categories
	[-] BO : #PSFV-503 - Fix bug with image generation
	[-] BO : #PSTEST-759 - Images named advertising could be blocked by adblock
	[-] BO : #PSTEST-769 - The default country must be pre-selected on address list
	[-] BO : #PSTEST-775 - Change button cancel, for back to list on the attribute and feature form
	[-] BO : #PSTEST-776 - Fix bug with attribute order change
	[-] BO : #PSTEST-792 : Translation of scenes
	[-] BO : small fixes on AdminCartRules #PSFV-506
	[-] BO : the default country of shop is correctly selected by default in forms with country field #PSTEST-493

	[-] MO : #PSFV-531 - Fix bug on the module Loyalty with pagination links
	[-] MO : #PSFV-532 - Fix bug on the module Loyalty - "points" are not upgrading on changing combination

	[-] WS : Add tax for orders inside order_details api entity
	[-] WS : Fix bug from 1.4 Groups for entity customers API
	[-] WS : Fix bug from 1.4 Groups for entity customers API
	[-] WS : Fixed PSFV-383


####################################
#   v1.5.0.6 - 13367 (2012-02-15)  #
####################################

	Added Features:

	[+] BO : New hooks added (helpers + order history)

	Improved/changed features:

	[*] MO : BlockCMS module 1.5 compliant + translations

	Fixed bugs:

	[-] Installer : set_time_limit is set to infinite then set to 300 seconds... Second one changed.

	[-] FO : If a product is given for free in a cart rule and is already in the cart, the price is subtracted #PSTEST-715
	[-] FO : #PSTEST-722 : Fix bug
	[-] FO : #PSTEST-722 : Fix bug
	[-] FO : #PSTEST-733 - Fix bug with redirection after address creation on multishipping mode
	[-] FO : #PSTEST-742 - Bad ajax return on authentification with unknow email address

	[-] BO : BugFix : #PSFV-497 : Root category in AdminTracking removed
	[-] BO : BugFix : #PSTEST-668 : Shop association for Supplier is now for a shop and not a group shop anymore
	[-] BO : BugFix : #PSTEST-750 : upgrade sql updated (position field added to the category_shop table)
	[-] BO : fix bug #PSFV-421 - bug with redirection after login
	[-] BO : Fix Bug #PSTEST-694 - Replace save button by a "return to dashboard" button
	[-] BO : fix bug #PSTEST-719 - wrong redirection on product page
	[-] BO : fixed small image duplication in carrier listing
	[-] BO : fix #PSTEST-703 - missing datepicker
	[-] BO : fix #PSTEST-718 combinations images not saved
	[-] BO : fix PSTEST-753 - Warning Trying to get property of non-object in view.tpl sur la page commande
	[-] BO : fix Save&Stay not working on combination page
	[-] BO : #PSCFI-4696 - Blocklayered : option "Hide filter values with no product is matching" does'nt work
	[-] BO : #PSCFI-4783 : Corrected some errors and added a field in order fox an export bug of csv
	[-] BO : PSFV-435 : revert changes to tinyMCE formatting tools
	[-] BO : #PSFV-498 - On editing attribute (group) the attribute is dupplicated
	[-] BO : #PSTEST-691 - form.tpl must be placed on the directory helpers/form
	[-] BO : #PSTEST-700 fix attributes value display
	[-] BO : #PSTEST-705 fix scene image upload
	[-] BO : #PSTEST-711 - Don't follow links for all action button from the tab catalog rule

	[-] Classes : #PSTEST-275 #PSFV-304 - Method Module::getPosition() was missing
	[-] Classes : #PSTEST-717 - Fix an infinite loop

	[-] MO : #PSFV-468 - In layered navigation, when you filter on some criteria, the "see the product" for resulting products targets to the regular product URL without filters
	[-] MO : theme installator module does not erase anymore already existing modules #PSFV-476


####################################
#   v1.5.0.5 - 13181 (2012-02-09)  #
####################################

	Added Features:

	[+] BO : Dynamics hooks in helper form

	Improved/changed features:

	[*] BO : #PSFV-474 : added folders override/ for translation
	[*] BO : #PSTEST-381 - Checkbox "Send available products first" must not be present if there is only product "out of stock", or to check states of virtual products
	[*] BO : #PSTEST-624 - On creating group, automaticaly assign the new groups to all carriers
	[*] BO : reduction on a selection of products finalized
	[*] BO : shop restriction added to the cart rules

	[*] WS : Add entity specific_price_rules
	[*] WS : Add entity specific_prices
	[*] WS : Add entity tax_rule_groups
	[*] WS : Add Tax rules entity
	[*] WS : Delete sqlId not used
	[*] WS : Fix entity configurations
	[*] WS : Fix entity translated_configurations
	[*] WS : Fix ObjectModel issue
	[*] WS : Fix, Webservice use definitions property instead of fieldsValidate, fieldsRequired, etc..
	[*] WS : Fix, Webservice use definitions property instead of fieldsValidate, fieldsRequired, etc..
	[*] WS : From 1.4 (PHP as CGI management)

	Fixed bugs:

	[-] FO : BugFix : PSTEST-660 : adding "My address" as a default alias name
	[-] FO : Fixed JS & translations for products specifics prices (quantity discount)
	[-] FO : total to pay on check and bankwire confirmation fixed PSTEST-661

	[-] BO : BugFix : #PSFV-462 : category tree view displayed according to he shop context
	[-] BO : cart rule with attributes filter and reduction on the selection of products fixed
	[-] BO : fixed bug #PSTEST-640 - fixed bug on two float comparison
	[-] BO : fix tinyMCE CSS for list display
	[-] BO : Minor changes in BO translations (CSV import)
	[-] BO : #PSCFI-4790 : deleted "fr/" directory
	[-] BO : #PSTEST-400 - Fix bug with attribute value and "save and stay" (attribute type)
	[-] BO : #PSTEST-618 - Carriers price was not good on order creation
	[-] BO : #PSTEST-627 - Fix bug with bad order by
	[-] BO : #PSTEST-628 - Fix bug with bad order by
	[-] BO : #PSTEST-630 - Fix bug with bad order way
	[-] BO : #PSTEST-637 - Removing a product from ajax-cart don't refresh the cart summary
	[-] BO : #PSTEST-659 - On creating group, table is not prefixed because of a bad parameter to the method DB::insert
	[-] BO : #PSTEST-661 - Fix bug with non-assigned context
	[-] BO : #PSTEST-667 - Fix bug with favicon and stores icon and multishop
	[-] BO : #PSTEST-667 - Fix bug with logo and multishop
	[-] BO : #PSTEST-678 - Fix translations problems with helpers templates
	[-] BO : #PSTEST-680 - Fix translations problems with helpers templates
	[-] BO : #PSTEST-686 - Add Warnings to the admin theme page
	[-] BO : Removed unused JS
	[-] BO : wrong error message was displayed on cart rules deletion PSTEST-644

	[-] MO : Google Sitemap : Duplicate url on combination  + undefined $link

	[-] WS : Fix bug on translated_configurations entity
	[-] WS : Fix xlink

	[-] PDF : Missing translations


####################################
#   v1.5.0.4 - 12938 (2012-02-02)  #
####################################

	Added Features:

	[+] BO : Adding e-mailing module category
	[+] BO : Adding warnings when merchant does not enable the configurations needed to use modules API
	[+] BO : AdminModules Preferences

	Improved/changed features:

	[*] Project : Add possibility to use admin controllers in modules

	[*] Installer : thanks to the old installer/upgrader which is now removed
	[*] Installer : Upgrade script output now have also the version number which the query belongs to
	[*] Installer : version number is defined in install_version.php (instead of init.php)

	[*] FO : Better gesture of product discounts.
	[*] FO : #PSTEST-403 - Improving the render of the shipping option form

	[*] BO : Added category tree to product list
	[*] BO : Adding category management with multishop
	[*] BO : Adding hook on AdminProducts
	[*] BO : add Loading information in back office
	[*] BO : A new method in Employee class has been written "getEmployeesByProfile". it returns an array of employees who has the given profile.
	[*] BO : categories multishop improved
	[*] BO : Each module hooked on displayAdminProductsExtra add a Product Tab
	[*] BO : HelpAccess helper
	[*] BO : HelperForm now handles input type=select with collection
	[*] BO : new dimension added to the product filter in the cart rules
	[*] BO : product page - added all tabs to preloading queue
	[*] BO : #PSTEST-201 - add category creation button on product page
	[*] BO : you can set positions to categories using multishop

	[*] Classes : Db::autoExecute() call are now replaced by Db::insert() or Db::update()
	[*] Classes : fix bug #PSFV-162 - Remove unused variables
	[*] Classes : images.inc.php functions are now all deprecated, use the new class ImageManager instead
	[*] classes : new constant Product::PTYPE_SIMPLE /PTYPE_PACK/PTYPE_VIRTUAL
	[*] classes : new module architecture

	[*] TR : #PSTEST-553 : Replaced can't with cannot

	[*] LO : 1.5 Localization Pack
	[*] LO : Colombia states
	[*] LO : Update tax rate 2012

	Fixed bugs:

	[-] PROJECT : Adding general hook on ObjectModel and AdminController
	[-] Project : fixed rare bug in Tools::displayPrice that occur when the currency is not valid

	[-] Installer : Currency not installed when offline
	[-] Installer : Engine and charset were missing for some tables
	[-] Installer : no more sql or php error when upgrade. ( @todo update_feature_detachable_cache )

	[-] FO : Bug Fixed #PSFV-315 - Incorrect products prices in order history
	[-] FO : BugFix : #PSTEST-190 : adding a link to create an address in the "my-account" page, if a customer hasn't filled any addresses
	[-] FO : fixed an error of assign variable with smarty
	[-] FO : fixed bug while updating customer personal information, the customer couldn't deselect the newsletter checkbox or the optin checkbox
	[-] FO : Fixed #PSCFI-4080 - short descriptions in product-list.tpl are now correctly displayed
	[-] FO : fix #PSFV-348 for ce http page to remain http
	[-] FO : free gift fixed
	[-] FO : #PSFV-227 - Fixed a problem with close div tags never opened
	[-] FO : #PSFV-269 - Fixed bug with displayed price and multishipping on the order history
	[-] FO : #PSFV-272 - Add translation + try to not increase global qty of product on choosing "Ship to multiple addresses"
	[-] FO : #PSTEST-171 - Set a designation shipping method with multiple carriers (carrier1 - carrier2, ...)
	[-] FO : #PSTEST-223 - Fixed css problem
	[-] FO : #PSTEST-400 - Fixed problem with registering attribute value
	[-] FO : #PSTEST-407 - Fixed problem with groups and carrier edition
	[-] FO : #PSTEST-437 - Fixed problem with refreshing carriers options
	[-] FO : uncombinable cart rules are not combinable anymore

	[-] BO : Accounting, fixed bug #PSTEST-508. Translation
	[-] BO : added a "$_POST"
	[-] BO : added the "mailMethod" variable
	[-] BO : Admin Module now use curl and post values for addons API
	[-] BO : AdminModule replacing cURL by file_get_content with POST stream_context
	[-] BO : Bug Fixed #PSTEST-477 - Attribute Generator : Price tax included should be displayed with 2 decimal
	[-] BO : BugFix : PSTEST-196 : Adding a supplier with a photo redirects you to the list and not to the edition of this supplier anymore
	[-] BO : BugFix : #PSTEST-339 ; remove the ID from the confirm popup message when deleting an item
	[-] BO : BugFix : #PSTEST-350 : "tax excluded" moved near the prices in AdminShipping (fees)
	[-] BO : BugFix : #PSTEST-355 : replacing "Groups Attributes and Attributes" by "Attributes and Values"
	[-] BO : BugFix : #PSTEST-416 : display lastname and firstname on the customer delete confirmation popup
	[-] BO : BugFix : #PSTEST-428 : URL Rewriting and JS validation : now able to declare a hyphen
	[-] BO : BugFix : #PSTEST-431 : replacing modules names with translated modules names in AdminAccess
	[-] BO : BugFix : #PSTEST-436 : adding "required" option for zipcode in AdminStores
	[-] BO : BugFix : #PSTEST-470 : calendar is now opening again with datepicker
	[-] BO : BugFix #PSTEST-561 customer creation in fancybox is improved : you cannot select the visitor and guest group as the default group and theses groups are unchecked for the group access
	[-] BO : BugFix : PSTEST-608 Removing the possibility to edit or remove Root category in AdminTrackingController
	[-] BO : delete id_theme in Image Type
	[-] BO : Fix accented char
	[-] BO : fix action add in AdminBackupController
	[-] BO : fix AdminTranslations parsing of helper files
	[-] BO : Fix bug in AdminTranslationsController
	[-] BO : fix bug in themes for AdminShopController
	[-] BO : fix bug on product page when clicking save&stay on prices tab
	[-] BO : fix bug #PSFV-298 - Cannot save supplier specific product price if no reference is set
	[-] BO : fix change maximum character for short description
	[-] BO : fixed bug on Delivery slip generation in AdminDeliverySlip
	[-] BO : fixed bug on Invoice generation in AdminInvoices
	[-] BO : fixed bug on product addition in order page
	[-] BO : fixed bug on product line edition in order page
	[-] BO : fixed bug on sorting feature on AdminOrdersController
	[-] BO : Fixed bug #PSFV-276. Translates work with module tab
	[-] BO : Fixed bug #PSFV-363. The mails are more detailed for the customer
	[-] BO : Fixed bug #PSFV-367 for friendly url using a bad product name.
	[-] BO : Fixed bug #PSTEST-357. Translation changed
	[-] BO : fixed bug #PSTEST-510 - Now, you can't define several times the same order status
	[-] BO : fixed bug which appeared in the customer service when some employees were deleted
	[-] BO : Fixed default values when add new product (available-date & default id group shop)
	[-] BO : Fixed #PSFV-281 : new created tab are now set active by default
	[-] BO : Fixed #PSFV-281 : new created tab are now set active by default, thanks to Oleacorner for the help
	[-] BO : fixed sav display message in hard coded html span #PSTEST-545
	[-] BO : fixed undefined variable in AdminModulesController
	[-] BO : fix JS errors and redirection issues on product page
	[-] BO : Fix on api call for paid module
	[-] BO : fix product page display when saving pack
	[-] BO : fix #PSFV-163
	[-] BO : fix #PSFV-203
	[-] BO : fix #PSFV-260
	[-] BO : fix #PSFV-316
	[-] BO : fix #PSFV-346
	[-] BO : fix #PSFV-347
	[-] BO : fix #PSTEST-134
	[-] BO : fix #PSTEST-134
	[-] BO : fix #PSTEST-239
	[-] BO : fix #PSTEST-281
	[-] BO : fix #PSTEST-321
	[-] BO : fix #PSTEST-322
	[-] BO : fix #PSTEST-323
	[-] BO : fix #PSTEST-352
	[-] BO : fix #PSTEST-385
	[-] BO : fix #PSTEST-385
	[-] BO : fix #PSTEST-388
	[-] BO : fix #PSTEST-388
	[-] BO : fix #PSTEST-392
	[-] BO : fix #PSTEST-393
	[-] BO : fix redirection after product creation
	[-] BO : fix regression on product image upload
	[-] BO : fix small bug for translations
	[-] BO : fix small bug for translations
	[-] BO : Global install/uninstall button disapeared with ajax - Bug fix #PSFV-332
	[-] BO : modified the treatment in order to add specials characters like password in Preferences/Emails
	[-] BO : Module loading ptimization on Payment Admin Controller
	[-] BO : Modules list automatic refresh when BO connect to Addons - Bug fixed #PSTEST-367
	[-] BO : Modules search now works even when filters are enabled
	[-] BO : Modules search works with all modules even when a filter is enabled
	[-] BO : partial use fixed for cart rules
	[-] BO : product page - fix accordions not always being correctly initialized
	[-] BO : #PSCFI-4484 - Add historisation of the order status
	[-] BO : #PSCFI-4580 - Error in shipping Calculation for different zones
	[-] BO : #PSCFI-4664 : Changed back office content-type from text/html to application/xhtml+xml according to the DOCTYPE
	[-] BO : #PSFV-197 - Forced "Delivery number" to be an integer
	[-] BO : #PSFV-207 : fix translation
	[-] BO : #PSFV-221 - Fixed bad ajax return on no manufacturers on the product tab
	[-] BO : #PSFV-262 - Fixed bug "Multishipping order notification totals not correct"
	[-] BO : #PSFV-343 : Group Name can't be empty.
	[-] BO : PSFV-365 - fixed bug
	[-] BO : #PSFV-391 - Country restrictions for payment modules is not effective
	[-] BO : #PSFV-393 : BugFix jquery.fancybox.js was not found
	[-] BO : #PSFV-444 - Change french translation
	[-] BO : #PSFV-491 - Fixed problem with multishipping and summary cart
	[-] BO : #PSFV-491 - Fixed problem with multishipping and summary cart
	[-] BO : #PSTEST-106 : translation
	[-] BO : #PSTEST-198 : translation
	[-] BO : #PSTEST-215 - Fixed translation problems
	[-] BO : #PSTEST-217 - Add a translation
	[-] BO : #PSTEST-219 : fix small bugs and translations
	[-] BO : #PSTEST-241 : We can delete group shops only if the group doesn't have any shops
	[-] BO : #PSTEST-242 : First name & last name order changed in customers edition form
	[-] BO : #PSTEST-243 : update date_add for customer connections
	[-] BO : #PSTEST-248 - ergonomy in Product (pack) edition
	[-] BO : #PSTEST-250 : Fix bug adding manufacturer address
	[-] BO : #PSTEST-253 fix bug added groups
	[-] BO : #PSTEST-263 - Add attribute multilang to Tax class definition
	[-] BO : #PSTEST-273 : fix bug for generate URL
	[-] BO : #PSTEST-285 : translations
	[-] BO : #PSTEST-290 : Update method ajax process to display the correct product's image
	[-] BO : #PSTEST-296 Fixed bug with Pack product autocomplete
	[-] BO : #PSTEST-296 : in the autocomplete, we don't have anymore products that we have already chosen
	[-] BO : #PSTEST-302 : update call javascript file via setMedia()
	[-] BO : #PSTEST-314 : Bug Fixed
	[-] BO : PSTEST-315 : add asterisk
	[-] BO : #PSTEST-316 : Bug fixed : Warnings are not displayed anymore after a wrong configuration mail
	[-] BO : #PSTEST-331 - Fixed problem on creating order from the BO when customer have no addresses
	[-] BO : #PSTEST-335 - Fixed problem with test email
	[-] BO : #PSTEST-353 - Replace french tranlation of "combinaison" by "déclinaison"
	[-] BO : #PSTEST-365 : Description added for the default customer's groups
	[-] BO : #PSTEST-369 - Add translation
	[-] BO : #PSTEST-369 - Durring the category removing, allow to not delete the products
	[-] BO : #PSTEST-375 - Replaced the "addslashes" from the "Attribute generator"
	[-] BO : #PSTEST-377 - On order  creation, if no birthdate, a "null" is shown
	[-] BO : #PSTEST-386 - Fixed problem with filter on the group tab
	[-] BO : #PSTEST38 - #PSTEST39 : translation and small change in attachements.tpl
	[-] BO : #PSTEST-391 - Fixed bad description of the export
	[-] BO : #PSTEST-397 : Groups selection position changed in customers add
	[-] BO : #PSTEST-400 - Change the working of the button "Save and stay" for attributes and features
	[-] BO : #PSTEST-400 - Fixed bug with attribute value we cannot register
	[-] BO : #PSTEST-400 - Fixed problem with adding attribute
	[-] BO : #PSTEST-400 - Fixed problem with adding attribute
	[-] BO : #PSTEST-401 - Bug Fixed in SVN
	[-] BO : #PSTEST-421 - Bug minor Fixed
	[-] BO : #PSTEST-423 : bug fixed
	[-] BO : #PSTEST-425 - Automatically set delivery
	[-] BO : #PSTEST-440 - Fixed problem with search
	[-] BO : #PSTEST-474 : bug fixed
	[-] BO : #PSTEST-475 : bug fixed
	[-] BO : #PSTEST-476 - Fix problem with slashes added before "'"
	[-] BO : #PSTEST-497 - Remove alert payement message when the order is canceled
	[-] BO : #PSTEST-504 : bug fixed
	[-] BO : #PSTEST-516 : bug fixed
	[-] BO : #PSTEST-519 - Change french translation
	[-] BO : #PSTEST-521 - Translations
	[-] BO : #PSTEST-522 : bug fixed, suppression asterisk
	[-] BO : #PSTEST-525 - Fix problem with the page product : field must be reset if there is an errors
	[-] BO : #PSTEST-540 : bug fixed
	[-] BO : #PSTEST-540 : bug fixed
	[-] BO : #PSTEST-560 : bug fixed
	[-] BO : #PSTEST-563 : if a customer clicks outside of the fancybox, he won't loose all the data that were already in the box. To leave the fancybox, the customer must click on the close button
	[-] BO : #PSTEST-572 : bug fixed
	[-] BO : #PSTEST-573
	[-] BO : #PSTEST-575 - Replace a || by a &&
	[-] BO : #PSTEST-579
	[-] BO : #PSTEST-582 - Select default currency on tab tab product > supplier
	[-] BO : #PSTEST-583 - Add translation for the button "Edit this mail templates", and fixed tinyMCE area not shown on mail translation page
	[-] BO : #PSTEST-586 - Bad table name
	[-] BO : #PSTEST-590 - Fix bug with undefined smarty variable "HOOK_EXTRACARRIER_ADDR" + By default use the default country of the shop to calculate shipping cost
	[-] BO : #PSTEST-595 - Fix Bug with image uploading
	[-] BO : #PSTEST-596 - Fix Bug with image uploading
	[-] BO : #PSTEST-597 - Fix Bug with image uploading
	[-] BO : #PSTEST-609
	[-] BO : #PSTEST-613 translation done
	[-] BO : #PSTEST-614 - Fix bug with not selectable carrier in the BO order creation
	[-] BO : #PSTEST-624 - On creating a new carrier, all groups of the group box must be selected
	[-] BO : #PSTEST-80 : add hint box
	[-] BO : #PSTEST-82 : add hint box in AdminAttributeGenerator
	[-] BO : #PSTEST-83 : small changes
	[-] BO : Re-add functionality on AdminController
	[-] BO : small fix
	[-] BO : Template corrected in customers list
	[-] BO : translation for product virtual && image link in AdminProductsController
	[-] BO : Used urlencode() in order to receive the good format password in Preferences/Emails
	[-] BO : User id for Newsletter & Opt-in subscripion corrected
	[-] BO : voucher creation in the order detail fixed

	[-] Classes : all classes and controllers now use their name in static calls instead of self (improve override) #PSFV-376
	[-] Classes : BugFix : Added htaccess ErrorDocument 404 in case rewrite mod is not available
	[-] Classes : fixed bug #PSFV-300 - Bug on Orders
	[-] Classes : fixed bug #PSFV-328 - Round error while editing order in back office
	[-] Classes : fixed bug #PSTEST-549 - Clean useless code
	[-] Classes : fixed bug #PSTEST-550 - Add current_state attribute on Order class
	[-] Classes : fixed noConflict jquery bug //thanks raph
	[-] Classes : #PSCFI-4569 : BugFix : Get module instance by name fixed
	[-] Classes : #PSCFI-4640 : Country name depending on current language (countries restricted to active deliveries)
	[-] Classes : #PSCFI-4688 : Added a base64_encode() for the mail receiver name. Needed for names with accentuated chars
	[-] Classes : #PSFV-150 : BugFix : Configuration class check for NULL values
	[-] classes : #PSFV-375 - missing id_lang in the parent::__construct call
	[-] classes : #PSFV-375 - Reverting
	[-] Classes : #PSTEST-214 : BugFix : TopMenu for shops and groups
	[-] Classes : Undefined index on cities (addresses) corrected

	[-] Core : Improve cacheFS storage
	[-] core : minor fix in Db->escape function to make it compatible to the phpdoc (2nd parameter html_ok is now optional)

	[-] MO : BugFix : PSTEST-185 : categories and customer group permissions fixed
	[-] MO : fixed javascript bug on mouse event
	[-] MO : Fix url for contact page
	[-] MO : MailAlerts module upgraded for PrestaShop 1.5
	[-] MO : #PNM-45 : Changed template text 24/24 with 24/7
	[-] MO : #PSCFI-4440 - Fixed image problem is the blockwishlist and images
	[-] MO : #PSCFI-4462 : Fixed problem with static token
	[-] MO : #PSCFI-4689 - ERROR Module contacts from New themes prestashop
	[-] MO : #PSFV-236 - Fixed little problem with form vars named "ajax"
	[-] MO : #PSTEST-280 - Removed old-way method (deprecated) + fixed problem with cartRules
	[-] MO : #PSTEST-303 - Fixed problems using deprecated methods
	[-] MO : #PSTEST-303 - Send email verification
	[-] MO : #PSTEST-606 - Fix Bug with product description line of ajax cart not removed when the product is removed
	[-] MO : themeinstallator - numerous bugfix / improvements around the new theme system

	[-] PDF : Bug Fixed #PSFV-330 - Shopname not correct on invoice

	[-] TR : BugFix : #PSTEST-398 : Translations added
	[-] TR : BugFix : #PSTEST-459 : spelling correction in translation

	[-] LO : FR

	Deprecated methods:

	[~] Deprecated : OrderHistory::getLastOrderState()


####################################
#   v1.5.0.3 - 11871 (2011-12-28)  #
####################################

	Improved/changed features:

	[*] BO : fields name traduction in french in SpecificPriceRule table

	Fixed bugs:

	[-] FO : if th user doesn't have any account and he's still trying to log in, he will be redirected to the create account form

	[-] BO : #PSFV-173 : indexing when adding a product
	[-] BO : #PSTEST-150 : fix bug in AdminScenes
	[-] BO : #PSTEST-165 : calculate price without or with tax
	[-] BO : #PSTEST-166 : Digits precision on product prices changed
	[-] BO : #PSTEST-180 : BugFix : Insert new attributes in groups
	[-] BO : #PSTEST-181 : change title in AdminAttributesGroupsController
	[-] BO : #PSTEST-197 : bug fixed when a supplier picture is about to be deleted
	[-] BO : #PSTEST-202 : bug fixed, the translation was missing
	[-] BO : #PSTEST-202 : fixed , the problem was from the adminTranslationController, all the fields were not listed in the fields traduction page
	[-] BO : #PSTEST-210 : deleted customers
	[-] BO : #PSTEST-214 : BugFix : Canceled, problem without multishop
	[-] BO : #PSTEST-214 : BugFix : Get content using context shop
	[-] BO : #PSTEST-220 : bug fixed, the fields number that has to be traduct is now correct
	[-] BO : #PSTEST-225 : bug fixed
	[-] BO : #PSTEST-230 : bug fixed
	[-] BO : #PSTEST-230 : bug fixed
	[-] BO : #PSTEST-230 : missing translation
	[-] BO : #PSTEST-232 : Product pictures are now displayed with multishop
	[-] BO : #PSTEST-95 : adding token
	[-] BO : AdminModule now sort modules by alphabetical order
	[-] BO : Attributes can now be deleted in Catalogue : Attributes and Groups
	[-] BO : BugFix : Admin suppliers errors message (add) & Admin attributes add / update fix
	[-] BO : PSTEST-200 : bug fixed : When an administrator made modifications on a customer about the newsletter option or the Opt-in option, customer's addresses were deleted
	[-] BO : Translation updated in products quantities tab
	[-] BO : When we are in module configuration, all modules are not loaded
	[-] BO : add a validation on name of discount in order page
	[-] BO : fixed bug on change currency feature in order page when we have only one currency
	[-] BO : fixed bug on product addition
	[-] BO : fixed bug on updating of document table when adding a product
	[-] BO : retrocompatibility with adminModuleController 1.4 => 1.5. Some modules use $_GET['tab'],
	[-] bo : #PSFV-273 : $max_file_size has been re-added

	[-] Classes : #PSCFI-4523 : modified condition in ModuleGrid.php
	[-] Classes : fixed little bug on getShipping method on Order class


####################################
#   v1.5.0.2 - 11746 (2011-12-23)  #
####################################

	Added Features:

	[+] Project : Add Smarty console options
	[+] Project : Add specific prices to a specific customer
	[+] Project : Added the ability for groups to show or hide prices for their members
	[+] Project : B2B Features
	[+] Project : Possibility to enable or disable tabs

	[+] FO : new theme file for front-office layout.tpl, designers have now more possibilities

	[+] BO : Add a note on invoice
	[+] BO : You can now have UTF-8 URL Rewriting
	[+] BO : on order edition, you can add a discount
	[+] BO : on order edition, you can delete a discount

	[+] MO : homeslider is now replacing editorial in default installation

	Improved/changed features:

	[*] PROJECT : Moving partner module to another repository

	[*] BO : Addons modules are now downloaded and installed at the same time (when you click on install button)
	[*] BO : Improvement invoices management
	[*] BO : Native modules are now downloadable without login on addons
	[*] BO : New category management with multi shop
	[*] BO : Partial refund now handle quantity
	[*] BO : Required fields improved (with a white list)
	[*] BO : no payment is registered on order creation for check and bankwire payment
	[*] BO : optimization of liveEdit system
	[*] BO : you can now affect a zone to multiple countries and to multiple states
	[*] BO : you can now generate manually the invoice

	[*] MO : Vatnumber - a warning is now displayed if the field "Your country" is empty (related #PSCFI-4200)
	[*] MO : mailjet is now in advertising_marketing category (instead of front_office_features)

	[*] PDF : Display Hook
	[*] PDF : Licenses + Hook in templates
	[*] PDF : New hook actionPDFInvoiceRender
	[*] PDF : PDF could now be returned as a string
	[*] PDF : TCPDF Tweak
	[*] PDF : You can now enable diskcache

	Fixed bugs:

	[-] PROJECT : Class Hook cleaned
	[-] PROJECT : Cleaning Class Module
	[-] PROJECT : Fixing register hook retrocompatibility
	[-] PROJECT : Merge cache exec in class Hook (to maintain retrocompatibility)
	[-] PROJECT : Module controller now handle the column display (time to go to MacDo :)
	[-] PROJECT : Modules now handle PrestaShop version compliancy and dependencies check
	[-] PROJECT : Moving xml files to xml directory
	[-] PROJECT : PDF Order Slip now handle partial refund
	[-] PROJECT : Replacing some Context::getContext() by $context in class Hook
	[-] PROJECT : You can now execute hook in the tpl
	[-] PROJECT : isHookableOn function is now retrocompatible with old hook
	[-] Project : fix on template

	[-] Installer : #PSCFI-4383 : BugFix SQL installation script corrected, unique key for specific_price_priority

	[-] FO : #PSCFI-3865 - Block Layered translation issues
	[-] FO : #PSCFI-4421 : bug fixed : error in adressess links update and delete
	[-] FO : #PSTEST-104 : delete button add in AdminCartsController.php
	[-] FO : #PSTEST-54 : price pack
	[-] FO : #PSTEST-72 : delete specific price in product tab
	[-] FO : #PSTEST-74 : change the condition of product if is a virtual product
	[-] FO : #PSTEST-81 : delete tab shipping if is virtual product
	[-] FO : #PSTEST-92 : added display of size fields in attachments.tpl
	[-] FO : #PSTEST-95 : change default combination in AdminProductsController
	[-] FO : Specific price + id_cart
	[-] FO : Unable to checkout
	[-] FO :#PSTEST-145 : fixed a translation bug

	[-] BO : #PSCFI-4393 : Andre Silva UTF-8 comments
	[-] BO : #PSTEST-102: Texte d'une fen?\195?\170tre de message en anglais
	[-] BO : #PSTEST-129 : FO - Erreur lors de l'upload de fichiers personnalis?\195?\169s
	[-] BO : #PSTEST-14 : translations
	[-] BO : #PSTEST-15 : translations
	[-] BO : #PSTEST-18 : smalls improvements
	[-] BO : #PSTEST-22 : Orthographe ?\195?\160 revoir dans combinaisons de la fiche produit
	[-] BO : #PSTEST-24 : BugFix date picker for combinations products (display & date format)
	[-] BO : #PSTEST-31 : update in AdminProductsController : available_date
	[-] BO : #PSTEST-37 : Documents joints - deux boutons redondants
	[-] BO : #PSTEST-52 : update display of pack.tpl
	[-] BO : #PSTEST-53 : fixed added quantities maximal for a pack
	[-] BO : #PSTEST-56 : fixed incorrect request in shop filters
	[-] BO : #PSTEST-70 : Orthographe d?\195?\169fectueuse dans fenetre de confirmation
	[-] BO : #PSTEST-8 : Changed prices.tpl digits precision //last commit omit modification
	[-] BO : #PSTEST-8 : H.T prices precision changed (2 digits instead of 6)
	[-] BO : #PSTEST-8 : Javascript - Rounded prices (2 digits only)
	[-] BO : #PSTEST-84 : Bouton g?\195?\169n?\195?\169rer une d?\195?\169clinaison noy?\195?\169 dans la masse
	[-] BO : Admin Modules now handle simple http request for download (for server which do not handle ssl connection)
	[-] BO : BugFix : Search index re-build
	[-] BO : BugFix : Specific prices select menu template edited
	[-] BO : Bulk action management repaired
	[-] BO : Cannot send test email
	[-] BO : Credit slips now appear in document section
	[-] BO : Filter modules system repaired and now in ajax
	[-] BO : Fix on pagination system
	[-] BO : Incorrect CartRule value
	[-] BO : Missing display methods in AdminGroup
	[-] BO : Now display a question mark when there is no module logo
	[-] BO : Reinitialized H.T prices precision (decimals)
	[-] BO : Upload zip module is repaired
	[-] BO : Warnings are now displayed on Modules Tab
	[-] BO : You can now download native modules even when you logged on Addons
	[-] BO : fixed bug -> product/combination ergonomics
	[-] BO : fixed calculation error on Product addition
	[-] BO : fixed js global conflict for categories tree
	[-] BO : fixed notice error on message addition

	[-] Classes : #PSCFI-3880 : BugFix mbstring overload on Rijndael encrypt-decrypt
	[-] Classes : #PSCFI-4464, #PSCFI-4494 : BugFix : smarty plugin edited, check if function mb_split exists (Ajax, add or delete into/from cart)
	[-] Classes : #PSCFI-4477 : BugFix GSiteMap priority - Decimals no longer take care about local numeric separator
	[-] Classes : fixed notice error on Cart class

	[-] MO : #PSCFI-4015 - layered navigation module on IE7 creates scripterror / empty query
	[-] MO : #PSCFI-4389 : Block Advertising hookHeader added
	[-] MO : #PSTEST-41 : update ProcessAttachment method
	[-] MO : #PSTEST-44 : Category cannot be parent of herself
	[-] MO : CarrierCompare, merge 1.4 => 1.5
	[-] MO : Carriercompare (shipping estimation), merge 1.4 => 1.5
	[-] MO : Mondialrelay, merge 1.4 => 1.5
	[-] MO : Mondialrelay, merge 1.4 => 1.5
	[-] MO : blocksupplier updated hookname
	[-] MO : eKomi (1.3) - fix on warnings (PS 1.5)
	[-] MO : editorial : bugfix on install/uninstall, norm
	[-] MO : homeslider bugfix multishop + add samples

	[-] WS : Fixed norm on WebserviceRequest

	[-] PDF : Can't display invoice due to Collection
	[-] PDF : Logo path


####################################
#   v1.5.0.1 - 10642 (2011-11-24)  #
####################################

	Added Features:

	[+] Project : Vouchers are now replaced by cart rules
	[+] Project : adding Features detachables in order to improve performance

	[+] FO : Messages in order detail are now stored in the Customer Service (SAV)
	[+] FO : add files for combination
	[+] FO : add module-moduleName-pageName ID on body of module pages
	[+] FO : don't send email if there's no file associated to the virtual product
	[+] FO : new method Category::getAllChildren() (the return value is an array, but can evolve to a collection
	[+] FO : you can access to a product combination with its own url (e.g: http://www.myshop.com/index.php?controller=product&id_product=1#disk-space=16go&color=yellow)

	[+] BO : #PSFV-94 - AddonsAccount and AddonsCatalog
	[+] BO : #PSFV-94 - AdminContact is now an AdminController
	[+] BO : #PSFV-94 - AdminLocalization is now an AdminController
	[+] BO : #PSFV-94 - AdminProduct form features
	[+] BO : #PSFV-94 - AdminScenes is now an AdminController
	[+] BO : #PSFV-94 - AdminSubdomains is now a Controller
	[+] BO : #PSFV-94 - AdminThemes is now an AdminController
	[+] BO : #PSFV-94 - AdminWebserviceController
	[+] BO : #PSFV-94 - invalid token is now correctly handled. its uses initCursedPage
	[+] BO : #PSFV-94 - new controller AdminTags, thanks again to Julien Breux \!
	[+] BO : #PSFV-94 : new class AdminNotFoundControllerCore
	[+] BO : #PSFV-94 AdminCounty is integrated to AdminTaxRules, thanks to Franck
	[+] BO : #PSFV-94 AdminCustomerThreads is now a controller
	[+] BO : #PSFV-94 AdminCustomerThreads is now a controller.
	[+] BO : #PSFV-94 AdminGenerator is now a controller
	[+] BO : Add Accounting Management
	[+] BO : Add Multiple Ajax Upload Image on AdminProduct
	[+] BO : Add translations for notifications messages
	[+] BO : Allows to get more details on the notification (customer name, total paid real, etc...)
	[+] BO : Back-office search use now AdminController.php
	[+] BO : CB-30 - Customer receive an email when a voucher is created in BO
	[+] BO : New AdminController system, including smarty backoffice, thanks to Raphael and Thomas
	[+] BO : New module tab interface - #PSFV-94
	[+] BO : Notification autorefresh can be deactivated
	[+] BO : add SQL manager
	[+] BO : add new feature, Order edition
	[+] BO : added action button in autocomplete module list
	[+] BO : added new input type tags
	[+] BO : added ssl option for imap sync in SAV
	[+] BO : adminTab Groups is now a convert to a AdminController
	[+] BO : fixed bug on category tree view
	[+] BO : if json, ajax-layout.tpl can generate json with conf, _errors, warnings, informations and page var
	[+] BO : login and lost password is now in ajax and convert in AdminController
	[+] BO : new backoffice style and icons
	[+] BO : new javascript function doAdminAjax to simplify uses of ajax request (the prototype of this function can evolve before beta)
	[+] BO : new method $link->getAdminLink($controller), to build admin url with token
	[+] BO : new method initToolbar() available in AdminController
	[+] BO : now AdminProducts and AdminCategories are separated from AdminCatalog
	[+] BO : now Back-office has meta-title by controller
	[+] BO : now tiny_mce can be loaded 'onclick' instead of 'onload'
	[+] BO : now you can choose type of attribute group (select , color, radio)
	[+] BO : now you can sync imap mailbox with the Customer Service (SAV)
	[+] BO : you can now set detailed permissions for each module in the back end

	[+] Classes : Helper::renderAdminCategorieTree() have new params "$use_search" to add a input search
	[+] Classes : Helper::renderAdminCategorieTree() now use addJs to include treeView javascript
	[+] Classes : Media::getJqueryPluginPath() - added new parameter $folder
	[+] Classes : added new class Media => It contains all the method related to media like CSS, JS
	[+] Classes : added new method Media::addJquery(), Media::addJqueryUI(), Media::addJqueryPlugin()

	[+] MO : Added HomeSlider
	[+] MO : Adding the favoriteproducts module - Part1
	[+] MO : Adding the favoriteproducts module - Part2
	[+] MO : Update Moneybookers to use the new system to store payment cc details
	[+] MO : Update Ogone to use the new system to store payment cc details
	[+] MO : Update Paypal to use the new system to store payment cc details
	[+] MO : Uptdate module to store payment cc information
	[+] MO : multi-shop allow the removal of a shop if it has no order and no customer

	[+] PDF : TCPDF Library

	Improved/changed features:

	[*] PROJECT : New Module API (part 1)
	[*] Project : Autoload is now able to load classes from /classes or /override subdirectories
	[*] Project : Helper multiple select
	[*] Project : OPC and Guest Checkout are now enabled by default
	[*] Project : ObjectModel die2PrestashopException
	[*] Project : US + CA TaxSystem
	[*] Project : Version 2 of Smarty has been removed for using only version 3

	[*] FO : $currency->prefix and $currency->suffix are now a convenient shortcut for displaying price
	[*] FO : Add gender_type "neutral"
	[*] FO : Create virtual products with no associated file
	[*] FO : Hide the download link and download icon if the virtual product do not have files associated with it
	[*] FO : Hide the download link if the virtual product do not have files associated with it
	[*] FO : Register process enhancement
	[*] FO : Shop cart visible on payment method choice
	[*] FO : Update filename if product has combinations (and files associated to them)
	[*] FO : Update filename if product has combinations (and files associated to them)
	[*] FO : change the download link for files associated to product attributes
	[*] FO : change the download link for files associated to product attributes
	[*] FO : combination link from product page are now the same as the combination link from blocklayered
	[*] FO : display initial price in the cart when a specific price is applied to a product
	[*] FO : get the product attribute id for download link
	[*] FO : improved tab in product page
	[*] FO : when an user is created in one step account creation, he is redirected to the cart if the cart is not empty, or in the my-account page if not.

	[*] BO : #PSFV-94 - // Refactoring AdminAddresses, form.tpl is now extendable
	[*] BO : #PSFV-94 - added AdminAttributeGeneratorController
	[*] BO : #PSFV-94 - added AdminAttributesGroupController
	[*] BO : #PSFV-94 - added AdminBackupController and some changes to AdminController
	[*] BO : #PSFV-94 - added AdminCMSContentController, AdminCMSController, AdminCMSCategoriesController
	[*] BO : #PSFV-94 - added AdminContactsController, fix flags display for option lists
	[*] BO : #PSFV-94 - added AdminCurrencuesController
	[*] BO : #PSFV-94 - added AdminDbController
	[*] BO : #PSFV-94 - added AdminEmailsController
	[*] BO : #PSFV-94 - added AdminGeolocationController, added options.tpl override
	[*] BO : #PSFV-94 - added AdminInvoicesController and missing geolocation template
	[*] BO : #PSFV-94 - added AdminLogsController and changed initX() functions to return their result
	[*] BO : #PSFV-94 - added AdminMetaController
	[*] BO : #PSFV-94 - added AdminModulesPositionsController
	[*] BO : #PSFV-94 - added AdminPPreferencesController
	[*] BO : #PSFV-94 - added AdminPaymentController
	[*] BO : #PSFV-94 - added AdminProfilesController
	[*] BO : #PSFV-94 - added AdminRangePriceController
	[*] BO : #PSFV-94 - added AdminRangeWeightController
	[*] BO : #PSFV-94 - added AdminReferrersController
	[*] BO : #PSFV-94 - added AdminReturnController
	[*] BO : #PSFV-94 - added AdminSearchConfController
	[*] BO : #PSFV-94 - added AdminShippingController
	[*] BO : #PSFV-94 - added AdminSlipController
	[*] BO : #PSFV-94 - added AdminSuppliersController
	[*] BO : #PSFV-94 - added AdminTabsController
	[*] BO : #PSFV-94 - added AdminTaxesController + HelperList improvements
	[*] BO : #PSFV-94 - added AdminTranslationsController
	[*] BO : #PSFV-94 - added AdminZonesController
	[*] BO : #PSFV-94 - adminProducts > informations, toolbar and css (starting new design integration (thanks to vuThe)
	[*] BO : #PSFV-94 - changes to helpers
	[*] BO : #PSFV-94 - changes to helpers
	[*] BO : #PSFV-94 - forms now correctly use admin.js::displayFlags function. attributeLang attribute is deprecated in forms
	[*] BO : #PSFV-94 - improvement on admin css, new icon for toolbar
	[*] BO : #PSFV-94 - more AdminImagesController refactoring
	[*] BO : #PSFV-94 - new controller for AdminOrders
	[*] BO : #PSFV-94 - remove AdminImages.php
	[*] BO : Add Style Multiple Upload
	[*] BO : Add reduction groups in the categories, and bug fix: reduction that is not an integer or a percentage (TD001 - TD002 - TD003)
	[*] BO : Admin Modules now works in Ajax :)
	[*] BO : AdminModules improved performance
	[*] BO : AdminTaxRulesGroup country select size
	[*] BO : Allows to get more details on the notification (customer name, total paid real, etc...)
	[*] BO : Carriers are now sortable by position or price
	[*] BO : Carriers can now be sorted ascending or descending
	[*] BO : Features are now sortable.
	[*] BO : Gender - Allow image resizing
	[*] BO : Modules can now be authorized or not by client group
	[*] BO : New module interface tab now accept logo.png
	[*] BO : New module interface tab now all html is in tpl
	[*] BO : New module interface tab now connected to PrestaShop Addons
	[*] BO : Partial refund - part 3
	[*] BO : Product attributes are now sortable.
	[*] BO : Removed size limit for image upload (BL006, CC136)
	[*] BO : Rights verification for multi-shop
	[*] BO : Rights verification for multi-shop : delete info()
	[*] BO : Shows more details for each notification
	[*] BO : Shows more details for each notification
	[*] BO : Taxes are no longer stored in the order details row
	[*] BO : Taxes are now historized
	[*] BO : Update Translation Error for Multiple Upload
	[*] BO : You have now 3 new default groups. Unidentified group, guest group, and customer group.
	[*] BO : add an available date when product is out of stock
	[*] BO : added right of multi-shop
	[*] BO : carriers are now sortable by position
	[*] BO : change a number of character by short description(BL007)
	[*] BO : change span.hint
	[*] BO : groups attributes are now sortable
	[*] BO : helper/options has now a block "after" to append anything you need
	[*] BO : moved 2 javascript functions to display success or error on AdminAccess are now available everywhere (thanks to Loic)
	[*] BO : now if you click on an AdminProduct sub tab (combinations, prices) already selected, this will reload it.
	[*] BO : optimization Upgrader and Admin Home
	[*] BO : optimized ConfigurationTest class
	[*] BO : product images can now be dragged and dropped to change position (CC021)
	[*] BO : refactoring AdminAccess
	[*] BO : when a group is created, every category are linked to this group

	[*] Classes : addJqueryUI automaticaly add css
	[*] Classes : improve performances of "Feature detachable" feature

	[*] CORE : AddressFormat, Add the possibility to doesn't specify a patternRules (avoid type) and fix empty content
	[*] Core : Specific prices can now be applied to combinations

	[*] MO : Review of the productcomments module - Part1
	[*] MO : Review of the productcomments module - Part2
	[*] MO : Review of the productcomments module - Part3
	[*] MO : SendToAFriend - 1.5 Supported / Pop-in instead of form
	[*] MO : blockcms - Customizable footer
	[*] MO : blocknewsletter : double opt-in
	[*] MO : crossseling - Added hookShopingCart (uses all products in the cart)
	[*] MO : crossseling - the main title now depends on the number of products in the cart
	[*] MO : homeSlider - Added french translation
	[*] MO : homeSlider - Added translations/changed size of URL and removed description from the required fields
	[*] MO : homeSlider/SendToAFriend - Sandrine CSS
	[*] MO : homeSlider: CSS/Button & productComments: CSS
	[*] MO : newsletter : filter on  active only
	[*] MO : productComments - It's now possible to delete comments, beside moderation
	[*] MO : sendToAFriend

	[*] PDF : PDF is now rendered by TCPDF throught HTML template

	[*] LO : CA Taxes
	[*] LO : FR now has a Corse Zone defined

	Fixed bugs:

	[-] PROJECT : Hooks alias are now used in Hook::getIdByName
	[-] Project : Autoload now handle weird syntax (eg. class Product{)
	[-] Project : index file is now regenerated when a class is removed from the override directory

	[-] Installer : Fix country_to_timezone in last step
	[-] Installer : Removed AdminCounty
	[-] Installer : fix demo product insertion
	[-] Installer : fix missing default tax_name in demo products creation
	[-] Installer : missing field in customer_message table

	[-] FO : "It is not safe to rely on the system's timezone ..." due to cookie use before timezone init
	[-] FO : #PSCFI-3680 deleted an extraneous slash for the path of blockstore.css
	[-] FO : Applied the context to the cart in the ParentOrderController::_setDefaultCarrierSelection() method
	[-] FO : BugFix - Ajax error on editing address durring ordering process
	[-] FO : Notice if blocknewsletter has been removed
	[-] FO : Notice undefined tax_rate
	[-] FO : Order history does not display order details
	[-] FO : Removed deprecated function Tax::getProductTaxRate
	[-] FO : TaxRulesTaxManager cache not refreshed
	[-] FO : URL for page "Forgot your password" is not correct
	[-] FO : Undefined method getOutOfStock
	[-] FO : Undefined variable price
	[-] FO : add to cart broken TaxCalculator::getTaxesRate => getTotalRate
	[-] FO : ajax request to send message in order detail now use index.php?controller=order-detail
	[-] FO : fixed bug on Feature detachable with product pack feature
	[-] FO : fixed bug on Manufacturer and Supplier controller, missing variable
	[-] FO : fixed small js error
	[-] FO : not check if context employee exist

	[-] BO : #PSFV-66 - Bad warnings "Currency not set"
	[-] BO : AdminModule Addons Icon now appear in AutoComplete Search
	[-] BO : AdminModules - Fix on GetModulesOnDisk and general ergonomy
	[-] BO : AdminModules fix on Addons Connection
	[-] BO : BugFix - Not possible to save a carrier
	[-] BO : Error JS in TinyMce Plugin
	[-] BO : Fixed bug in __construct() related to context
	[-] BO : John Doe cart's address are incorrect!
	[-] BO : Load customer and cart in AdminOrderController init to fix a bug with CancelProduct
	[-] BO : Missing add one after another type in admintaxrulesgroup
	[-] BO : Partial refund - part 4
	[-] BO : fixed ajax file-upload request
	[-] BO : fixed bug in method displayDate() to the class Tools
	[-] BO : fixed bug with Search:indexation when editing product (id_shop was missing)
	[-] BO : now you can really delete image in BO
	[-] BO : removing the call to the property _listSkipDelete

	[-] Classes : Fixed bug on Feature detachables and Customizations
	[-] Classes : fix bug PSCFI-3367 - incorrect admin rights for created image folders
	[-] Classes : fix dispatcher for FO
	[-] Classes : fixed bug with displayAsDeprecated functions when not called from a class
	[-] Classes : fixed image folders rights
	[-] Classes : fixed small bug on CCC
	[-] Classes : fixed sql error on Combination class

	[-] MO : Duplicate condition
	[-] MO : FavoriteProducts - Fixed link
	[-] MO : FavoriteProducts - now adds/removes correctly products
	[-] MO : Fix potential bug on carts for module Ogone
	[-] MO : Fixed bug PSCFI-3940
	[-] MO : Fixed productsComparison
	[-] MO : HomeSlider
	[-] MO : HomeSlider
	[-] MO : HomeSlider - Added PS_USE_SQL_SLAVE
	[-] MO : Replace ps_ by _DB_PREFIX_
	[-] MO : TNT Carrier (1.1)
	[-] MO : TNT Carrier (1.2)
	[-] MO : Tnt Carrier (1.2.1) - Small fix
	[-] MO : fixed FATAL error on layered navigation module
	[-] MO : productComments - Fixed deprecated function
	[-] MO : productComments - Fixed guest comments
	[-] MO : productComments fixed
	[-] MO : statsnewsletter - SQL error
	[-] MO : stock :  error declaration interface

	[-] WS : Move classes to /webservice

	[-] PDF : TCPDF cache directory is now in PS_CACHE_DIR

	[-] LO : Incorrect tax for Newfoundland
	[-] LO : Undefined field description

	Deprecated methods:

	[~] FO : usage of $customizedDatas var in order-detail.tpl is now deprecated use $product.customizedDatas

	[~] Deprecated : All method related to CCC has been moved in class Media


####################################
#   v1.5.0.0 - 7536 (2011-07-06)  #
####################################

	Added Features:
	
	[+] Project : new feature, multi-shop
	
	[+] FO : add dispatcher


####################################
#   v1.4.5.1 - 9352 (2011-10-14)  #
####################################

	Added Features:

	[+] FO : CC-87 - Possibility to restrict countries in FO by those delivered by active carriers
	[+] FO : add SEO link  on  layer navigation module

	[+] BO : #PSCFI-3094 - now AdminTranslations also check PDF overriding
	[+] BO : Upgrader new function to check prestashop files versions
	[+] BO : added sample csv file for import //thanks to tony ;)

	[+] MO : autoupgrade - Added some infos (changelog, display download link)
	[+] MO : new module autoupgrade, to replace native tab. Standalone version.

	Improved/changed features:

	[*] Project : BugFix #PSCFI-3539 - the Language class now implements 2 new properties : date_format_full and date_format_lite. Date formats are not hard coded anymore!
	[*] Project : Fixed Bug #PSCFI-3100, 'description', and 'short_description' are now processed after the foreach loop.

	[*] Installer : Added missing translated texts
	[*] Installer : Removed the "PRIMARY KEY `name`" on db.sql to have the SQL documention compatibility.
	[*] Installer : Removed the "PRIMARY KEY `name`" on db.sql to have the SQL documention compatibility.
	[*] Installer : Removed the "PRIMARY KEY `name`" on db.sql to have the SQL documention compatibility.
	[*] Installer : Removed the "PRIMARY KEY `name`" on db.sql to have the SQL documention compatibility.
	[*] Installer : gridextjs deprecated module is now moved relatively to _PS_ROOT_DIR_ or _PS_MODULE_DIR_ if exists
	[*] Installer : include, include_once, require replaced by require_once

	[*] FO : #PSCFI-2505 - The title of Categories and Manufacturers pages now includes the page number
	[*] FO : Added a new benefits related to the customer account creation
	[*] FO : Added several tests for the Guest tracking section (e-mail validity, required fields...)
	[*] FO : CC-93 - Review of the compare product system. Remove center tag
	[*] FO : Clean code in class Cart, in shipping calculation
	[*] FO : Improved English wording for the Guest tracking section
	[*] FO : Updated French translations
	[*] FO : layered - update URL SEO pagination

	[*] BO : "Send test mail" now return the error message instead of just telling you that something went wrong
	[*] BO : #PSCFI-2509 - You can know import and update products based on their references
	[*] BO : #PSCFI-2902 - Added url to update currency rates via crontab
	[*] BO : #PSCFI-3098 - Renaming admin folder is false sense of security
	[*] BO : #PSCFI-3098 - Renaming admin folder is false sense of security
	[*] BO : CC-48 - Possibility to delete "pages not found" on the current search period
	[*] BO : Check customized image in AdminCarts->displayCustomizedDatas() - #PSCFI-3572
	[*] BO : Debug is now easier in hook backOfficeTop
	[*] BO : Default product short description max length is now 800 (instead of 400)
	[*] BO : Fixed PSCFI-3223, removed superfluous parameters in links on AdminModules
	[*] BO : Improvment #PSCFI-2796 - It is now possible to set the maximum size of product short description
	[*] BO : Remove warning in robots.txt #PSCFI-2846
	[*] BO : SQL queries
	[*] BO : Updated French translations
	[*] BO : XB-1 - Limitation for the preference "maximum size of attachment files"
	[*] BO : You can now use 8 decimals for the longitude/latitude in the Store locator
	[*] BO : added md5, changelog and desc data in Upgrader class
	[*] BO : it is now possible to move images to the new filesystem when unused demo images are present
	[*] BO : new entity in versions.xml - autoupgrade_module
	[*] BO : now a modules file can be ignored by the AdminTranslations tab if speficied in it
	[*] BO : on loading of modules (AdminModule), we check the memory usage in order to prevent php error message
	[*] BO : quantity highlighted in the order details when greater than 1
	[*] BO : removing tab AdminUpgrade from 1.4.4.0/1.4.4.1, changing to module autoupgrade
	[*] BO : small improvement in Upgrader class
	[*] BO : when adding new AdminTab, cache is now refreshed in Tab::add() method
	[*] BO : you can now search a customer by its IP address in the backend
	[*] BO : you can now search a product by its attribute reference in the backend

	[*] Classes : Use default image quality if no quality setting can be found

	[*] CORE : Updated PEAR XML_Feed_Parser library (v1.0.2 to v1.0.4)
	[*] Core : Now force_compile (Smarty) is set to false by default, even on SVN

	[*] MO : Block layered - Add backward / forward navigation
	[*] MO : Block layered - Add french translation
	[*] MO : Block layered - Add meta title & url personalisation for attributes and features values
	[*] MO : Block layered - Add meta title & url personalisation for attributes groups and features
	[*] MO : Block layered - Hide filters if nothing to select on it.
	[*] MO : Block layered - Prevent Bug when product-count.tpl do not exists
	[*] MO : Block layered - Re-index attributes after saving product - Re-write indexUrl() - Normalization - Add comments
	[*] MO : Block layered - Remode pagination title with "page" and re-use "(2)", because it's not possible to translate easily the word "page" (no $this->l())
	[*] MO : Block layered - Remove unused variable
	[*] MO : BlockLayered - Adding price filter // /!\ Caution : this module is not finalised - some functions are in developpement and do not work
	[*] MO : Blocklayered - Slide to the top of the page on loading new product page
	[*] MO : BugFix #PSCFI-3281 - Hipay now uses the language code instead of the iso code if it is available
	[*] MO : Fix and improvment Module eBay (1.2.4)
	[*] MO : Fix and improvment Module eBay (1.2.5) + modules translations
	[*] MO : Fixed Bug #PSCFI-3074, Writing distinct images product on sitemap (gsitemap)
	[*] MO : Improvment on XML generation Module Treepodia 1.4
	[*] MO : Module Authorize.net (1.2.2) - a warning now appears when cURL is not enabled
	[*] MO : Module UPS (1.2.2), USPS (1.2.1), Fedex (1.2.4), Canada Post (0.5) work with Shipping Estimator module now (Bug Fixed #PSCFI-2976 and #PSCFI-3586)
	[*] MO : Module eBay (1.3) now display warning alert during uninstall + set recyclable and gift to 0 when create a cart
	[*] MO : Module eBay (1.3.1) - optimization and variable description_short available in eBay template
	[*] MO : Module eBay 1.2
	[*] MO : Module eBay 1.2.2
	[*] MO : Module eBay now delete cart when order can not be created (1.2.6)
	[*] MO : Performance improvements for layered navigation module
	[*] MO : Product Comment - Bug on product comparison page // Vars undefined
	[*] MO : Review of the productcomments module - Part1
	[*] MO : autoupgrade -  improved ergonomy, thanks a lot to Samy Rabih (from o2sources.com) for his feedback
	[*] MO : autoupgrade - Improved Upgrader class from module
	[*] MO : mailalerts, add translation for your@mail.com
	[*] MO : mailalerts, add translation for your@mail.com

	[*] PDF : Free text on the invoice

	[*] LO : CA.xml currency's name
	[*] LO : Canada - Currency name + symbol
	[*] LO : Canada taxes

	Fixed bugs:

	[-] PROJECT : Bug #PSCFI-3563 Fixed - currency conversion was not made on product Additionnal Shipping Cost
	[-] PROJECT : Class Tools - Adding default time out in Tools::file_get_content
	[-] PROJECT : Class Validate updated

	[-] Installer : English language is back
	[-] Installer : fixed bug #PSCFI-2958 - Step 4 in installation fails on allow_url_fopen warning
	[-] Installer : fixed position in Tools subtabs

	[-] FO : #PSCFI-2702 - Fixed problem with ajax on ssl page with a domain from non-ssl domain
	[-] FO : #PSCFI-2702 - Fixed problem with ajax on ssl page with a domain from non-ssl domain
	[-] FO : #PSCFI-3000 - SSL enabled redirect loop for admin login V1.4.3
	[-] FO : #PSCFI-3111 - remove literal
	[-] FO : #PSCFI-3184 - Unable to reorder if order contains customized products
	[-] FO : #PSCFI-3201 - Can't install by Vietnam lang
	[-] FO : #PSCFI-3215 - ProductDownload -> delete() function dosn't return value !
	[-] FO : #PSCFI-3218 - The lowest shipping cost carrier is not selected by default
	[-] FO : #PSCFI-PSCFI-3234 - Guest tracking and friendly-url
	[-] FO : Added spaces surrounding the minimal quantity to buy on the product page
	[-] FO : Bug Fixed #PSCFI-3005 - Unitialized variable cart_quantity
	[-] FO : Bug Fixed #PSCFI-3193 - Rounding of product prices on percent discount
	[-] FO : BugFix #PSCFI-2677 - Combinations of products in the Layered navigation block appear as "unavailable"
	[-] FO : BugFix #PSCFI-2790 - Manufacturer page CSS bug in Internet Explorer 6
	[-] FO : BugFix #PSCFI-2790 - Problems with IE6 and manufacturer
	[-] FO : BugFix #PSCFI-2802 - Layered navigation block lock ajax cart adding
	[-] FO : BugFix #PSCFI-2811 - Automatically redirect to Canonical url enable every time evant if "Automatically redirect to Canonical url" is at "no"
	[-] FO : BugFix #PSCFI-2871 - "Notify me when available" should not appear when stock management is disabled
	[-] FO : BugFix #PSCFI-2871 - "Notify me when available" should not appear when stock management is disabled
	[-] FO : BugFix #PSCFI-2961 - On changing iso code, move translation language
	[-] FO : BugFix #PSCFI-2961 - On changing iso code, move translation language
	[-] FO : BugFix #PSCFI-2961 - On changing iso code, move translation language
	[-] FO : BugFix #PSCFI-2993 - mails french language reply_msg.txt is empty
	[-] FO : BugFix #PSCFI-3184 - Unable to reorder if order contains customized products
	[-] FO : BugFix #PSCFI-3231 - Dont ask shipping address if there is only virtual product
	[-] FO : BugFix #PSCFI-3413 - Voucher (Discount) kept while invalid in the order
	[-] FO : BugFix #PSCFI-3438 - Carrier list is not checked after updating shopping cart at OPC
	[-] FO : BugFix #PSCFI-3468 - Bad customizations found in Cart::getProducts
	[-] FO : BugFix PSCFI-3425 - Product override not working as expected
	[-] FO : Deleted an extraneous slash for the path of blockstore.css
	[-] FO : Display tax label turned off for USA
	[-] FO : Fix some code standards
	[-] FO : Fixed #PSCFI-2494 - Now when you logout and are redirected to home page, its no more https.
	[-] FO : Fixed #PSCFI-2791 - Address (Line 2) field is hidden in Instant Checkout
	[-] FO : Fixed #PSCFI-2914 - when a category has a name starting with a number, rewriteRules now works properly
	[-] FO : Fixed #PSCFI-3714 - now pagination is correct when changing default products per page
	[-] FO : Fixed a bug w/ legend on product cover image (product page)
	[-] FO : Fixed bug #PSCFI-2864 - State is hardcoded after country
	[-] FO : Fixed bug #PSCFI-3639 - Pagination error in search.php when called from 404.php
	[-] FO : Fixed bug PSCFI-3125 - Guest Order Tracking not working
	[-] FO : Fixed bug PSCFI-3286 - After order no customer or owner email sent
	[-] FO : Fixed bug PSCFI-3404 - Invalid Token on Address Modify
	[-] FO : Fixed bug PSCFI-3549 - Product attribute desc. were incomplete in order conf. e-mail
	[-] FO : PSCFI-3655 - canonical redirection now only works with GET method, not POST (in order to avoid losing data)
	[-] FO : Proof-reading of English translation (Full)
	[-] FO : Proof-reading of Spanish translation for the Front Office
	[-] FO : added the suffix "Core" to the class name "CompareProduct"
	[-] FO : fix bug
	[-] FO : fix bug where a logged guest who then logs in as a customer had an incorrect cart secure key
	[-] FO : fixed bug #PSCFI-3054 - One page checkout and createAccountTop Hook
	[-] FO : fixed bug #PSCFI-3402 - Bug in order-opc.js
	[-] FO : fixed bug #PSCFI-3476 - Canceling Loading icon after Ajax errors
	[-] FO : fixed bug on live edit when no module on page
	[-] FO : fixed bug where the wrong carrier is selected when refreshing carriers in OPC
	[-] FO : fixed bug with wrong link for guest tracking after making an order as guest
	[-] FO : no more "back" button when the previous page is the same as the current one
	[-] FO : now logo link use Link class in header.tpl
	[-] FO : now order detail controller can be called directly
	[-] FO : removed duplicated rewriterules

	[-] BO : #PSCFI-2642 - HTML format problem in module referral program
	[-] BO : #PSCFI-2902 - Fixed wrong URL
	[-] BO : #PSCFI-2922 - Fixed bugs in GroupReduction. Now, group_reduction and product_group_reduction tables are now populated/cleaned properly (CRUD Products/Category).
	[-] BO : #PSCFI-2922 - Fixed bugs in GroupReduction. Products added in product_group_reduction are now based on the id_default_category. If a group is deleted, tables are now purged correctly.
	[-] BO : #PSCFI-2963 - Fixed 'display_stores'.
	[-] BO : #PSCFI-3022 - If layer navigation module is on, than comparator checkbox is hidden on product list.
	[-] BO : #PSCFI-3022 - If layer navigation module is on, than comparator checkbox is hidden on product list.
	[-] BO : #PSCFI-3034 - Return to home after use link ...en/content/category/1-home (blockcms)
	[-] BO : #PSCFI-3034 - Return to home after use link ...en/content/category/1-home (blockcms)
	[-] BO : #PSCFI-3044 - Search idexing dont work properly
	[-] BO : #PSCFI-3071 - Memcached class bad SQL statement to add a server
	[-] BO : #PSCFI-3129 - No big differences between editable selects and inputs editable
	[-] BO : #PSCFI-3129 - No big differences between editable selects and inputs editable
	[-] BO : #PSCFI-3133 - Remove unused variables
	[-] BO : #PSCFI-3154 - Product comparison regression: "There is no product in the comparator"
	[-] BO : #PSCFI-3163 - Using non-static method as static
	[-] BO : #PSCFI-3166 - Manufacturer ajax error: parsererror
	[-] BO : #PSCFI-3179 - Fixed wrong cast for coordinates
	[-] BO : #PSCFI-3198 - Limit check theme to directory (avoid .htaccess/preview.jpg)
	[-] BO : #PSCFI-3362 - coding style/security
	[-] BO : #PSCFI-3362 - fixed wrong coding style
	[-] BO : #PSCFI-3362 - level_depth is now correctly updated
	[-] BO : #PSCFI-3389 - Change NOW() by date('Y-M-d H:i:s')
	[-] BO : AdminUpgrade now checks if function apache_get_modules exists.
	[-] BO : AdminUpgrade small fix
	[-] BO : Bug Fixed #PSCFI-3453 - States of one country in different zone = unable to save tax rules
	[-] BO : Bug Fixed #PSCFI-3652 - Can't set specific priority
	[-] BO : BugFix #PSCFI-2802 - Layered navigation block does not appear on front office
	[-] BO : BugFix #PSCFI-2863 - Update provider by import csv can flush the existing data
	[-] BO : BugFix #PSCFI-2863 - Update provider by import csv can flush the existing data
	[-] BO : BugFix #PSCFI-2863 - Update provider by import csv can flush the existing data
	[-] BO : BugFix #PSCFI-2863 - Update provider by import csv can flush the existing data
	[-] BO : BugFix #PSCFI-2877 - Wrong text in admin/tabs/AdminImport.php
	[-] BO : BugFix #PSCFI-2877 - Wrong text in admin/tabs/AdminImport.php
	[-] BO : BugFix #PSCFI-2892 - Problems with htmlentities and currency
	[-] BO : BugFix #PSCFI-2893 - Product::getProductsProperties must check input value to avoid warnings.
	[-] BO : BugFix #PSCFI-2898 + #PSCFI-2872 - Problem in a CSS
	[-] BO : BugFix #PSCFI-2898 - Send to a friend, remove unuseful code
	[-] BO : BugFix #PSCFI-2936 - Can't filter to installed modules to configure mailalert
	[-] BO : BugFix #PSCFI-3029 - AdminAddresses
	[-] BO : BugFix #PSCFI-3618 - Wrong default group for the cusomers with default group = deleted group
	[-] BO : BugFix - JS selectedCat not defined in category tree
	[-] BO : BugFix - remove an undefinned function
	[-] BO : Bugfix #PSCFI-2438 - On using ajax, we never redirect to an other URL
	[-] BO : Bugfix #PSCFI-2821 - Remove a french sentence
	[-] BO : Bugfix #PSCFI-2826 - Paypal template missing code
	[-] BO : Bugfix #PSCFI-2838 - Problem with friendly URL
	[-] BO : Check if js is present
	[-] BO : Counties - Fixed broken Query (County filter)
	[-] BO : Deleted some debug related to "mailalerts" module in the "Modules" tab
	[-] BO : Fixed #PSCFI-2501 - now missing spaces between parameters is not so important anymore when parsing files for translations
	[-] BO : Fixed #PSCFI-2805 - Searching by name on AdminStore panel generate SQL error
	[-] BO : Fixed #PSCFI-3030
	[-] BO : Fixed #PSCFI-3439 - eval() call, thanks a lot to Alexandre Segura for this fix/improvement
	[-] BO : Fixed Bug #PSCFI-3013, Add the upgrader permission line on sql installation script and remove warning on Employes tab if a permission does not exist.
	[-] BO : Fixed a bug related to cart customized products in AdminCarts.php
	[-] BO : Fixed bug #PSCFI-2809 - Typo in mails
	[-] BO : Fixed bug #PSCFI-2822 - Submenu display problem when too many tabs
	[-] BO : Fixed bug #PSCFI-2875 - Parenthesis missing
	[-] BO : Fixed bug #PSCFI-3565 - Error "Bad size" while deleting an acessory from the product tab
	[-] BO : Fixed bug #PSCFI-3592 - Forbid to disable the default carrier
	[-] BO : Fixed bug PSCFI-2807 - Missing Log_alert e-mail templates in translations export
	[-] BO : Fixed bug PSCFI-3378 - Kiribati island isn't located in Europe
	[-] BO : Fixed bug PSCFI-3547 - Fatal Error on AdminOrder sorting (on "date_add" key)
	[-] BO : Fixed bug PSCFI-3658 - Can't delete store image
	[-] BO : Fixed bug when duplicating products
	[-] BO : Fixed bugs in AdminTranslations : regex for subjectMail, correct error message
	[-] BO : Fixed some code standards
	[-] BO : Import - #PSCFI-2766 : Fixed wrong productCategories
	[-] BO : Product Downloadable - Not possible to save a product downloadable if no expiration date
	[-] BO : Proof-reading of English translation (from AdminAccess.php to AdminImages.php)
	[-] BO : Proof-reading of English translation (from AdminImages.php to AdminInvoices.php)
	[-] BO : Proof-reading of English translation (from AdminInvoices.php to the last file)
	[-] BO : Proof-reading of Spanish translation for the Back Office
	[-] BO : bug fix: Group Reduction in category that is not an integer or a percentage
	[-] BO : error message "The following module(s) were not installed successfully" can now be translated
	[-] BO : fix bug #PSCFI-2814 - If we add a new product in "this category" ==> result always Home in product
	[-] BO : fix issue on attribute names with \n and \r characters
	[-] BO : fixed bug #PSCFI-1935 - Function Category::getCategories stop respond in shop with many categories (100k and more)
	[-] BO : fixed bug #PSCFI-2933 - Searchcron don't work like it should.
	[-] BO : fixed bug #PSCFI-2967 - /lang-en/ instead of /en/ in robots.txt file
	[-] BO : fixed bug #PSCFI-3009 - If we add a new subcategory in "this category" ==> result always in Home and not in "this category"
	[-] BO : fixed bug #PSCFI-3491 - Import combinations with images: duplicate images
	[-] BO : fixed bug #PSCFI-3566 - When space in url of image, im,age will not appear via csv import.
	[-] BO : fixed bug #PSCFI-3577 - The categorie tree is not displayed correctly
	[-] BO : fixed bug #PSCFI-3581 - Welcome video in back-office keeps appearing
	[-] BO : fixed bug #PSCFI-3704 - Post install delete *.txt files prompt is unnecessary
	[-] BO : fixed bug #PSCFI-3704 - Post install delete *.txt files prompt is unnecessary //bis
	[-] BO : fixed bug #PSCFI-3712 - Order history cache shared between orders
	[-] BO : fixed bug #PSCFI-3728 - Module ImporterOsc - importing product combination
	[-] BO : fixed bug on adminAttributesGroups, now you can delete texture
	[-] BO : fixed bug on creation of address
	[-] BO : fixed bug when add new root category, id_parent was not home
	[-] BO : fixed little issue in treeview for categories
	[-] BO : if db is corrupted in tab.position, new Tab object will have a correct position
	[-] BO : modules_list.xml is now uploaded by ajax, back-office will not be slowed by this external call
	[-] BO : product indexation does not exhaust memory anymore when you have a (really) big catalog
	[-] BO : removed fsockopen(www.prestashop.com) before the button "add module from addons"

	[-] Classes : fix bug #PSCFI-3294 - storing accented words in search index cause problems => store words without accents
	[-] Classes : fixed bug #PSCFI-2934 - wrong description for all languages when using a voucher and creating a new one + missing infos on customer e-mail.
	[-] Classes : fixed bug #PSCFI-3123 - Possible SQL error in Product::idIsOnCategoryId
	[-] Classes : fixed bug #PSCFI-3162 - Not all previous data was deleted when importing combinations.
	[-] Classes : fixed bug in ObjectModel when instanciate new object with incorrect id_lang
	[-] Classes : replace define for getCarriers filter by const var in Carrier class
	[-] Classes : update error message

	[-] Core : Added "@" to stream_context_create() calls to prevent from PHP notices
	[-] Core : Added missing text templates for 4 e-mails in Spanish
	[-] Core : Fixed bug #PSCFI-3638 - New tax rate in Italy (21% instead of 20%)
	[-] Core : Fixed bug - You can now use 6 decimals for your shipping cost instead of 2
	[-] Core : Fixed bug PSCFI-3447 - Out of stock status was applied even if stock management was disabled
	[-] Core : Fixed bug PSCFI-3480 - Error w/ cache if permissions are not valid
	[-] Core : Fixed bug PSCFI-3503 - Sometimes HTTP_HOST was empty
	[-] Core : Fixed bug PSCFI-3538 - PNG logo was rejected for Invoices
	[-] Core : Fixed bug PSCFI-3605 - Deleted dead code in Search.php
	[-] Core : Proof-reading of English translation for Errors and E-mails subjects
	[-] Core : Proof-reading of Spanish translation for the Errors

	[-] MO : #PSCFI-2973 - Fixed wrong emailType in bestCustomer()
	[-] MO : #PSCFI-2976 - ShippingEstimation (carriercompare) Error messages are more explicit
	[-] MO : #PSCFI-3025 - 'Powered By' option is now saved correctly
	[-] MO : #PSCFI-3039 - Birthdaypresent coupons id_currency are now set to id_default_currency
	[-] MO : #PSCFI-3067 - Fixed number of friends sponsored
	[-] MO : #PSCFI-3067 Fixed line break missing
	[-] MO : #PSCFI-3244 Ogone, Add and update configuration screenshots
	[-] MO : Authorize.net (1.2.1) and Treepodia (1.6.1) - retrocompatibility issue with PrestaShop 1.4.4 or less
	[-] MO : AutoUpgrade - Disallow upgrade if "Autoupgrade allowed" is false
	[-] MO : Block layered - Add where clause in "features" SQL request to filter by id_feature
	[-] MO : Block layered - Bug JS when ajaxCart is disable
	[-] MO : Block layered - Bug in pagination
	[-] MO : Block layered - Bug with filter attribute
	[-] MO : Block layered - BugFix : Be sure there is no other conditions than the three defined
	[-] MO : Block layered - BugFix : Table *_lang must be renamed without this prefix
	[-] MO : Block layered - BugFix filter remove link do not work
	[-] MO : Block layered - BugFix with navigation history
	[-] MO : Block layered - BugFix with pagination and title
	[-] MO : Block layered - Clean js url (anchor)
	[-] MO : Block layered - Duplicate "UL" on ajax reloading
	[-] MO : Block layered - Installation failed with big amount of products (duplicate key problem)
	[-] MO : Block layered - Installation with version under PS 1.4.5 musn't work
	[-] MO : Block layered - Lock indexation durring instalation process if too many products
	[-] MO : Block layered - Protect JS string by add slashes
	[-] MO : Block layered - add addslashes and fix error javascript
	[-] MO : Blocklayered - BugFix -  Category tree
	[-] MO : Blocklayered - FixBug with filter active
	[-] MO : Blocklayered: Fix some problem with price and tax
	[-] MO : Bug Fix #PSCFI-3213 - CashOnDelivery - retrocompatibility PrestaShop 1.4.3 or less
	[-] MO : Bug Fixed #PSCFI-3193 in productscategory: Rounding of product prices not correct with reduction percent
	[-] MO : Bug fixed #PSCFI-2291 - eBay fix on hook new order
	[-] MO : Bug fixed #PSCFI-2804, Authorize.net test mode has been repaired
	[-] MO : Bug fixed #PSCFI-2920 - USPS, UPS, Fedex and Canada Post, minimal weight
	[-] MO : Bug fixed #PSCFI-3001 and #PSCFI-3002, PayPal refund has been fixed
	[-] MO : Bug fixed #PSCFI-3479 - UPS Module (1.2.1)
	[-] MO : Bug fixed on PayPal (rounding issue with tax system)
	[-] MO : Bug fixed on fedex (1.2.2) - module was not returning any carrier when there was a soap exception
	[-] MO : Bug fixed on fedex (1.2.3) - module was not returning any carrier when there was a fedex warning
	[-] MO : BugFix #PSCFI-2898 - SentoaFriend module doesn't translate its text changing the flags from FO
	[-] MO : BugFix #PSCFI-2909 - CSS attribute repeated twice
	[-] MO : BugFix #PSCFI-3694 - Blocklayered: issue after modifying a filter
	[-] MO : BugFix Block Layered navigation - Template BO category selector
	[-] MO : BugFix in module blocklayered - Bug with feature count
	[-] MO : BugFix in module blocklayered - Problemes with filters
	[-] MO : BugFix in module blocklayered - add "no products" warning, don't show block layered if there is no filters to show
	[-] MO : CashTicket, Fix an included tpl file
	[-] MO : CashTicket. configuration verify if an existing certficate exist and add error messages
	[-] MO : Dibs - Add french subscribtion link
	[-] MO : Dibs - retrocompatibility PrestaShop 1.4.3 or less
	[-] MO : First fix of block layered
	[-] MO : Fix CashTicket, Authorize.net, Ogone, PaySafeCard and Gcheckout - retrocompatibility PrestaShop 1.4.3 or less
	[-] MO : Fix Module PayPal - Preactivation warning is now retrieved in AdminHome
	[-] MO : Fix Module Paypal (1.8.2) for invalid order state error
	[-] MO : Fix Module USPS (1.2) #PSCFI-3189 + Some ergonomy improvments, thx to Jeff :)
	[-] MO : Fix Module eBay (1.2.8) : get attribute details when import and order
	[-] MO : Fix Module eBay (1.2.9) : sometimes eBay send back name longer than 32 char
	[-] MO : Fix Module eBay 1.2 (retro compatibility)
	[-] MO : Fix Module eBay 1.2 - Module can now retrieve order details by sku or custom label
	[-] MO : Fix Module eBay 1.2 - Now handle case where there is no quantity available when importing orders
	[-] MO : Fix Module eBay 1.2 - Now remove from eBay product when quantity is 0
	[-] MO : Fix Mondial Relay - retrocompatibility Smarty 2 (Thx Theo ;)
	[-] MO : Fix MoneyBookers - retrocompatibility PrestaShop 1.4.3 or less
	[-] MO : Fix PaySafeCard - Fatal error, wrong class called
	[-] MO : Fix Treepodia for retrocompatibility PrestaShop 1.3
	[-] MO : Fix a SQL syntaxe error (missing "`" at the end of table name).
	[-] MO : Fix installer (preactivation country)
	[-] MO : Fix on Module Fedex (1.2)
	[-] MO : Fix on Module Trusted Shop (1.3.1)
	[-] MO : Fix on module PayPal (2.8.1) - Shop logo was not sent to PayPal Integration Evolution
	[-] MO : Fix on module eBay (1.2.3)
	[-] MO : Fix on module eKomi (1.1) - Display flag was always setting to off in back office
	[-] MO : Fix potential bug on carts for module Ogone
	[-] MO : Fix style issue for personalized theme
	[-] MO : Fix style issue mondialrelay
	[-] MO : Fixed a PHP comment typo / include missing (Layered navigation module)
	[-] MO : Fixed bug #PSCFI-2849 - Subject Line Mailalerts new_order email is not translated
	[-] MO : Fixed bug #PSCFI-2996 - Update list of online visitors works (statslive).
	[-] MO : Fixed bug #PSCFI-3620 - Incorrect voucher e-mail to sponsored for %
	[-] MO : Fixed bug PSCFI-2899 - {rating_url} was missing in German e-mail template
	[-] MO : Fixed bug PSCFI-3210 - Fatal error (Order -> conversion_rate is empty) during OsC import
	[-] MO : Fixed bug PSCFI-3416 - Fatal error in blockrss module when rss feed is malformed
	[-] MO : Fixed bug PSCFI-3449 - Replaced PAYPAL_MODE_DEBUG by PAYPAL_DEBUG_MODE
	[-] MO : Fixed bug PSCFI-3532 - Send To Friend module - Issues w/ product name
	[-] MO : Fixed bug PSCFI-3580 - The bookmark link wasn't displayed in Google Chrome
	[-] MO : Fixed code standards on layered navigation module
	[-] MO : Fixed several bugs and code standards on the layered navigation module
	[-] MO : Fixed several bugs on the layered navigation module
	[-] MO : Module Moneybookers (1.6.1) - Small fixes
	[-] MO : Module Shipping Estimator (1.1) : Bug Fixed #PSCFI-3586
	[-] MO : Module eBay (1.3.1) - fix on PS 1.3 (problem with pictures and server cache)
	[-] MO : Module fedex has been fixed (beta link was in the wsdl)
	[-] MO : MondialRelay : Fix the display of the fetched relay points
	[-] MO : MondialRelay : Recode of the checkout Process
	[-] MO : MondialRelay, Fix accent problem during the checkout process and add translation
	[-] MO : MondialRelay, Fix bqSQL compatibility
	[-] MO : MondialRelay, Fix bug when changing information about a shipping, Fix French translation
	[-] MO : MondialRelay, Fix phone validation and language destination during the generating tickers process
	[-] MO : MondialRelay, Fix unselected relay point for the checkout process
	[-] MO : MondialRelay, Handle error when address is incorrect durint the fetched relay point process. Review config style.
	[-] MO : MondialRelay, add comment to a better understanding of the ('body').prepend
	[-] MO : MondialRelay, delete console.log :)
	[-] MO : MondialRelay, rewrite code for PrestaShop 1.3 to keep compatibility using jQuery
	[-] MO : MondialRelay, skip the zipcode checking when the format isn't set
	[-] MO : Mondialrelay, Fix an added Gmap element into a undeclared id block for some PrestaShop version.
	[-] MO : Mondialrelay, add translation fields
	[-] MO : Mondialrelay, fix missing iconv function
	[-] MO : Moneybookers, text and url into the config
	[-] MO : Ogone fix - class_exists with autoload was making trouble on PrestaShop.1.3
	[-] MO : PaySafeCard, Fix conflict with PrepaidServices when cashticket is loaded too, add new errors message and configuration remember correctly the configuration set by an user
	[-] MO : PaysafeCard, hide password
	[-] MO : Prevent from a PHP warning in productcomments
	[-] MO : Remove Tm4b module
	[-] MO : Retrocompatibility 1.3 on modules keeping security check
	[-] MO : Treepodia, retrocompatibility to PrestaShop 1.3
	[-] MO : autoupgrade - Fixed #PSCFI-3702 - english expressions fix
	[-] MO : autoupgrade - fixed bug when restoring, thanks to Broceliande
	[-] MO : autoupgrade : Fixed bug when upgrading database. Thanks a lots to Atch and Nommam- for betatesting
	[-] MO : blocklanguages - Fixed method call
	[-] MO : eBay (1.2.1) fix - module was making duplicate order and address customer
	[-] MO : fix autoupgrade install when 1.4.4.0
	[-] MO : fix issue on followup module, subjects of mail are not translated
	[-] MO : fixed bug #PSCFI-2940 - Oscommerce import - TECHNICAL ERROR Details: Fatal error (Customer -> passwd =
	[-] MO : fixed bug #PSCFI-2997 - duplicates manufacturers when delete is checked
	[-] MO : fixed bug #PSCFI-3090 - in gsitemap.xml, product lines are duplicated
	[-] MO : fixed bug #PSCFI-3253 - Cannot set time limit in safe mode in themeinstallator.php
	[-] MO : fixed bug #PSCFI-3255 - productscategory generates link to product with ID=0
	[-] MO : fixed bug #PSCFI-3300 - So colissimo : when customer change delivery mode
	[-] MO : fixed bug with module dateofdelivery not taking into account additional time for out of stock products
	[-] MO : fixed extra if/else condition in editorial module, thanks to Atch
	[-] MO : fixed gift bug when socolissimo is selected
	[-] MO : fixed small bug in shopImport
	[-] MO : moneybookers remove an incorrect char in a sentence
	[-] MO : referralProgram - Fixed 'undefined offsets' because of selected of languages
	[-] MO : shopimporter :  patch to correct a mistake naming column in the database
	[-] MO : shopimporter : fix error encodage
	[-] MO : shopimpoter fix bug currency
	[-] MO : socolissimo is now compatible with One page checkout
	[-] MO : statssearch couldn't save searches anymore (mysql syntax error)
	[-] MO : unused variable removed in google analytics module

	[-] WS : Fixed PSCFI-3393
	[-] WS : Fixed bug PSCFI-3506 - id_employee was missing in setCurrentState() method

	[-] PDF : Bug Fixed #PSCFI-2208 - Incorrect PDF for not taxed groups
	[-] PDF : Bug Fixed #PSCFI-3124 - Wrong details on order slip
	[-] PDF : Bug Fixed #PSCFI-3254 - US States abreviations are incorrect
	[-] PDF : Free text utf8ized

	[-] TR : Typo on "United States"

	[-] LO : UK taxe not associated to UK tax rules (related to #PSCFI-3266 & #PSCFI-3164)


####################################
#   v1.4.4.1 - NONE (2011-08-25)  #
####################################

	Fixed bugs:

	[-] Security: security fix on AdminHome file
	
####################################
#   v1.4.4.0 - 7803 (2011-07-28)  #
####################################

	Added Features:

	[+] Project : adding RTL language management

	[+] BO : new class Upgrader to check PrestaShop version or download last version.
	[+] BO : new file ajax-tab.php, you can now make request without ajax.php and handle them directly in the appropriate AdminXXX
	[+] BO : new tab AdminUpgrade can now automatize the upgrade process. Thanks a lot to Broceliande/Eric Dolou for his great help

	[+] CORE : Add the possibility to personalize an address layout with special chars.

	[+] MO : A better view of the currency used by the module.
	[+] MO : Fetch content use more than one method (CURL, fopen, fsockopen and file_get_content)
	[+] MO : Moneybookers, Add the possibility to display the logo in the front Office (works with live edit).
	[+] MO : New Module - Canada Post (0.1)
	[+] MO : new module dedicated to german users which enable you to display legal notice on the customer account creation

	Improved/changed features:

	[*] Installer : improve installer template
	[*] Installer : now class ConfigurationTest is located in classes directory and renamed to ConfigurationTestCore
	[*] Installer : now method tryToConnect don't use an existing ressource except if specified
	[*] Installer : php directory is now directly related to INSTALL_DIR

	[*] FO : #PSCFI-2691 - Adding index.php file for redirection
	[*] FO : CC-24 - Adding previous button for the address creation
	[*] FO : CC-32 - Adding a checkbox for the displaying of "Powered by PS"
	[*] FO : CC-93 - Review of the compare product system
	[*] FO : CC-93 - Review of the compare product system. Adding CompareProduct class
	[*] FO : Change the id "passwd" by "login_passwd" to avoid ambiguous id in OPC ordering (with guest authorization).
	[*] FO : Fixed #PSCFI-2176 - now you can use vars in your mail subject
	[*] FO : Update the jquery.cluetip.js library. From V0.9.9 to V1.1.3

	[*] BO : Add option to disable apache option multiviews. Linked with #PSCFI-2597
	[*] BO : Added check for safe_mode before activating new image system
	[*] BO : Added compatibility check before moving images to the new filesystem
	[*] BO : AdminTab childs can now handle ajax request like index.php (with tab and token params) using specific method ajaxProcess
	[*] BO : Bug Fixed #PSCFI-2282 - Shipping Prices Range with a tax excluded group
	[*] BO : CC-108 - Remove informations about stocks in AdminProducts when the stock management is disabled
	[*] BO : CC-26 - Adding German and Italian translations
	[*] BO : CC-26 - Rename Alias Tab as Alias Research
	[*] BO : CC-50 - Increasing the size of the description area
	[*] BO : CC-99 - Better visibility for the delete module button
	[*] BO : FA-35 - Changing manufacturer translation in French for the BO. Replaced "fabricant" by "marque"
	[*] BO : FA-35 - Changing manufacturer translation in French for the BO. Replaced "fabricant" by "marque"
	[*] BO : Fixed bug PSCFI-2416 - The whole search index is not rewritten when you update a single product
	[*] BO : It is now possible to edit the field date_add with AdminImport
	[*] BO : Upgrader class now also check if autoupgrade is indicated for the last version, from http://www.prestashop.com/xml/version.xml
	[*] BO : added alert if attachment is bind to a product
	[*] BO : backup directory is now a static definition in Backup class
	[*] BO : improve CSV import when no csv file is available
	[*] BO : improve category listing in product edition and loyalty module
	[*] BO : improved Upgrader to check ps version
	[*] BO : improved backup class
	[*] BO : refactoring #PSCFI-2458 - AdminCarrier when Zone disabled & overcomplex processing ( Carrier )
	[*] BO : the new image filesystem is now entirely deactivated when the legacy setting is activated

	[*] Classes : improvement #PSCFI-2278 - Don't die in Mail::send() method
	[*] Classes : improvement #PSCFI-2278 - refactoring
	[*] Classes : improvement #PSCFI-2440 - Tools class improvements

	[*] MO : Adding traduction for blockcms
	[*] MO : New Admin Panel for "Layered Navigation" module, "Build your own template" feature!
	[*] MO : Now use the variable Calcul_mode in the hash of the cache
	[*] MO : Numerous bugs fixed for the "Layered Navigation" module
	[*] MO : Numerous bugs fixed for the "Layered Navigation" module
	[*] MO : Translations and changes on TrustedShop module
	[*] MO : Translations and changes on TrustedShop module (part 2)
	[*] MO : Upgrade on the UPS module (from enigma32, thx to him :)
	[*] MO : Upgrade on the USPS module (from enigma32, thx to him :)
	[*] MO : Upgrade on the fedex module (from enigma32, thx to him :)
	[*] MO : stats live performance improvment - PSCFI-2080
	[*] MO : you can now hook blockpermanentlinks on the footer

	[*] WS : Add new feature for date_add/date_upd, PSCFI-2380
	[*] WS : Allow to change Webservice permission behavior

	Fixed bugs:

	[-] PROJECT : Fix template mail for new layout system

	[-] INSTALLER : CSS Preactivation
	[-] Installer : Remove a bad space
	[-] Installer : fix error about version number (1.4.3.0 included when current version is 1.4.3)
	[-] Installer : fixed Tools::checkDb method when class Validate, DD or MySQL are already loaded
	[-] Installer : fixed a bug in add_missing_rewrite_value.php
	[-] Installer : log is now working correctly

	[-] FO : Bug Fixed #PSCFI-2520 - Attribute EcoTax not correctly applied
	[-] FO : Bug Fixed #PSCFI-2725 Incorrect VAT address
	[-] FO : Bug Fixed #PSCFI-2734 - Quantity prices not displayed correctly when changing currency
	[-] FO : BugFix #36138 - Problem with product preview and url rewrite
	[-] FO : BugFix #PSCFI-2382 - Reductions without end dates are not possible
	[-] FO : BugFix #PSCFI-2382 - Reductions without end dates are not possible
	[-] FO : BugFix #PSCFI-2386 - Invalid argument supplied for foreach()
	[-] FO : BugFix #PSCFI-2402 - Product::getDefaultAttribute is wrong when all attributes quantity less than minimumQuantity
	[-] FO : BugFix #PSCFI-2487 - Save and preview shows blank page if CCC is enabled
	[-] FO : BugFix #PSCFI-2498 - Problems with .htaccess
	[-] FO : BugFix #PSCFI-2537 - RMA not opening/showing content
	[-] FO : BugFix #PSCFI-2537 - RMA not opening/showing content
	[-] FO : Fix product sort for Smarty 2
	[-] FO : Fix undefined json variable in opc when an user select a product and want to be identified.
	[-] FO : Fixed #PSCFI-2144 - wrong url params, ? instead of &
	[-] FO : Fixed Bug #PSCFI-2726, Display properly the text depending of the recyclable preference option.
	[-] FO : Fixed bug #PSCFI-2003 - "Next" button is hidden in scenes slider on FO
	[-] FO : Fixed bug #PSCFI-2099. Country and state are properly displayed when another invoice address is selected
	[-] FO : Fixed bug #PSCFI-2316 - there was a notice when you added a product without image to your cart
	[-] FO : Fixed bug #PSCFI-2393 - After copying language files forwards to frontend with error msg
	[-] FO : Fixed bug #PSCFI-2417, The compatibility with recent theme under older Prestashop version (< 1.4.2) works.
	[-] FO : Fixed bug #PSCFI-2662 - Empty script block in order-detail.tpl
	[-] FO : Problem with .htaccess
	[-] FO : fixed bug #PSCFI-2299 - Default-home image location
	[-] FO : fixed bug #PSCFI-2310 - carrier disabled in OPC
	[-] FO : fixed bug #PSCFI-2326 - fixed smarty error with Smarty 2
	[-] FO : fixed bug #PSCFI-2348 - bug in order-opc.js 1.4.3
	[-] FO : fixed bug #PSCFI-2406 - Redirect index file for created image folders
	[-] FO : fixed bug #PSCFI-2408 - invalid date producttooltip module
	[-] FO : fixed bug #PSCFI-2464 - manufacturers and suppliers blocks should not display products in inactive categories
	[-] FO : fixed bug #PSCFI-2493 - One page checkout, "undefined" DNI
	[-] FO : fixed bug #PSCFI-2502 - The clicking "Continue shopping" on Shopping cart summary is not working properly.
	[-] FO : fixed bug #PSCFI-2735 - Order manipulation possible after payment method selection
	[-] FO : fixed bug with guest checkout
	[-] FO : fixed notice error on One page checkout with Blocknewsletter module

	[-] BO : "alias" tab name is too long
	[-] BO : Bug Fixed #PSCFI-2368 - Disable ecotax and ecotax is still present on the front office
	[-] BO : BugFix #PSCFI-1903 - Problem with payment module limited to some countries
	[-] BO : BugFix #PSCFI-2420 - AdminImport.php ( import csv ) missing handling for escaped list separator and UTF-8 BOM issue
	[-] BO : BugFix #PSCFI-2420 - AdminImport.php ( import csv ) missing handling for escaped list separator and UTF-8 BOM issue
	[-] BO : BugFix #PSCFI-2536 - SendMailTest.js does not escape its parameters causing malfunction when trying to send htmlentities (v. 1.4.1.0)
	[-] BO : BugFix #PSCFI-2550 - can't give a product an attribute of "0"
	[-] BO : BugFix #PSCFI-2568 - Order page display problem: box expands to overlap another box
	[-] BO : BugFix #PSCFI-2584 - Orders could have a totals negative
	[-] BO : BugFix #PSCFI-2614 - Add new method simplexml_load_file
	[-] BO : BugFix #PSCFI-2614 - Bug this localization file
	[-] BO : BugFix #PSCFI-2642 - Translation problem with modules
	[-] BO : BugFix #PSCFI-2645 - sendtoafriend problem with translation
	[-] BO : BugFix #PSCFI-2663 - "New order" email has hardcoded address format
	[-] BO : BugFix #PSCFI-2690 - Incorrect closing comment
	[-] BO : BugFix #PSCFI-2708 Syntax error (working with PHP 5.3 and more)
	[-] BO : BugFix #PSCFI-2767 - Change guest index of product_comment
	[-] BO : Fixed Bug #PSCFI-2665, Backup times is now correctly displayed with a H 24 format.
	[-] BO : Fixed bug #PSCFI-2379 - Avoid the call of memory_get_usage() if it is not defined
	[-] BO : Fixed bug #PSCFI-2379 - Missing token in form action
	[-] BO : Fixed bug #PSCFI-2424 - PS_OS_WS_PAYEMENT should be PS_OS_WS_PAYMENT
	[-] BO : Fixed bug #PSCFI-2429 - IE9 compatibility problem with upload
	[-] BO : Fixed bug #PSCFI-2535 - Losing opening div
	[-] BO : Fixed bug #PSCFI-2670 - Increase mime size for attachment from 64 to 128 for support docx file
	[-] BO : Fixed bug - Empty the cache in the theme for module overrided
	[-] BO : Fixed bug PSCFI-2253 - Error "invalid date" with some version of PHP fixed
	[-] BO : Global was missing on AdminThemes
	[-] BO : In the search tab, Deleted a function which deleted the first occurrence when the last have the samed value in the "search" field
	[-] BO : PNG images are now supported after activation in BO. Backward compatible.
	[-] BO : US address format is now correctly displayed for the PDF.
	[-] BO : fix call on categoryUpdate hook when we change the status of a category #PSCFI-2669
	[-] BO : fixed bug #PSCFI-2235 - Module panel inoperative after module suppression
	[-] BO : fixed bug #PSCFI-2300 - clear useless variable in replaceByAbsoluteURL method
	[-] BO : fixed bug #PSCFI-2301 - html /form tag is inside the translatable string
	[-] BO : fixed bug #PSCFI-2302 - Product - CSV import: "available for order" and "show price" not available?
	[-] BO : fixed bug #PSCFI-2302 - Product - CSV import: "available for order" and "show price" not available?
	[-] BO : fixed bug #PSCFI-2303 - in AdminManufacturers.php have a repeated code
	[-] BO : fixed bug #PSCFI-2319 - $default_country varaible is missing in AdminProduct
	[-] BO : fixed bug #PSCFI-2321 - fixed bug on pagination display on AdminGroups
	[-] BO : fixed bug #PSCFI-2322 - fixed bug on product.tpl
	[-] BO : fixed bug #PSCFI-2336 - Small typo error in Back Office
	[-] BO : fixed bug #PSCFI-2360 - redundant lines in Tools::generateHtaccess()
	[-] BO : fixed bug #PSCFI-2365 - "Warning : the secure key is empty, check your payment account before validation" error with FreeOrder module
	[-] BO : fixed bug #PSCFI-2366 - Module Bug / "tab cannot be found" on IIS
	[-] BO : fixed bug #PSCFI-2421 - watermark does not show on regenerated images
	[-] BO : fixed bug #PSCFI-2447 - Button Home is gone after adding new specific price
	[-] BO : fixed bug #PSCFI-2455 - Minimum order purchase considers shipping costs
	[-] BO : fixed bug #PSCFI-2496 - quantity number in pack option
	[-] BO : fixed bug #PSCFI-2507 - AdminProducts undefined variable and non-object PHP notices in Apache log
	[-] BO : fixed bug #PSCFI-2533 - image quality button not checked
	[-] BO : fixed bug #PSCFI-2706 - fields were not created in database for deactivated languages, causing issues when the language is reactivated
	[-] BO : fixed product images zip upload
	[-] BO : update jquery colorpicker plugin #PSCFI-2325

	[-] Classes : added some checks to Image class
	[-] Classes : fix moving images to new filesystem when unused images are present
	[-] Classes : fixed bug #PSCFI-2005 - Merchandise Returns status emails to customers are BO language dependent
	[-] Classes : fixed bug #PSCFI-2234 - Hookexec doesn't properly manage execeptions when passing filename by parameter
	[-] Classes : fixed bug #PSCFI-2311 - Function Validate::isUrl has a problem
	[-] Classes : fixed bug #PSCFI-2511 - Deleting a product with attachment deletes attachment
	[-] Classes : fixed bug #PSCFI-2723 - CLONE - Reductions without end dates are not possible
	[-] Classes : fixed bug on stock mouvement and hook update quantity
	[-] Classes : fixed rights settings for image folders
	[-] Classes : fixed url rewrite for missing category images - #PSCFI-2635

	[-] CORE : Check correctly the availability of an object for an external module shipping
	[-] Core : Fixed bug PSCFI-2436. Cookie object is properly verified before trying to use one of the attributs for the getDefaultCountryId method.

	[-] MO : #PSCFI-2663 - Fix new layout address for mailalerts.
	[-] MO : Add footer hook for blocklayered to allow AJAX sorting of products
	[-] MO : Bug fixed on Twenga module (1.7) Image link on PrestaShop 1.3 was wrong (module enabled for nl)
	[-] MO : Bug fixed on eBay module, when apache cache was enabled, the method fetchToken did not work properly
	[-] MO : BugFix #PPSCFI-2536 - SendMailTest.js does not escape its parameters causing malfunction when trying to send htmlentities (v. 1.4.1.0)
	[-] MO : BugFix #PSCFI-2201 - error output of set_time_limit must be "muted"
	[-] MO : BugFix #PSCFI-2304 - On calculte remaining amount of a voucher, use cart total with tax.
	[-] MO : BugFix #PSCFI-2305 - Followup module SQL error
	[-] MO : BugFix #PSCFI-2376 - Bad code : mapi_payment.php line 429
	[-] MO : BugFix #PSCFI-2427 - Do not fix PSCFI-2427, but the module follow up
	[-] MO : BugFix #PSCFI-2571 - Missing a global $cookie
	[-] MO : BugFix #PSCFI-2581 - NEWSLETTER MODULE : Country's filter problem
	[-] MO : BugFix #PSCFI-2585 - HTML typo in blocklink module
	[-] MO : BugFix #PSCFI-2593 - Sale message hidden after uncheck (option from layered block module)
	[-] MO : BugFix #PSCFI-2602 - Web service dispatcher does not stripslashes from POSTed XML
	[-] MO : BugFix Module Dibs - Must work with PS1.3
	[-] MO : BugFix in module producttooltip - Can show product page
	[-] MO : Changing the version of the Treepodia module
	[-] MO : Changing the version of the fedex module (#previousCommit)
	[-] MO : Ebay, fix an order validation issue when products list is empty
	[-] MO : Fedex module used id_lang 2 by default, now use cookie
	[-] MO : Fixed bug #PSCFI-2369, 'authorization-amount-notification' send now a correct answer to Google.
	[-] MO : Fixed bug #PSCFI-2370, Shipping fees correctly take in consideration for the form validation
	[-] MO : Fixed bug #PSCFI-2370. Shipping delivery message is correctly set for Google summary order.
	[-] MO : Fixed bug SQL error when generate filters
	[-] MO : Fixed bug according to the last commit about secure_key
	[-] MO : Module Twenga hiding errors
	[-] MO : Module treepodia little fix for IE
	[-] MO : MoneyBookers, fix string manipulation after a fetching content
	[-] MO : MoneyBookers, replace getProtocol to http:// for older PrestaShop version using with a unsecure page
	[-] MO : Ogone. Add an ignore key list variable to generate properly the sha1.
	[-] MO : PayPal fixing rounding issues
	[-] MO : PayPal module fixing order state issue
	[-] MO : PayPal retrocompatibility issue
	[-] MO : PaySafeCard template directory was wrong
	[-] MO : Paypal, fix the express checkout
	[-] MO : TrustedShops , fix translations
	[-] MO : Twenga module (1.7) can now handle more products on their feed
	[-] MO : added check if curl is loaded in layered block
	[-] MO : display hook footer for blocklayered module only on page category
	[-] MO : fix little bug on themeinstallator with blockcms module
	[-] MO : fixed bug #PSCFI-2249 - Loyalty Point information should not display during Instant Checkout?
	[-] MO : fixed bug #PSCFI-2318 - fixed typo error in add-to-cart.tpl file of Treepodia module
